typedef struct burm_state *STATEPTR_TYPE;

#include "gforth9.h"
#ifndef ALLOC
#define ALLOC(n) malloc(n)
#endif

#ifndef burm_assert
#define burm_assert(x,y) if (!(x)) { extern void abort(void); y; abort(); }
#endif

#define burm_S0_NT 1
#define burm_S1_NT 2
#define burm_S2_NT 3
#define burm_S3_NT 4
#define burm_S4_NT 5
#define burm_S5_NT 6
#define burm_S6_NT 7
#define burm_S7_NT 8
#define burm_S8_NT 9
int burm_max_nt = 9;

char *burm_ntname[] = {
	0,
	"S0",
	"S1",
	"S2",
	"S3",
	"S4",
	"S5",
	"S6",
	"S7",
	"S8",
	0
};

struct burm_state {
	int op;
	STATEPTR_TYPE left, right;
	short cost[10];
	struct {
		unsigned burm_S0:9;
		unsigned burm_S1:6;
		unsigned burm_S2:7;
		unsigned burm_S3:7;
		unsigned burm_S4:7;
		unsigned burm_S5:7;
		unsigned burm_S6:7;
		unsigned burm_S7:7;
		unsigned burm_S8:7;
	} rule;
};

static short burm_nts_0[] = { burm_S0_NT, 0 };
static short burm_nts_1[] = { burm_S2_NT, 0 };
static short burm_nts_2[] = { burm_S3_NT, 0 };
static short burm_nts_3[] = { burm_S4_NT, 0 };
static short burm_nts_4[] = { burm_S5_NT, 0 };
static short burm_nts_5[] = { burm_S6_NT, 0 };
static short burm_nts_6[] = { burm_S7_NT, 0 };
static short burm_nts_7[] = { burm_S8_NT, 0 };
static short burm_nts_8[] = { burm_S1_NT, 0 };
static short burm_nts_9[] = { 0 };

short *burm_nts[] = {
	0,	/* 0 */
	burm_nts_0,	/* 1 */
	burm_nts_0,	/* 2 */
	burm_nts_0,	/* 3 */
	burm_nts_0,	/* 4 */
	burm_nts_0,	/* 5 */
	burm_nts_0,	/* 6 */
	burm_nts_0,	/* 7 */
	burm_nts_0,	/* 8 */
	burm_nts_0,	/* 9 */
	burm_nts_0,	/* 10 */
	burm_nts_0,	/* 11 */
	burm_nts_0,	/* 12 */
	burm_nts_0,	/* 13 */
	burm_nts_0,	/* 14 */
	burm_nts_0,	/* 15 */
	burm_nts_0,	/* 16 */
	burm_nts_0,	/* 17 */
	burm_nts_0,	/* 18 */
	burm_nts_0,	/* 19 */
	burm_nts_0,	/* 20 */
	burm_nts_0,	/* 21 */
	burm_nts_0,	/* 22 */
	burm_nts_0,	/* 23 */
	burm_nts_0,	/* 24 */
	burm_nts_0,	/* 25 */
	burm_nts_0,	/* 26 */
	burm_nts_0,	/* 27 */
	burm_nts_0,	/* 28 */
	burm_nts_0,	/* 29 */
	burm_nts_0,	/* 30 */
	burm_nts_0,	/* 31 */
	burm_nts_0,	/* 32 */
	burm_nts_0,	/* 33 */
	burm_nts_0,	/* 34 */
	burm_nts_0,	/* 35 */
	burm_nts_0,	/* 36 */
	burm_nts_0,	/* 37 */
	burm_nts_0,	/* 38 */
	burm_nts_0,	/* 39 */
	burm_nts_0,	/* 40 */
	burm_nts_0,	/* 41 */
	burm_nts_0,	/* 42 */
	burm_nts_0,	/* 43 */
	burm_nts_0,	/* 44 */
	burm_nts_0,	/* 45 */
	burm_nts_0,	/* 46 */
	burm_nts_0,	/* 47 */
	burm_nts_0,	/* 48 */
	burm_nts_0,	/* 49 */
	burm_nts_0,	/* 50 */
	burm_nts_0,	/* 51 */
	burm_nts_0,	/* 52 */
	burm_nts_0,	/* 53 */
	burm_nts_0,	/* 54 */
	burm_nts_0,	/* 55 */
	burm_nts_0,	/* 56 */
	burm_nts_0,	/* 57 */
	burm_nts_0,	/* 58 */
	burm_nts_0,	/* 59 */
	burm_nts_0,	/* 60 */
	burm_nts_0,	/* 61 */
	burm_nts_0,	/* 62 */
	burm_nts_0,	/* 63 */
	burm_nts_0,	/* 64 */
	burm_nts_0,	/* 65 */
	burm_nts_0,	/* 66 */
	burm_nts_0,	/* 67 */
	burm_nts_0,	/* 68 */
	burm_nts_0,	/* 69 */
	burm_nts_0,	/* 70 */
	burm_nts_0,	/* 71 */
	burm_nts_0,	/* 72 */
	burm_nts_0,	/* 73 */
	burm_nts_0,	/* 74 */
	burm_nts_0,	/* 75 */
	burm_nts_0,	/* 76 */
	burm_nts_0,	/* 77 */
	burm_nts_0,	/* 78 */
	burm_nts_0,	/* 79 */
	burm_nts_0,	/* 80 */
	burm_nts_0,	/* 81 */
	burm_nts_0,	/* 82 */
	burm_nts_0,	/* 83 */
	burm_nts_0,	/* 84 */
	burm_nts_0,	/* 85 */
	burm_nts_0,	/* 86 */
	burm_nts_0,	/* 87 */
	burm_nts_0,	/* 88 */
	burm_nts_0,	/* 89 */
	burm_nts_0,	/* 90 */
	burm_nts_0,	/* 91 */
	burm_nts_0,	/* 92 */
	burm_nts_0,	/* 93 */
	burm_nts_0,	/* 94 */
	burm_nts_0,	/* 95 */
	burm_nts_0,	/* 96 */
	burm_nts_0,	/* 97 */
	burm_nts_0,	/* 98 */
	burm_nts_0,	/* 99 */
	burm_nts_0,	/* 100 */
	burm_nts_0,	/* 101 */
	burm_nts_0,	/* 102 */
	burm_nts_0,	/* 103 */
	burm_nts_0,	/* 104 */
	burm_nts_0,	/* 105 */
	burm_nts_0,	/* 106 */
	burm_nts_0,	/* 107 */
	burm_nts_0,	/* 108 */
	burm_nts_0,	/* 109 */
	burm_nts_0,	/* 110 */
	burm_nts_0,	/* 111 */
	burm_nts_0,	/* 112 */
	burm_nts_0,	/* 113 */
	burm_nts_0,	/* 114 */
	burm_nts_0,	/* 115 */
	burm_nts_0,	/* 116 */
	burm_nts_0,	/* 117 */
	burm_nts_0,	/* 118 */
	burm_nts_0,	/* 119 */
	burm_nts_0,	/* 120 */
	burm_nts_0,	/* 121 */
	burm_nts_0,	/* 122 */
	burm_nts_0,	/* 123 */
	burm_nts_0,	/* 124 */
	burm_nts_0,	/* 125 */
	burm_nts_0,	/* 126 */
	burm_nts_0,	/* 127 */
	burm_nts_0,	/* 128 */
	burm_nts_0,	/* 129 */
	burm_nts_0,	/* 130 */
	burm_nts_0,	/* 131 */
	burm_nts_0,	/* 132 */
	burm_nts_0,	/* 133 */
	burm_nts_0,	/* 134 */
	burm_nts_0,	/* 135 */
	burm_nts_0,	/* 136 */
	burm_nts_0,	/* 137 */
	burm_nts_0,	/* 138 */
	burm_nts_0,	/* 139 */
	burm_nts_0,	/* 140 */
	burm_nts_0,	/* 141 */
	burm_nts_0,	/* 142 */
	burm_nts_0,	/* 143 */
	burm_nts_0,	/* 144 */
	burm_nts_0,	/* 145 */
	burm_nts_0,	/* 146 */
	burm_nts_0,	/* 147 */
	burm_nts_0,	/* 148 */
	burm_nts_0,	/* 149 */
	burm_nts_0,	/* 150 */
	burm_nts_0,	/* 151 */
	burm_nts_0,	/* 152 */
	burm_nts_0,	/* 153 */
	burm_nts_0,	/* 154 */
	burm_nts_0,	/* 155 */
	burm_nts_0,	/* 156 */
	burm_nts_0,	/* 157 */
	burm_nts_0,	/* 158 */
	burm_nts_0,	/* 159 */
	burm_nts_0,	/* 160 */
	burm_nts_0,	/* 161 */
	burm_nts_0,	/* 162 */
	burm_nts_0,	/* 163 */
	burm_nts_0,	/* 164 */
	burm_nts_0,	/* 165 */
	burm_nts_0,	/* 166 */
	burm_nts_0,	/* 167 */
	burm_nts_0,	/* 168 */
	burm_nts_0,	/* 169 */
	burm_nts_0,	/* 170 */
	burm_nts_0,	/* 171 */
	burm_nts_0,	/* 172 */
	burm_nts_0,	/* 173 */
	burm_nts_0,	/* 174 */
	burm_nts_0,	/* 175 */
	burm_nts_0,	/* 176 */
	burm_nts_0,	/* 177 */
	burm_nts_0,	/* 178 */
	burm_nts_0,	/* 179 */
	burm_nts_0,	/* 180 */
	burm_nts_0,	/* 181 */
	burm_nts_0,	/* 182 */
	burm_nts_0,	/* 183 */
	burm_nts_0,	/* 184 */
	burm_nts_0,	/* 185 */
	burm_nts_0,	/* 186 */
	burm_nts_0,	/* 187 */
	burm_nts_0,	/* 188 */
	burm_nts_0,	/* 189 */
	burm_nts_0,	/* 190 */
	burm_nts_0,	/* 191 */
	burm_nts_0,	/* 192 */
	burm_nts_0,	/* 193 */
	burm_nts_0,	/* 194 */
	burm_nts_0,	/* 195 */
	burm_nts_0,	/* 196 */
	burm_nts_0,	/* 197 */
	burm_nts_0,	/* 198 */
	burm_nts_0,	/* 199 */
	burm_nts_0,	/* 200 */
	burm_nts_0,	/* 201 */
	burm_nts_0,	/* 202 */
	burm_nts_0,	/* 203 */
	burm_nts_0,	/* 204 */
	burm_nts_0,	/* 205 */
	burm_nts_0,	/* 206 */
	burm_nts_0,	/* 207 */
	burm_nts_0,	/* 208 */
	burm_nts_0,	/* 209 */
	burm_nts_0,	/* 210 */
	burm_nts_0,	/* 211 */
	burm_nts_0,	/* 212 */
	burm_nts_0,	/* 213 */
	burm_nts_0,	/* 214 */
	burm_nts_0,	/* 215 */
	burm_nts_0,	/* 216 */
	burm_nts_0,	/* 217 */
	burm_nts_0,	/* 218 */
	burm_nts_0,	/* 219 */
	burm_nts_0,	/* 220 */
	burm_nts_0,	/* 221 */
	burm_nts_0,	/* 222 */
	burm_nts_0,	/* 223 */
	burm_nts_0,	/* 224 */
	burm_nts_0,	/* 225 */
	burm_nts_0,	/* 226 */
	burm_nts_0,	/* 227 */
	burm_nts_0,	/* 228 */
	burm_nts_0,	/* 229 */
	burm_nts_0,	/* 230 */
	burm_nts_0,	/* 231 */
	burm_nts_0,	/* 232 */
	burm_nts_0,	/* 233 */
	burm_nts_0,	/* 234 */
	burm_nts_0,	/* 235 */
	burm_nts_0,	/* 236 */
	burm_nts_0,	/* 237 */
	burm_nts_0,	/* 238 */
	burm_nts_0,	/* 239 */
	burm_nts_0,	/* 240 */
	burm_nts_0,	/* 241 */
	burm_nts_0,	/* 242 */
	burm_nts_0,	/* 243 */
	burm_nts_0,	/* 244 */
	burm_nts_0,	/* 245 */
	burm_nts_0,	/* 246 */
	burm_nts_0,	/* 247 */
	burm_nts_0,	/* 248 */
	burm_nts_0,	/* 249 */
	burm_nts_0,	/* 250 */
	burm_nts_0,	/* 251 */
	burm_nts_0,	/* 252 */
	burm_nts_0,	/* 253 */
	burm_nts_0,	/* 254 */
	burm_nts_0,	/* 255 */
	burm_nts_0,	/* 256 */
	burm_nts_0,	/* 257 */
	burm_nts_0,	/* 258 */
	burm_nts_0,	/* 259 */
	burm_nts_0,	/* 260 */
	burm_nts_0,	/* 261 */
	burm_nts_0,	/* 262 */
	burm_nts_0,	/* 263 */
	burm_nts_0,	/* 264 */
	burm_nts_0,	/* 265 */
	burm_nts_0,	/* 266 */
	burm_nts_0,	/* 267 */
	burm_nts_0,	/* 268 */
	burm_nts_0,	/* 269 */
	burm_nts_0,	/* 270 */
	burm_nts_0,	/* 271 */
	burm_nts_0,	/* 272 */
	burm_nts_0,	/* 273 */
	burm_nts_0,	/* 274 */
	burm_nts_0,	/* 275 */
	burm_nts_0,	/* 276 */
	burm_nts_0,	/* 277 */
	burm_nts_0,	/* 278 */
	burm_nts_0,	/* 279 */
	burm_nts_0,	/* 280 */
	burm_nts_0,	/* 281 */
	burm_nts_0,	/* 282 */
	burm_nts_0,	/* 283 */
	burm_nts_0,	/* 284 */
	burm_nts_0,	/* 285 */
	burm_nts_0,	/* 286 */
	burm_nts_0,	/* 287 */
	burm_nts_0,	/* 288 */
	burm_nts_0,	/* 289 */
	burm_nts_0,	/* 290 */
	burm_nts_0,	/* 291 */
	burm_nts_0,	/* 292 */
	burm_nts_0,	/* 293 */
	burm_nts_0,	/* 294 */
	burm_nts_0,	/* 295 */
	burm_nts_0,	/* 296 */
	burm_nts_0,	/* 297 */
	burm_nts_0,	/* 298 */
	burm_nts_0,	/* 299 */
	burm_nts_0,	/* 300 */
	burm_nts_0,	/* 301 */
	burm_nts_0,	/* 302 */
	burm_nts_0,	/* 303 */
	burm_nts_0,	/* 304 */
	burm_nts_0,	/* 305 */
	burm_nts_0,	/* 306 */
	burm_nts_0,	/* 307 */
	burm_nts_0,	/* 308 */
	burm_nts_0,	/* 309 */
	burm_nts_0,	/* 310 */
	burm_nts_0,	/* 311 */
	burm_nts_0,	/* 312 */
	burm_nts_0,	/* 313 */
	burm_nts_0,	/* 314 */
	burm_nts_0,	/* 315 */
	burm_nts_0,	/* 316 */
	burm_nts_0,	/* 317 */
	burm_nts_0,	/* 318 */
	burm_nts_0,	/* 319 */
	burm_nts_0,	/* 320 */
	burm_nts_0,	/* 321 */
	burm_nts_0,	/* 322 */
	burm_nts_0,	/* 323 */
	burm_nts_0,	/* 324 */
	burm_nts_0,	/* 325 */
	burm_nts_0,	/* 326 */
	burm_nts_0,	/* 327 */
	burm_nts_0,	/* 328 */
	burm_nts_0,	/* 329 */
	burm_nts_0,	/* 330 */
	burm_nts_0,	/* 331 */
	burm_nts_0,	/* 332 */
	burm_nts_0,	/* 333 */
	burm_nts_0,	/* 334 */
	burm_nts_0,	/* 335 */
	burm_nts_0,	/* 336 */
	burm_nts_0,	/* 337 */
	burm_nts_0,	/* 338 */
	burm_nts_0,	/* 339 */
	burm_nts_0,	/* 340 */
	burm_nts_0,	/* 341 */
	burm_nts_0,	/* 342 */
	burm_nts_0,	/* 343 */
	burm_nts_0,	/* 344 */
	burm_nts_0,	/* 345 */
	burm_nts_0,	/* 346 */
	burm_nts_0,	/* 347 */
	burm_nts_0,	/* 348 */
	burm_nts_0,	/* 349 */
	burm_nts_0,	/* 350 */
	burm_nts_0,	/* 351 */
	burm_nts_0,	/* 352 */
	burm_nts_0,	/* 353 */
	burm_nts_0,	/* 354 */
	burm_nts_0,	/* 355 */
	0,	/* 356 */
	0,	/* 357 */
	0,	/* 358 */
	0,	/* 359 */
	0,	/* 360 */
	0,	/* 361 */
	0,	/* 362 */
	0,	/* 363 */
	0,	/* 364 */
	0,	/* 365 */
	0,	/* 366 */
	0,	/* 367 */
	burm_nts_0,	/* 368 */
	burm_nts_1,	/* 369 */
	burm_nts_2,	/* 370 */
	burm_nts_3,	/* 371 */
	burm_nts_4,	/* 372 */
	burm_nts_5,	/* 373 */
	burm_nts_6,	/* 374 */
	burm_nts_7,	/* 375 */
	burm_nts_7,	/* 376 */
	burm_nts_1,	/* 377 */
	burm_nts_2,	/* 378 */
	burm_nts_3,	/* 379 */
	burm_nts_4,	/* 380 */
	burm_nts_5,	/* 381 */
	burm_nts_6,	/* 382 */
	burm_nts_7,	/* 383 */
	burm_nts_0,	/* 384 */
	burm_nts_0,	/* 385 */
	burm_nts_0,	/* 386 */
	burm_nts_0,	/* 387 */
	burm_nts_0,	/* 388 */
	burm_nts_0,	/* 389 */
	burm_nts_0,	/* 390 */
	burm_nts_0,	/* 391 */
	burm_nts_1,	/* 392 */
	burm_nts_2,	/* 393 */
	burm_nts_3,	/* 394 */
	burm_nts_4,	/* 395 */
	burm_nts_5,	/* 396 */
	burm_nts_6,	/* 397 */
	burm_nts_7,	/* 398 */
	burm_nts_7,	/* 399 */
	burm_nts_1,	/* 400 */
	burm_nts_2,	/* 401 */
	burm_nts_3,	/* 402 */
	burm_nts_4,	/* 403 */
	burm_nts_5,	/* 404 */
	burm_nts_6,	/* 405 */
	burm_nts_7,	/* 406 */
	burm_nts_1,	/* 407 */
	burm_nts_1,	/* 408 */
	burm_nts_2,	/* 409 */
	burm_nts_1,	/* 410 */
	burm_nts_1,	/* 411 */
	burm_nts_2,	/* 412 */
	burm_nts_3,	/* 413 */
	burm_nts_4,	/* 414 */
	burm_nts_5,	/* 415 */
	burm_nts_6,	/* 416 */
	burm_nts_7,	/* 417 */
	burm_nts_0,	/* 418 */
	burm_nts_1,	/* 419 */
	burm_nts_2,	/* 420 */
	burm_nts_3,	/* 421 */
	burm_nts_4,	/* 422 */
	burm_nts_5,	/* 423 */
	burm_nts_6,	/* 424 */
	burm_nts_1,	/* 425 */
	burm_nts_2,	/* 426 */
	burm_nts_3,	/* 427 */
	burm_nts_4,	/* 428 */
	burm_nts_5,	/* 429 */
	burm_nts_6,	/* 430 */
	burm_nts_7,	/* 431 */
	burm_nts_1,	/* 432 */
	burm_nts_2,	/* 433 */
	burm_nts_3,	/* 434 */
	burm_nts_4,	/* 435 */
	burm_nts_5,	/* 436 */
	burm_nts_6,	/* 437 */
	burm_nts_7,	/* 438 */
	burm_nts_7,	/* 439 */
	burm_nts_0,	/* 440 */
	burm_nts_0,	/* 441 */
	burm_nts_1,	/* 442 */
	burm_nts_2,	/* 443 */
	burm_nts_3,	/* 444 */
	burm_nts_4,	/* 445 */
	burm_nts_5,	/* 446 */
	burm_nts_6,	/* 447 */
	burm_nts_0,	/* 448 */
	burm_nts_1,	/* 449 */
	burm_nts_2,	/* 450 */
	burm_nts_3,	/* 451 */
	burm_nts_4,	/* 452 */
	burm_nts_5,	/* 453 */
	burm_nts_6,	/* 454 */
	burm_nts_7,	/* 455 */
	burm_nts_7,	/* 456 */
	burm_nts_8,	/* 457 */
	burm_nts_0,	/* 458 */
	burm_nts_1,	/* 459 */
	burm_nts_2,	/* 460 */
	burm_nts_3,	/* 461 */
	burm_nts_4,	/* 462 */
	burm_nts_5,	/* 463 */
	burm_nts_0,	/* 464 */
	burm_nts_1,	/* 465 */
	burm_nts_2,	/* 466 */
	burm_nts_3,	/* 467 */
	burm_nts_4,	/* 468 */
	burm_nts_5,	/* 469 */
	burm_nts_6,	/* 470 */
	burm_nts_0,	/* 471 */
	burm_nts_1,	/* 472 */
	burm_nts_2,	/* 473 */
	burm_nts_3,	/* 474 */
	burm_nts_4,	/* 475 */
	burm_nts_5,	/* 476 */
	burm_nts_6,	/* 477 */
	burm_nts_7,	/* 478 */
	burm_nts_7,	/* 479 */
	burm_nts_2,	/* 480 */
	burm_nts_3,	/* 481 */
	burm_nts_4,	/* 482 */
	burm_nts_5,	/* 483 */
	burm_nts_6,	/* 484 */
	burm_nts_7,	/* 485 */
	burm_nts_7,	/* 486 */
	burm_nts_0,	/* 487 */
	burm_nts_1,	/* 488 */
	burm_nts_0,	/* 489 */
	burm_nts_1,	/* 490 */
	burm_nts_1,	/* 491 */
	burm_nts_2,	/* 492 */
	burm_nts_3,	/* 493 */
	burm_nts_4,	/* 494 */
	burm_nts_5,	/* 495 */
	burm_nts_6,	/* 496 */
	burm_nts_7,	/* 497 */
	burm_nts_1,	/* 498 */
	burm_nts_2,	/* 499 */
	burm_nts_3,	/* 500 */
	burm_nts_4,	/* 501 */
	burm_nts_5,	/* 502 */
	burm_nts_6,	/* 503 */
	burm_nts_7,	/* 504 */
	burm_nts_2,	/* 505 */
	burm_nts_3,	/* 506 */
	burm_nts_4,	/* 507 */
	burm_nts_5,	/* 508 */
	burm_nts_6,	/* 509 */
	burm_nts_7,	/* 510 */
	burm_nts_0,	/* 511 */
	burm_nts_2,	/* 512 */
	burm_nts_2,	/* 513 */
	burm_nts_2,	/* 514 */
	burm_nts_1,	/* 515 */
	burm_nts_2,	/* 516 */
	burm_nts_8,	/* 517 */
	burm_nts_0,	/* 518 */
	burm_nts_1,	/* 519 */
	burm_nts_2,	/* 520 */
	burm_nts_3,	/* 521 */
	burm_nts_4,	/* 522 */
	burm_nts_5,	/* 523 */
	burm_nts_3,	/* 524 */
	burm_nts_4,	/* 525 */
	burm_nts_5,	/* 526 */
	burm_nts_6,	/* 527 */
	burm_nts_7,	/* 528 */
	burm_nts_7,	/* 529 */
	burm_nts_7,	/* 530 */
	burm_nts_0,	/* 531 */
	burm_nts_1,	/* 532 */
	burm_nts_2,	/* 533 */
	burm_nts_1,	/* 534 */
	burm_nts_0,	/* 535 */
	burm_nts_3,	/* 536 */
	burm_nts_1,	/* 537 */
	burm_nts_0,	/* 538 */
	burm_nts_1,	/* 539 */
	burm_nts_2,	/* 540 */
	burm_nts_3,	/* 541 */
	burm_nts_4,	/* 542 */
	burm_nts_5,	/* 543 */
	burm_nts_6,	/* 544 */
	burm_nts_8,	/* 545 */
	burm_nts_0,	/* 546 */
	burm_nts_1,	/* 547 */
	burm_nts_2,	/* 548 */
	burm_nts_3,	/* 549 */
	burm_nts_4,	/* 550 */
	burm_nts_5,	/* 551 */
	burm_nts_1,	/* 552 */
	burm_nts_2,	/* 553 */
	burm_nts_3,	/* 554 */
	burm_nts_4,	/* 555 */
	burm_nts_5,	/* 556 */
	burm_nts_6,	/* 557 */
	burm_nts_7,	/* 558 */
	burm_nts_8,	/* 559 */
	burm_nts_0,	/* 560 */
	burm_nts_1,	/* 561 */
	burm_nts_2,	/* 562 */
	burm_nts_3,	/* 563 */
	burm_nts_4,	/* 564 */
	burm_nts_5,	/* 565 */
	burm_nts_6,	/* 566 */
	burm_nts_8,	/* 567 */
	burm_nts_0,	/* 568 */
	burm_nts_1,	/* 569 */
	burm_nts_2,	/* 570 */
	burm_nts_3,	/* 571 */
	burm_nts_4,	/* 572 */
	burm_nts_5,	/* 573 */
	burm_nts_6,	/* 574 */
	burm_nts_1,	/* 575 */
	burm_nts_2,	/* 576 */
	burm_nts_3,	/* 577 */
	burm_nts_4,	/* 578 */
	burm_nts_5,	/* 579 */
	burm_nts_6,	/* 580 */
	burm_nts_7,	/* 581 */
	burm_nts_8,	/* 582 */
	burm_nts_0,	/* 583 */
	burm_nts_1,	/* 584 */
	burm_nts_2,	/* 585 */
	burm_nts_3,	/* 586 */
	burm_nts_4,	/* 587 */
	burm_nts_5,	/* 588 */
	burm_nts_6,	/* 589 */
	burm_nts_0,	/* 590 */
	burm_nts_1,	/* 591 */
	burm_nts_2,	/* 592 */
	burm_nts_3,	/* 593 */
	burm_nts_4,	/* 594 */
	burm_nts_5,	/* 595 */
	burm_nts_6,	/* 596 */
	burm_nts_7,	/* 597 */
	burm_nts_7,	/* 598 */
	burm_nts_1,	/* 599 */
	burm_nts_2,	/* 600 */
	burm_nts_3,	/* 601 */
	burm_nts_4,	/* 602 */
	burm_nts_5,	/* 603 */
	burm_nts_6,	/* 604 */
	burm_nts_7,	/* 605 */
	burm_nts_8,	/* 606 */
	burm_nts_1,	/* 607 */
	burm_nts_2,	/* 608 */
	burm_nts_3,	/* 609 */
	burm_nts_4,	/* 610 */
	burm_nts_5,	/* 611 */
	burm_nts_6,	/* 612 */
	burm_nts_7,	/* 613 */
	burm_nts_0,	/* 614 */
	burm_nts_1,	/* 615 */
	burm_nts_2,	/* 616 */
	burm_nts_3,	/* 617 */
	burm_nts_4,	/* 618 */
	burm_nts_5,	/* 619 */
	burm_nts_6,	/* 620 */
	burm_nts_8,	/* 621 */
	burm_nts_1,	/* 622 */
	burm_nts_2,	/* 623 */
	burm_nts_3,	/* 624 */
	burm_nts_4,	/* 625 */
	burm_nts_5,	/* 626 */
	burm_nts_6,	/* 627 */
	burm_nts_7,	/* 628 */
	burm_nts_8,	/* 629 */
	burm_nts_1,	/* 630 */
	burm_nts_2,	/* 631 */
	burm_nts_3,	/* 632 */
	burm_nts_4,	/* 633 */
	burm_nts_5,	/* 634 */
	burm_nts_6,	/* 635 */
	burm_nts_7,	/* 636 */
	burm_nts_0,	/* 637 */
	burm_nts_1,	/* 638 */
	burm_nts_2,	/* 639 */
	burm_nts_3,	/* 640 */
	burm_nts_4,	/* 641 */
	burm_nts_5,	/* 642 */
	burm_nts_6,	/* 643 */
	burm_nts_2,	/* 644 */
	burm_nts_3,	/* 645 */
	burm_nts_4,	/* 646 */
	burm_nts_5,	/* 647 */
	burm_nts_6,	/* 648 */
	burm_nts_7,	/* 649 */
	burm_nts_7,	/* 650 */
	burm_nts_1,	/* 651 */
	burm_nts_2,	/* 652 */
	burm_nts_1,	/* 653 */
	burm_nts_2,	/* 654 */
	burm_nts_3,	/* 655 */
	burm_nts_4,	/* 656 */
	burm_nts_5,	/* 657 */
	burm_nts_6,	/* 658 */
	burm_nts_1,	/* 659 */
	burm_nts_2,	/* 660 */
	burm_nts_3,	/* 661 */
	burm_nts_4,	/* 662 */
	burm_nts_5,	/* 663 */
	burm_nts_6,	/* 664 */
	burm_nts_7,	/* 665 */
	burm_nts_0,	/* 666 */
	burm_nts_0,	/* 667 */
	burm_nts_0,	/* 668 */
	burm_nts_0,	/* 669 */
	burm_nts_0,	/* 670 */
	burm_nts_0,	/* 671 */
	burm_nts_0,	/* 672 */
	burm_nts_0,	/* 673 */
	burm_nts_1,	/* 674 */
	burm_nts_2,	/* 675 */
	burm_nts_3,	/* 676 */
	burm_nts_4,	/* 677 */
	burm_nts_5,	/* 678 */
	burm_nts_6,	/* 679 */
	burm_nts_7,	/* 680 */
	burm_nts_7,	/* 681 */
	burm_nts_0,	/* 682 */
	burm_nts_1,	/* 683 */
	burm_nts_2,	/* 684 */
	burm_nts_3,	/* 685 */
	burm_nts_4,	/* 686 */
	burm_nts_5,	/* 687 */
	burm_nts_6,	/* 688 */
	burm_nts_0,	/* 689 */
	burm_nts_0,	/* 690 */
	burm_nts_0,	/* 691 */
	burm_nts_0,	/* 692 */
	burm_nts_0,	/* 693 */
	burm_nts_0,	/* 694 */
	burm_nts_0,	/* 695 */
	burm_nts_8,	/* 696 */
	burm_nts_0,	/* 697 */
	burm_nts_1,	/* 698 */
	burm_nts_2,	/* 699 */
	burm_nts_3,	/* 700 */
	burm_nts_4,	/* 701 */
	burm_nts_5,	/* 702 */
	burm_nts_1,	/* 703 */
	burm_nts_2,	/* 704 */
	burm_nts_3,	/* 705 */
	burm_nts_4,	/* 706 */
	burm_nts_5,	/* 707 */
	burm_nts_6,	/* 708 */
	burm_nts_7,	/* 709 */
	burm_nts_7,	/* 710 */
	burm_nts_7,	/* 711 */
	burm_nts_1,	/* 712 */
	burm_nts_2,	/* 713 */
	burm_nts_3,	/* 714 */
	burm_nts_4,	/* 715 */
	burm_nts_5,	/* 716 */
	burm_nts_6,	/* 717 */
	burm_nts_7,	/* 718 */
	burm_nts_7,	/* 719 */
	burm_nts_7,	/* 720 */
	burm_nts_1,	/* 721 */
	burm_nts_2,	/* 722 */
	burm_nts_3,	/* 723 */
	burm_nts_4,	/* 724 */
	burm_nts_5,	/* 725 */
	burm_nts_6,	/* 726 */
	burm_nts_7,	/* 727 */
	burm_nts_7,	/* 728 */
	burm_nts_0,	/* 729 */
	burm_nts_1,	/* 730 */
	burm_nts_2,	/* 731 */
	burm_nts_3,	/* 732 */
	burm_nts_4,	/* 733 */
	burm_nts_5,	/* 734 */
	burm_nts_6,	/* 735 */
	burm_nts_0,	/* 736 */
	burm_nts_1,	/* 737 */
	burm_nts_0,	/* 738 */
	burm_nts_1,	/* 739 */
	burm_nts_2,	/* 740 */
	burm_nts_3,	/* 741 */
	burm_nts_4,	/* 742 */
	burm_nts_5,	/* 743 */
	burm_nts_1,	/* 744 */
	burm_nts_2,	/* 745 */
	burm_nts_3,	/* 746 */
	burm_nts_4,	/* 747 */
	burm_nts_5,	/* 748 */
	burm_nts_6,	/* 749 */
	burm_nts_7,	/* 750 */
	burm_nts_0,	/* 751 */
	burm_nts_0,	/* 752 */
	burm_nts_0,	/* 753 */
	burm_nts_0,	/* 754 */
	burm_nts_0,	/* 755 */
	burm_nts_0,	/* 756 */
	burm_nts_0,	/* 757 */
	burm_nts_8,	/* 758 */
	burm_nts_1,	/* 759 */
	burm_nts_2,	/* 760 */
	burm_nts_3,	/* 761 */
	burm_nts_4,	/* 762 */
	burm_nts_5,	/* 763 */
	burm_nts_6,	/* 764 */
	burm_nts_7,	/* 765 */
	burm_nts_0,	/* 766 */
	burm_nts_0,	/* 767 */
	burm_nts_0,	/* 768 */
	burm_nts_0,	/* 769 */
	burm_nts_0,	/* 770 */
	burm_nts_0,	/* 771 */
	burm_nts_0,	/* 772 */
	burm_nts_0,	/* 773 */
	burm_nts_1,	/* 774 */
	burm_nts_2,	/* 775 */
	burm_nts_3,	/* 776 */
	burm_nts_4,	/* 777 */
	burm_nts_5,	/* 778 */
	burm_nts_6,	/* 779 */
	burm_nts_0,	/* 780 */
	burm_nts_1,	/* 781 */
	burm_nts_2,	/* 782 */
	burm_nts_3,	/* 783 */
	burm_nts_4,	/* 784 */
	burm_nts_5,	/* 785 */
	burm_nts_6,	/* 786 */
	burm_nts_7,	/* 787 */
	burm_nts_7,	/* 788 */
	burm_nts_0,	/* 789 */
	burm_nts_1,	/* 790 */
	burm_nts_2,	/* 791 */
	burm_nts_3,	/* 792 */
	burm_nts_4,	/* 793 */
	burm_nts_5,	/* 794 */
	burm_nts_6,	/* 795 */
	burm_nts_2,	/* 796 */
	burm_nts_3,	/* 797 */
	burm_nts_4,	/* 798 */
	burm_nts_5,	/* 799 */
	burm_nts_6,	/* 800 */
	burm_nts_7,	/* 801 */
	burm_nts_1,	/* 802 */
	burm_nts_2,	/* 803 */
	burm_nts_2,	/* 804 */
	burm_nts_3,	/* 805 */
	burm_nts_4,	/* 806 */
	burm_nts_8,	/* 807 */
	burm_nts_0,	/* 808 */
	burm_nts_1,	/* 809 */
	burm_nts_2,	/* 810 */
	burm_nts_3,	/* 811 */
	burm_nts_4,	/* 812 */
	burm_nts_5,	/* 813 */
	burm_nts_8,	/* 814 */
	burm_nts_8,	/* 815 */
	burm_nts_0,	/* 816 */
	burm_nts_1,	/* 817 */
	burm_nts_2,	/* 818 */
	burm_nts_3,	/* 819 */
	burm_nts_4,	/* 820 */
	burm_nts_5,	/* 821 */
	burm_nts_6,	/* 822 */
	burm_nts_0,	/* 823 */
	burm_nts_1,	/* 824 */
	burm_nts_2,	/* 825 */
	burm_nts_3,	/* 826 */
	burm_nts_4,	/* 827 */
	burm_nts_5,	/* 828 */
	burm_nts_6,	/* 829 */
	burm_nts_7,	/* 830 */
	burm_nts_7,	/* 831 */
	burm_nts_0,	/* 832 */
	burm_nts_0,	/* 833 */
	burm_nts_0,	/* 834 */
	burm_nts_0,	/* 835 */
	burm_nts_0,	/* 836 */
	burm_nts_0,	/* 837 */
	burm_nts_0,	/* 838 */
	burm_nts_1,	/* 839 */
	burm_nts_2,	/* 840 */
	burm_nts_3,	/* 841 */
	burm_nts_4,	/* 842 */
	burm_nts_5,	/* 843 */
	burm_nts_6,	/* 844 */
	burm_nts_7,	/* 845 */
	burm_nts_8,	/* 846 */
	burm_nts_1,	/* 847 */
	burm_nts_2,	/* 848 */
	burm_nts_3,	/* 849 */
	burm_nts_4,	/* 850 */
	burm_nts_5,	/* 851 */
	burm_nts_6,	/* 852 */
	burm_nts_7,	/* 853 */
	burm_nts_0,	/* 854 */
	burm_nts_0,	/* 855 */
	burm_nts_0,	/* 856 */
	burm_nts_0,	/* 857 */
	burm_nts_0,	/* 858 */
	burm_nts_0,	/* 859 */
	burm_nts_0,	/* 860 */
	burm_nts_0,	/* 861 */
	burm_nts_1,	/* 862 */
	burm_nts_2,	/* 863 */
	burm_nts_3,	/* 864 */
	burm_nts_4,	/* 865 */
	burm_nts_5,	/* 866 */
	burm_nts_6,	/* 867 */
	burm_nts_1,	/* 868 */
	burm_nts_2,	/* 869 */
	burm_nts_3,	/* 870 */
	burm_nts_4,	/* 871 */
	burm_nts_5,	/* 872 */
	burm_nts_6,	/* 873 */
	burm_nts_7,	/* 874 */
	burm_nts_8,	/* 875 */
	burm_nts_0,	/* 876 */
	burm_nts_1,	/* 877 */
	burm_nts_2,	/* 878 */
	burm_nts_3,	/* 879 */
	burm_nts_4,	/* 880 */
	burm_nts_0,	/* 881 */
	burm_nts_0,	/* 882 */
	burm_nts_0,	/* 883 */
	burm_nts_0,	/* 884 */
	burm_nts_0,	/* 885 */
	burm_nts_0,	/* 886 */
	burm_nts_0,	/* 887 */
	burm_nts_0,	/* 888 */
	burm_nts_1,	/* 889 */
	burm_nts_2,	/* 890 */
	burm_nts_3,	/* 891 */
	burm_nts_4,	/* 892 */
	burm_nts_5,	/* 893 */
	burm_nts_6,	/* 894 */
	burm_nts_1,	/* 895 */
	burm_nts_2,	/* 896 */
	burm_nts_3,	/* 897 */
	burm_nts_4,	/* 898 */
	burm_nts_5,	/* 899 */
	burm_nts_6,	/* 900 */
	burm_nts_7,	/* 901 */
	burm_nts_7,	/* 902 */
	burm_nts_1,	/* 903 */
	burm_nts_2,	/* 904 */
	burm_nts_3,	/* 905 */
	burm_nts_4,	/* 906 */
	burm_nts_5,	/* 907 */
	burm_nts_6,	/* 908 */
	burm_nts_7,	/* 909 */
	burm_nts_0,	/* 910 */
	burm_nts_1,	/* 911 */
	burm_nts_2,	/* 912 */
	burm_nts_3,	/* 913 */
	burm_nts_4,	/* 914 */
	burm_nts_5,	/* 915 */
	burm_nts_6,	/* 916 */
	burm_nts_0,	/* 917 */
	burm_nts_1,	/* 918 */
	burm_nts_2,	/* 919 */
	burm_nts_3,	/* 920 */
	burm_nts_4,	/* 921 */
	burm_nts_5,	/* 922 */
	burm_nts_6,	/* 923 */
	burm_nts_7,	/* 924 */
	burm_nts_7,	/* 925 */
	burm_nts_0,	/* 926 */
	burm_nts_1,	/* 927 */
	burm_nts_2,	/* 928 */
	burm_nts_3,	/* 929 */
	burm_nts_4,	/* 930 */
	burm_nts_5,	/* 931 */
	burm_nts_6,	/* 932 */
	burm_nts_0,	/* 933 */
	burm_nts_0,	/* 934 */
	burm_nts_0,	/* 935 */
	burm_nts_0,	/* 936 */
	burm_nts_0,	/* 937 */
	burm_nts_0,	/* 938 */
	burm_nts_0,	/* 939 */
	burm_nts_1,	/* 940 */
	burm_nts_2,	/* 941 */
	burm_nts_3,	/* 942 */
	burm_nts_4,	/* 943 */
	burm_nts_5,	/* 944 */
	burm_nts_6,	/* 945 */
	burm_nts_7,	/* 946 */
	burm_nts_1,	/* 947 */
	burm_nts_2,	/* 948 */
	burm_nts_3,	/* 949 */
	burm_nts_4,	/* 950 */
	burm_nts_5,	/* 951 */
	burm_nts_0,	/* 952 */
	burm_nts_1,	/* 953 */
	burm_nts_2,	/* 954 */
	burm_nts_3,	/* 955 */
	burm_nts_4,	/* 956 */
	burm_nts_5,	/* 957 */
	burm_nts_6,	/* 958 */
	burm_nts_1,	/* 959 */
	burm_nts_2,	/* 960 */
	burm_nts_3,	/* 961 */
	burm_nts_4,	/* 962 */
	burm_nts_5,	/* 963 */
	burm_nts_6,	/* 964 */
	burm_nts_7,	/* 965 */
	burm_nts_1,	/* 966 */
	burm_nts_2,	/* 967 */
	burm_nts_3,	/* 968 */
	burm_nts_4,	/* 969 */
	burm_nts_5,	/* 970 */
	burm_nts_6,	/* 971 */
	burm_nts_7,	/* 972 */
	burm_nts_0,	/* 973 */
	burm_nts_1,	/* 974 */
	burm_nts_2,	/* 975 */
	burm_nts_3,	/* 976 */
	burm_nts_4,	/* 977 */
	burm_nts_5,	/* 978 */
	burm_nts_6,	/* 979 */
	burm_nts_0,	/* 980 */
	burm_nts_1,	/* 981 */
	burm_nts_2,	/* 982 */
	burm_nts_3,	/* 983 */
	burm_nts_4,	/* 984 */
	burm_nts_5,	/* 985 */
	burm_nts_6,	/* 986 */
	burm_nts_7,	/* 987 */
	burm_nts_7,	/* 988 */
	burm_nts_0,	/* 989 */
	burm_nts_1,	/* 990 */
	burm_nts_2,	/* 991 */
	burm_nts_3,	/* 992 */
	burm_nts_4,	/* 993 */
	burm_nts_5,	/* 994 */
	burm_nts_6,	/* 995 */
	burm_nts_3,	/* 996 */
	burm_nts_4,	/* 997 */
	burm_nts_5,	/* 998 */
	burm_nts_6,	/* 999 */
	burm_nts_7,	/* 1000 */
	burm_nts_2,	/* 1001 */
	burm_nts_2,	/* 1002 */
	burm_nts_3,	/* 1003 */
	burm_nts_1,	/* 1004 */
	burm_nts_0,	/* 1005 */
	burm_nts_1,	/* 1006 */
	burm_nts_2,	/* 1007 */
	burm_nts_3,	/* 1008 */
	burm_nts_4,	/* 1009 */
	burm_nts_5,	/* 1010 */
	burm_nts_6,	/* 1011 */
	burm_nts_7,	/* 1012 */
	burm_nts_7,	/* 1013 */
	burm_nts_0,	/* 1014 */
	burm_nts_1,	/* 1015 */
	burm_nts_2,	/* 1016 */
	burm_nts_3,	/* 1017 */
	burm_nts_4,	/* 1018 */
	burm_nts_5,	/* 1019 */
	burm_nts_6,	/* 1020 */
	burm_nts_1,	/* 1021 */
	burm_nts_2,	/* 1022 */
	burm_nts_3,	/* 1023 */
	burm_nts_4,	/* 1024 */
	burm_nts_5,	/* 1025 */
	burm_nts_6,	/* 1026 */
	burm_nts_7,	/* 1027 */
	burm_nts_0,	/* 1028 */
	burm_nts_0,	/* 1029 */
	burm_nts_0,	/* 1030 */
	burm_nts_0,	/* 1031 */
	burm_nts_0,	/* 1032 */
	burm_nts_0,	/* 1033 */
	burm_nts_0,	/* 1034 */
	burm_nts_5,	/* 1035 */
	burm_nts_6,	/* 1036 */
	burm_nts_7,	/* 1037 */
	burm_nts_7,	/* 1038 */
	burm_nts_7,	/* 1039 */
	burm_nts_1,	/* 1040 */
	burm_nts_2,	/* 1041 */
	burm_nts_3,	/* 1042 */
	burm_nts_4,	/* 1043 */
	burm_nts_1,	/* 1044 */
	burm_nts_2,	/* 1045 */
	burm_nts_3,	/* 1046 */
	burm_nts_1,	/* 1047 */
	burm_nts_2,	/* 1048 */
	burm_nts_3,	/* 1049 */
	burm_nts_4,	/* 1050 */
	burm_nts_5,	/* 1051 */
	burm_nts_6,	/* 1052 */
	burm_nts_1,	/* 1053 */
	burm_nts_2,	/* 1054 */
	burm_nts_3,	/* 1055 */
	burm_nts_4,	/* 1056 */
	burm_nts_5,	/* 1057 */
	burm_nts_6,	/* 1058 */
	burm_nts_7,	/* 1059 */
	burm_nts_0,	/* 1060 */
	burm_nts_1,	/* 1061 */
	burm_nts_2,	/* 1062 */
	burm_nts_3,	/* 1063 */
	burm_nts_4,	/* 1064 */
	burm_nts_5,	/* 1065 */
	burm_nts_6,	/* 1066 */
	burm_nts_1,	/* 1067 */
	burm_nts_2,	/* 1068 */
	burm_nts_3,	/* 1069 */
	burm_nts_4,	/* 1070 */
	burm_nts_5,	/* 1071 */
	burm_nts_6,	/* 1072 */
	burm_nts_7,	/* 1073 */
	burm_nts_0,	/* 1074 */
	burm_nts_1,	/* 1075 */
	burm_nts_2,	/* 1076 */
	burm_nts_3,	/* 1077 */
	burm_nts_4,	/* 1078 */
	burm_nts_5,	/* 1079 */
	burm_nts_6,	/* 1080 */
	burm_nts_7,	/* 1081 */
	burm_nts_7,	/* 1082 */
	burm_nts_1,	/* 1083 */
	burm_nts_2,	/* 1084 */
	burm_nts_3,	/* 1085 */
	burm_nts_4,	/* 1086 */
	burm_nts_5,	/* 1087 */
	burm_nts_6,	/* 1088 */
	burm_nts_7,	/* 1089 */
	burm_nts_8,	/* 1090 */
	burm_nts_1,	/* 1091 */
	burm_nts_2,	/* 1092 */
	burm_nts_3,	/* 1093 */
	burm_nts_4,	/* 1094 */
	burm_nts_5,	/* 1095 */
	burm_nts_6,	/* 1096 */
	burm_nts_7,	/* 1097 */
	burm_nts_8,	/* 1098 */
	burm_nts_0,	/* 1099 */
	burm_nts_1,	/* 1100 */
	burm_nts_2,	/* 1101 */
	burm_nts_3,	/* 1102 */
	burm_nts_4,	/* 1103 */
	burm_nts_5,	/* 1104 */
	burm_nts_6,	/* 1105 */
	burm_nts_0,	/* 1106 */
	burm_nts_1,	/* 1107 */
	burm_nts_2,	/* 1108 */
	burm_nts_3,	/* 1109 */
	burm_nts_4,	/* 1110 */
	burm_nts_5,	/* 1111 */
	burm_nts_6,	/* 1112 */
	burm_nts_1,	/* 1113 */
	burm_nts_2,	/* 1114 */
	burm_nts_3,	/* 1115 */
	burm_nts_4,	/* 1116 */
	burm_nts_5,	/* 1117 */
	burm_nts_6,	/* 1118 */
	burm_nts_7,	/* 1119 */
	burm_nts_8,	/* 1120 */
	burm_nts_8,	/* 1121 */
	burm_nts_8,	/* 1122 */
	burm_nts_8,	/* 1123 */
	burm_nts_8,	/* 1124 */
	burm_nts_8,	/* 1125 */
	burm_nts_8,	/* 1126 */
	burm_nts_8,	/* 1127 */
	burm_nts_0,	/* 1128 */
	burm_nts_0,	/* 1129 */
	burm_nts_0,	/* 1130 */
	burm_nts_0,	/* 1131 */
	burm_nts_0,	/* 1132 */
	burm_nts_0,	/* 1133 */
	burm_nts_0,	/* 1134 */
	burm_nts_0,	/* 1135 */
	burm_nts_1,	/* 1136 */
	burm_nts_1,	/* 1137 */
	burm_nts_1,	/* 1138 */
	burm_nts_1,	/* 1139 */
	burm_nts_1,	/* 1140 */
	burm_nts_1,	/* 1141 */
	burm_nts_1,	/* 1142 */
	burm_nts_1,	/* 1143 */
	burm_nts_2,	/* 1144 */
	burm_nts_2,	/* 1145 */
	burm_nts_2,	/* 1146 */
	burm_nts_2,	/* 1147 */
	burm_nts_2,	/* 1148 */
	burm_nts_2,	/* 1149 */
	burm_nts_2,	/* 1150 */
	burm_nts_2,	/* 1151 */
	burm_nts_3,	/* 1152 */
	burm_nts_3,	/* 1153 */
	burm_nts_3,	/* 1154 */
	burm_nts_3,	/* 1155 */
	burm_nts_3,	/* 1156 */
	burm_nts_3,	/* 1157 */
	burm_nts_3,	/* 1158 */
	burm_nts_3,	/* 1159 */
	burm_nts_4,	/* 1160 */
	burm_nts_4,	/* 1161 */
	burm_nts_4,	/* 1162 */
	burm_nts_4,	/* 1163 */
	burm_nts_4,	/* 1164 */
	burm_nts_4,	/* 1165 */
	burm_nts_4,	/* 1166 */
	burm_nts_4,	/* 1167 */
	burm_nts_5,	/* 1168 */
	burm_nts_5,	/* 1169 */
	burm_nts_5,	/* 1170 */
	burm_nts_5,	/* 1171 */
	burm_nts_5,	/* 1172 */
	burm_nts_5,	/* 1173 */
	burm_nts_5,	/* 1174 */
	burm_nts_5,	/* 1175 */
	burm_nts_6,	/* 1176 */
	burm_nts_6,	/* 1177 */
	burm_nts_6,	/* 1178 */
	burm_nts_6,	/* 1179 */
	burm_nts_6,	/* 1180 */
	burm_nts_6,	/* 1181 */
	burm_nts_6,	/* 1182 */
	burm_nts_6,	/* 1183 */
	burm_nts_7,	/* 1184 */
	burm_nts_7,	/* 1185 */
	burm_nts_7,	/* 1186 */
	burm_nts_7,	/* 1187 */
	burm_nts_7,	/* 1188 */
	burm_nts_7,	/* 1189 */
	burm_nts_7,	/* 1190 */
	burm_nts_7,	/* 1191 */
	0,	/* 1192 */
	0,	/* 1193 */
	0,	/* 1194 */
	0,	/* 1195 */
	0,	/* 1196 */
	0,	/* 1197 */
	0,	/* 1198 */
	0,	/* 1199 */
	burm_nts_9,	/* 1200 */
	burm_nts_9,	/* 1201 */
	burm_nts_9,	/* 1202 */
	burm_nts_9,	/* 1203 */
	burm_nts_9,	/* 1204 */
	burm_nts_9,	/* 1205 */
	burm_nts_9,	/* 1206 */
	burm_nts_9,	/* 1207 */
	burm_nts_9,	/* 1208 */
};

char burm_arity[] = {
	0,	/* 0 */
	1,	/* 1=op0 */
	1,	/* 2=op1 */
	1,	/* 3=op2 */
	1,	/* 4=op3 */
	1,	/* 5=op4 */
	1,	/* 6=op5 */
	1,	/* 7=op6 */
	1,	/* 8=op7 */
	1,	/* 9=op8 */
	1,	/* 10=op9 */
	1,	/* 11=op10 */
	1,	/* 12=op11 */
	1,	/* 13=op12 */
	1,	/* 14=op13 */
	1,	/* 15=op14 */
	1,	/* 16=op15 */
	1,	/* 17=op16 */
	1,	/* 18=op17 */
	1,	/* 19=op18 */
	1,	/* 20=op19 */
	1,	/* 21=op20 */
	1,	/* 22=op21 */
	1,	/* 23=op22 */
	1,	/* 24=op23 */
	1,	/* 25=op24 */
	1,	/* 26=op25 */
	1,	/* 27=op26 */
	1,	/* 28=op27 */
	1,	/* 29=op28 */
	1,	/* 30=op29 */
	1,	/* 31=op30 */
	1,	/* 32=op31 */
	1,	/* 33=op32 */
	1,	/* 34=op33 */
	1,	/* 35=op34 */
	1,	/* 36=op35 */
	1,	/* 37=op36 */
	1,	/* 38=op37 */
	1,	/* 39=op38 */
	1,	/* 40=op39 */
	1,	/* 41=op40 */
	1,	/* 42=op41 */
	1,	/* 43=op42 */
	1,	/* 44=op43 */
	1,	/* 45=op44 */
	1,	/* 46=op45 */
	1,	/* 47=op46 */
	1,	/* 48=op47 */
	1,	/* 49=op48 */
	1,	/* 50=op49 */
	1,	/* 51=op50 */
	1,	/* 52=op51 */
	1,	/* 53=op52 */
	1,	/* 54=op53 */
	1,	/* 55=op54 */
	1,	/* 56=op55 */
	1,	/* 57=op56 */
	1,	/* 58=op57 */
	1,	/* 59=op58 */
	1,	/* 60=op59 */
	1,	/* 61=op60 */
	1,	/* 62=op61 */
	1,	/* 63=op62 */
	1,	/* 64=op63 */
	1,	/* 65=op64 */
	1,	/* 66=op65 */
	1,	/* 67=op66 */
	1,	/* 68=op67 */
	1,	/* 69=op68 */
	1,	/* 70=op69 */
	1,	/* 71=op70 */
	1,	/* 72=op71 */
	1,	/* 73=op72 */
	1,	/* 74=op73 */
	1,	/* 75=op74 */
	1,	/* 76=op75 */
	1,	/* 77=op76 */
	1,	/* 78=op77 */
	1,	/* 79=op78 */
	1,	/* 80=op79 */
	1,	/* 81=op80 */
	1,	/* 82=op81 */
	1,	/* 83=op82 */
	1,	/* 84=op83 */
	1,	/* 85=op84 */
	1,	/* 86=op85 */
	1,	/* 87=op86 */
	1,	/* 88=op87 */
	1,	/* 89=op88 */
	1,	/* 90=op89 */
	1,	/* 91=op90 */
	1,	/* 92=op91 */
	1,	/* 93=op92 */
	1,	/* 94=op93 */
	1,	/* 95=op94 */
	1,	/* 96=op95 */
	1,	/* 97=op96 */
	1,	/* 98=op97 */
	1,	/* 99=op98 */
	1,	/* 100=op99 */
	1,	/* 101=op100 */
	1,	/* 102=op101 */
	1,	/* 103=op102 */
	1,	/* 104=op103 */
	1,	/* 105=op104 */
	1,	/* 106=op105 */
	1,	/* 107=op106 */
	1,	/* 108=op107 */
	1,	/* 109=op108 */
	1,	/* 110=op109 */
	1,	/* 111=op110 */
	1,	/* 112=op111 */
	1,	/* 113=op112 */
	1,	/* 114=op113 */
	1,	/* 115=op114 */
	1,	/* 116=op115 */
	1,	/* 117=op116 */
	1,	/* 118=op117 */
	1,	/* 119=op118 */
	1,	/* 120=op119 */
	1,	/* 121=op120 */
	1,	/* 122=op121 */
	1,	/* 123=op122 */
	1,	/* 124=op123 */
	1,	/* 125=op124 */
	1,	/* 126=op125 */
	1,	/* 127=op126 */
	1,	/* 128=op127 */
	1,	/* 129=op128 */
	1,	/* 130=op129 */
	1,	/* 131=op130 */
	1,	/* 132=op131 */
	1,	/* 133=op132 */
	1,	/* 134=op133 */
	1,	/* 135=op134 */
	1,	/* 136=op135 */
	1,	/* 137=op136 */
	1,	/* 138=op137 */
	1,	/* 139=op138 */
	1,	/* 140=op139 */
	1,	/* 141=op140 */
	1,	/* 142=op141 */
	1,	/* 143=op142 */
	1,	/* 144=op143 */
	1,	/* 145=op144 */
	1,	/* 146=op145 */
	1,	/* 147=op146 */
	1,	/* 148=op147 */
	1,	/* 149=op148 */
	1,	/* 150=op149 */
	1,	/* 151=op150 */
	1,	/* 152=op151 */
	1,	/* 153=op152 */
	1,	/* 154=op153 */
	1,	/* 155=op154 */
	1,	/* 156=op155 */
	1,	/* 157=op156 */
	1,	/* 158=op157 */
	1,	/* 159=op158 */
	1,	/* 160=op159 */
	1,	/* 161=op160 */
	1,	/* 162=op161 */
	1,	/* 163=op162 */
	1,	/* 164=op163 */
	1,	/* 165=op164 */
	1,	/* 166=op165 */
	1,	/* 167=op166 */
	1,	/* 168=op167 */
	1,	/* 169=op168 */
	1,	/* 170=op169 */
	1,	/* 171=op170 */
	1,	/* 172=op171 */
	1,	/* 173=op172 */
	1,	/* 174=op173 */
	1,	/* 175=op174 */
	1,	/* 176=op175 */
	1,	/* 177=op176 */
	1,	/* 178=op177 */
	1,	/* 179=op178 */
	1,	/* 180=op179 */
	1,	/* 181=op180 */
	1,	/* 182=op181 */
	1,	/* 183=op182 */
	1,	/* 184=op183 */
	1,	/* 185=op184 */
	1,	/* 186=op185 */
	1,	/* 187=op186 */
	1,	/* 188=op187 */
	1,	/* 189=op188 */
	1,	/* 190=op189 */
	1,	/* 191=op190 */
	1,	/* 192=op191 */
	1,	/* 193=op192 */
	1,	/* 194=op193 */
	1,	/* 195=op194 */
	1,	/* 196=op195 */
	1,	/* 197=op196 */
	1,	/* 198=op197 */
	1,	/* 199=op198 */
	1,	/* 200=op199 */
	1,	/* 201=op200 */
	1,	/* 202=op201 */
	1,	/* 203=op202 */
	1,	/* 204=op203 */
	1,	/* 205=op204 */
	1,	/* 206=op205 */
	1,	/* 207=op206 */
	1,	/* 208=op207 */
	1,	/* 209=op208 */
	1,	/* 210=op209 */
	1,	/* 211=op210 */
	1,	/* 212=op211 */
	1,	/* 213=op212 */
	1,	/* 214=op213 */
	1,	/* 215=op214 */
	1,	/* 216=op215 */
	1,	/* 217=op216 */
	1,	/* 218=op217 */
	1,	/* 219=op218 */
	1,	/* 220=op219 */
	1,	/* 221=op220 */
	1,	/* 222=op221 */
	1,	/* 223=op222 */
	1,	/* 224=op223 */
	1,	/* 225=op224 */
	1,	/* 226=op225 */
	1,	/* 227=op226 */
	1,	/* 228=op227 */
	1,	/* 229=op228 */
	1,	/* 230=op229 */
	1,	/* 231=op230 */
	1,	/* 232=op231 */
	1,	/* 233=op232 */
	1,	/* 234=op233 */
	1,	/* 235=op234 */
	1,	/* 236=op235 */
	1,	/* 237=op236 */
	1,	/* 238=op237 */
	1,	/* 239=op238 */
	1,	/* 240=op239 */
	1,	/* 241=op240 */
	1,	/* 242=op241 */
	1,	/* 243=op242 */
	1,	/* 244=op243 */
	1,	/* 245=op244 */
	1,	/* 246=op245 */
	1,	/* 247=op246 */
	1,	/* 248=op247 */
	1,	/* 249=op248 */
	1,	/* 250=op249 */
	1,	/* 251=op250 */
	1,	/* 252=op251 */
	1,	/* 253=op252 */
	1,	/* 254=op253 */
	1,	/* 255=op254 */
	1,	/* 256=op255 */
	1,	/* 257=op256 */
	1,	/* 258=op257 */
	1,	/* 259=op258 */
	1,	/* 260=op259 */
	1,	/* 261=op260 */
	1,	/* 262=op261 */
	1,	/* 263=op262 */
	1,	/* 264=op263 */
	1,	/* 265=op264 */
	1,	/* 266=op265 */
	1,	/* 267=op266 */
	1,	/* 268=op267 */
	1,	/* 269=op268 */
	1,	/* 270=op269 */
	1,	/* 271=op270 */
	1,	/* 272=op271 */
	1,	/* 273=op272 */
	1,	/* 274=op273 */
	1,	/* 275=op274 */
	1,	/* 276=op275 */
	1,	/* 277=op276 */
	1,	/* 278=op277 */
	1,	/* 279=op278 */
	1,	/* 280=op279 */
	1,	/* 281=op280 */
	1,	/* 282=op281 */
	1,	/* 283=op282 */
	1,	/* 284=op283 */
	1,	/* 285=op284 */
	1,	/* 286=op285 */
	1,	/* 287=op286 */
	1,	/* 288=op287 */
	1,	/* 289=op288 */
	1,	/* 290=op289 */
	1,	/* 291=op290 */
	1,	/* 292=op291 */
	1,	/* 293=op292 */
	1,	/* 294=op293 */
	1,	/* 295=op294 */
	1,	/* 296=op295 */
	1,	/* 297=op296 */
	1,	/* 298=op297 */
	1,	/* 299=op298 */
	1,	/* 300=op299 */
	1,	/* 301=op300 */
	1,	/* 302=op301 */
	1,	/* 303=op302 */
	1,	/* 304=op303 */
	1,	/* 305=op304 */
	1,	/* 306=op305 */
	1,	/* 307=op306 */
	1,	/* 308=op307 */
	1,	/* 309=op308 */
	1,	/* 310=op309 */
	1,	/* 311=op310 */
	1,	/* 312=op311 */
	1,	/* 313=op312 */
	1,	/* 314=op313 */
	1,	/* 315=op314 */
	1,	/* 316=op315 */
	1,	/* 317=op316 */
	1,	/* 318=op317 */
	1,	/* 319=op318 */
	1,	/* 320=op319 */
	1,	/* 321=op320 */
	1,	/* 322=op321 */
	1,	/* 323=op322 */
	1,	/* 324=op323 */
	1,	/* 325=op324 */
	1,	/* 326=op325 */
	1,	/* 327=op326 */
	1,	/* 328=op327 */
	1,	/* 329=op328 */
	1,	/* 330=op329 */
	1,	/* 331=op330 */
	1,	/* 332=op331 */
	1,	/* 333=op332 */
	1,	/* 334=op333 */
	1,	/* 335=op334 */
	1,	/* 336=op335 */
	1,	/* 337=op336 */
	1,	/* 338=op337 */
	1,	/* 339=op338 */
	1,	/* 340=op339 */
	1,	/* 341=op340 */
	1,	/* 342=op341 */
	1,	/* 343=op342 */
	1,	/* 344=op343 */
	1,	/* 345=op344 */
	1,	/* 346=op345 */
	1,	/* 347=op346 */
	1,	/* 348=op347 */
	1,	/* 349=op348 */
	1,	/* 350=op349 */
	1,	/* 351=op350 */
	1,	/* 352=op351 */
	1,	/* 353=op352 */
	1,	/* 354=op353 */
	1,	/* 355=op354 */
	0,	/* 356=op355 */
	0,	/* 357=op356 */
	0,	/* 358=op357 */
	0,	/* 359=op358 */
	0,	/* 360=op359 */
	0,	/* 361 */
	0,	/* 362 */
	0,	/* 363 */
	0,	/* 364 */
	0,	/* 365 */
	0,	/* 366 */
	0,	/* 367 */
	0,	/* 368 */
	0,	/* 369 */
	0,	/* 370 */
	0,	/* 371 */
	0,	/* 372 */
	0,	/* 373 */
	0,	/* 374 */
	0,	/* 375 */
	0,	/* 376 */
	0,	/* 377 */
	0,	/* 378 */
	0,	/* 379 */
	0,	/* 380 */
	0,	/* 381 */
	0,	/* 382 */
	0,	/* 383 */
	0,	/* 384 */
	0,	/* 385 */
	0,	/* 386 */
	0,	/* 387 */
	0,	/* 388 */
	0,	/* 389 */
	0,	/* 390 */
	0,	/* 391 */
	0,	/* 392 */
	0,	/* 393 */
	0,	/* 394 */
	0,	/* 395 */
	0,	/* 396 */
	0,	/* 397 */
	0,	/* 398 */
	0,	/* 399 */
	0,	/* 400=s0 */
	0,	/* 401=s1 */
	0,	/* 402=s2 */
	0,	/* 403=s3 */
	0,	/* 404=s4 */
	0,	/* 405=s5 */
	0,	/* 406=s6 */
	0,	/* 407=s7 */
	0,	/* 408=s8 */
};

char *burm_opname[] = {
	/* 0 */	0,
	/* 1 */	"op0",
	/* 2 */	"op1",
	/* 3 */	"op2",
	/* 4 */	"op3",
	/* 5 */	"op4",
	/* 6 */	"op5",
	/* 7 */	"op6",
	/* 8 */	"op7",
	/* 9 */	"op8",
	/* 10 */	"op9",
	/* 11 */	"op10",
	/* 12 */	"op11",
	/* 13 */	"op12",
	/* 14 */	"op13",
	/* 15 */	"op14",
	/* 16 */	"op15",
	/* 17 */	"op16",
	/* 18 */	"op17",
	/* 19 */	"op18",
	/* 20 */	"op19",
	/* 21 */	"op20",
	/* 22 */	"op21",
	/* 23 */	"op22",
	/* 24 */	"op23",
	/* 25 */	"op24",
	/* 26 */	"op25",
	/* 27 */	"op26",
	/* 28 */	"op27",
	/* 29 */	"op28",
	/* 30 */	"op29",
	/* 31 */	"op30",
	/* 32 */	"op31",
	/* 33 */	"op32",
	/* 34 */	"op33",
	/* 35 */	"op34",
	/* 36 */	"op35",
	/* 37 */	"op36",
	/* 38 */	"op37",
	/* 39 */	"op38",
	/* 40 */	"op39",
	/* 41 */	"op40",
	/* 42 */	"op41",
	/* 43 */	"op42",
	/* 44 */	"op43",
	/* 45 */	"op44",
	/* 46 */	"op45",
	/* 47 */	"op46",
	/* 48 */	"op47",
	/* 49 */	"op48",
	/* 50 */	"op49",
	/* 51 */	"op50",
	/* 52 */	"op51",
	/* 53 */	"op52",
	/* 54 */	"op53",
	/* 55 */	"op54",
	/* 56 */	"op55",
	/* 57 */	"op56",
	/* 58 */	"op57",
	/* 59 */	"op58",
	/* 60 */	"op59",
	/* 61 */	"op60",
	/* 62 */	"op61",
	/* 63 */	"op62",
	/* 64 */	"op63",
	/* 65 */	"op64",
	/* 66 */	"op65",
	/* 67 */	"op66",
	/* 68 */	"op67",
	/* 69 */	"op68",
	/* 70 */	"op69",
	/* 71 */	"op70",
	/* 72 */	"op71",
	/* 73 */	"op72",
	/* 74 */	"op73",
	/* 75 */	"op74",
	/* 76 */	"op75",
	/* 77 */	"op76",
	/* 78 */	"op77",
	/* 79 */	"op78",
	/* 80 */	"op79",
	/* 81 */	"op80",
	/* 82 */	"op81",
	/* 83 */	"op82",
	/* 84 */	"op83",
	/* 85 */	"op84",
	/* 86 */	"op85",
	/* 87 */	"op86",
	/* 88 */	"op87",
	/* 89 */	"op88",
	/* 90 */	"op89",
	/* 91 */	"op90",
	/* 92 */	"op91",
	/* 93 */	"op92",
	/* 94 */	"op93",
	/* 95 */	"op94",
	/* 96 */	"op95",
	/* 97 */	"op96",
	/* 98 */	"op97",
	/* 99 */	"op98",
	/* 100 */	"op99",
	/* 101 */	"op100",
	/* 102 */	"op101",
	/* 103 */	"op102",
	/* 104 */	"op103",
	/* 105 */	"op104",
	/* 106 */	"op105",
	/* 107 */	"op106",
	/* 108 */	"op107",
	/* 109 */	"op108",
	/* 110 */	"op109",
	/* 111 */	"op110",
	/* 112 */	"op111",
	/* 113 */	"op112",
	/* 114 */	"op113",
	/* 115 */	"op114",
	/* 116 */	"op115",
	/* 117 */	"op116",
	/* 118 */	"op117",
	/* 119 */	"op118",
	/* 120 */	"op119",
	/* 121 */	"op120",
	/* 122 */	"op121",
	/* 123 */	"op122",
	/* 124 */	"op123",
	/* 125 */	"op124",
	/* 126 */	"op125",
	/* 127 */	"op126",
	/* 128 */	"op127",
	/* 129 */	"op128",
	/* 130 */	"op129",
	/* 131 */	"op130",
	/* 132 */	"op131",
	/* 133 */	"op132",
	/* 134 */	"op133",
	/* 135 */	"op134",
	/* 136 */	"op135",
	/* 137 */	"op136",
	/* 138 */	"op137",
	/* 139 */	"op138",
	/* 140 */	"op139",
	/* 141 */	"op140",
	/* 142 */	"op141",
	/* 143 */	"op142",
	/* 144 */	"op143",
	/* 145 */	"op144",
	/* 146 */	"op145",
	/* 147 */	"op146",
	/* 148 */	"op147",
	/* 149 */	"op148",
	/* 150 */	"op149",
	/* 151 */	"op150",
	/* 152 */	"op151",
	/* 153 */	"op152",
	/* 154 */	"op153",
	/* 155 */	"op154",
	/* 156 */	"op155",
	/* 157 */	"op156",
	/* 158 */	"op157",
	/* 159 */	"op158",
	/* 160 */	"op159",
	/* 161 */	"op160",
	/* 162 */	"op161",
	/* 163 */	"op162",
	/* 164 */	"op163",
	/* 165 */	"op164",
	/* 166 */	"op165",
	/* 167 */	"op166",
	/* 168 */	"op167",
	/* 169 */	"op168",
	/* 170 */	"op169",
	/* 171 */	"op170",
	/* 172 */	"op171",
	/* 173 */	"op172",
	/* 174 */	"op173",
	/* 175 */	"op174",
	/* 176 */	"op175",
	/* 177 */	"op176",
	/* 178 */	"op177",
	/* 179 */	"op178",
	/* 180 */	"op179",
	/* 181 */	"op180",
	/* 182 */	"op181",
	/* 183 */	"op182",
	/* 184 */	"op183",
	/* 185 */	"op184",
	/* 186 */	"op185",
	/* 187 */	"op186",
	/* 188 */	"op187",
	/* 189 */	"op188",
	/* 190 */	"op189",
	/* 191 */	"op190",
	/* 192 */	"op191",
	/* 193 */	"op192",
	/* 194 */	"op193",
	/* 195 */	"op194",
	/* 196 */	"op195",
	/* 197 */	"op196",
	/* 198 */	"op197",
	/* 199 */	"op198",
	/* 200 */	"op199",
	/* 201 */	"op200",
	/* 202 */	"op201",
	/* 203 */	"op202",
	/* 204 */	"op203",
	/* 205 */	"op204",
	/* 206 */	"op205",
	/* 207 */	"op206",
	/* 208 */	"op207",
	/* 209 */	"op208",
	/* 210 */	"op209",
	/* 211 */	"op210",
	/* 212 */	"op211",
	/* 213 */	"op212",
	/* 214 */	"op213",
	/* 215 */	"op214",
	/* 216 */	"op215",
	/* 217 */	"op216",
	/* 218 */	"op217",
	/* 219 */	"op218",
	/* 220 */	"op219",
	/* 221 */	"op220",
	/* 222 */	"op221",
	/* 223 */	"op222",
	/* 224 */	"op223",
	/* 225 */	"op224",
	/* 226 */	"op225",
	/* 227 */	"op226",
	/* 228 */	"op227",
	/* 229 */	"op228",
	/* 230 */	"op229",
	/* 231 */	"op230",
	/* 232 */	"op231",
	/* 233 */	"op232",
	/* 234 */	"op233",
	/* 235 */	"op234",
	/* 236 */	"op235",
	/* 237 */	"op236",
	/* 238 */	"op237",
	/* 239 */	"op238",
	/* 240 */	"op239",
	/* 241 */	"op240",
	/* 242 */	"op241",
	/* 243 */	"op242",
	/* 244 */	"op243",
	/* 245 */	"op244",
	/* 246 */	"op245",
	/* 247 */	"op246",
	/* 248 */	"op247",
	/* 249 */	"op248",
	/* 250 */	"op249",
	/* 251 */	"op250",
	/* 252 */	"op251",
	/* 253 */	"op252",
	/* 254 */	"op253",
	/* 255 */	"op254",
	/* 256 */	"op255",
	/* 257 */	"op256",
	/* 258 */	"op257",
	/* 259 */	"op258",
	/* 260 */	"op259",
	/* 261 */	"op260",
	/* 262 */	"op261",
	/* 263 */	"op262",
	/* 264 */	"op263",
	/* 265 */	"op264",
	/* 266 */	"op265",
	/* 267 */	"op266",
	/* 268 */	"op267",
	/* 269 */	"op268",
	/* 270 */	"op269",
	/* 271 */	"op270",
	/* 272 */	"op271",
	/* 273 */	"op272",
	/* 274 */	"op273",
	/* 275 */	"op274",
	/* 276 */	"op275",
	/* 277 */	"op276",
	/* 278 */	"op277",
	/* 279 */	"op278",
	/* 280 */	"op279",
	/* 281 */	"op280",
	/* 282 */	"op281",
	/* 283 */	"op282",
	/* 284 */	"op283",
	/* 285 */	"op284",
	/* 286 */	"op285",
	/* 287 */	"op286",
	/* 288 */	"op287",
	/* 289 */	"op288",
	/* 290 */	"op289",
	/* 291 */	"op290",
	/* 292 */	"op291",
	/* 293 */	"op292",
	/* 294 */	"op293",
	/* 295 */	"op294",
	/* 296 */	"op295",
	/* 297 */	"op296",
	/* 298 */	"op297",
	/* 299 */	"op298",
	/* 300 */	"op299",
	/* 301 */	"op300",
	/* 302 */	"op301",
	/* 303 */	"op302",
	/* 304 */	"op303",
	/* 305 */	"op304",
	/* 306 */	"op305",
	/* 307 */	"op306",
	/* 308 */	"op307",
	/* 309 */	"op308",
	/* 310 */	"op309",
	/* 311 */	"op310",
	/* 312 */	"op311",
	/* 313 */	"op312",
	/* 314 */	"op313",
	/* 315 */	"op314",
	/* 316 */	"op315",
	/* 317 */	"op316",
	/* 318 */	"op317",
	/* 319 */	"op318",
	/* 320 */	"op319",
	/* 321 */	"op320",
	/* 322 */	"op321",
	/* 323 */	"op322",
	/* 324 */	"op323",
	/* 325 */	"op324",
	/* 326 */	"op325",
	/* 327 */	"op326",
	/* 328 */	"op327",
	/* 329 */	"op328",
	/* 330 */	"op329",
	/* 331 */	"op330",
	/* 332 */	"op331",
	/* 333 */	"op332",
	/* 334 */	"op333",
	/* 335 */	"op334",
	/* 336 */	"op335",
	/* 337 */	"op336",
	/* 338 */	"op337",
	/* 339 */	"op338",
	/* 340 */	"op339",
	/* 341 */	"op340",
	/* 342 */	"op341",
	/* 343 */	"op342",
	/* 344 */	"op343",
	/* 345 */	"op344",
	/* 346 */	"op345",
	/* 347 */	"op346",
	/* 348 */	"op347",
	/* 349 */	"op348",
	/* 350 */	"op349",
	/* 351 */	"op350",
	/* 352 */	"op351",
	/* 353 */	"op352",
	/* 354 */	"op353",
	/* 355 */	"op354",
	/* 356 */	"op355",
	/* 357 */	"op356",
	/* 358 */	"op357",
	/* 359 */	"op358",
	/* 360 */	"op359",
	/* 361 */	0,
	/* 362 */	0,
	/* 363 */	0,
	/* 364 */	0,
	/* 365 */	0,
	/* 366 */	0,
	/* 367 */	0,
	/* 368 */	0,
	/* 369 */	0,
	/* 370 */	0,
	/* 371 */	0,
	/* 372 */	0,
	/* 373 */	0,
	/* 374 */	0,
	/* 375 */	0,
	/* 376 */	0,
	/* 377 */	0,
	/* 378 */	0,
	/* 379 */	0,
	/* 380 */	0,
	/* 381 */	0,
	/* 382 */	0,
	/* 383 */	0,
	/* 384 */	0,
	/* 385 */	0,
	/* 386 */	0,
	/* 387 */	0,
	/* 388 */	0,
	/* 389 */	0,
	/* 390 */	0,
	/* 391 */	0,
	/* 392 */	0,
	/* 393 */	0,
	/* 394 */	0,
	/* 395 */	0,
	/* 396 */	0,
	/* 397 */	0,
	/* 398 */	0,
	/* 399 */	0,
	/* 400 */	"s0",
	/* 401 */	"s1",
	/* 402 */	"s2",
	/* 403 */	"s3",
	/* 404 */	"s4",
	/* 405 */	"s5",
	/* 406 */	"s6",
	/* 407 */	"s7",
	/* 408 */	"s8",
};

short burm_cost[][4] = {
	{ 0 },	/* 0 */
	{ 12 },	/* 1 = S0: op0(S0) */
	{ 16 },	/* 2 = S0: op1(S0) */
	{ 16 },	/* 3 = S0: op2(S0) */
	{ 20 },	/* 4 = S0: op3(S0) */
	{ 8 },	/* 5 = S0: op4(S0) */
	{ 12 },	/* 6 = S0: op5(S0) */
	{ 16 },	/* 7 = S0: op6(S0) */
	{ 24 },	/* 8 = S0: op7(S0) */
	{ 4 },	/* 9 = S0: op8(S0) */
	{ 4 },	/* 10 = S0: op9(S0) */
	{ 16 },	/* 11 = S0: op10(S0) */
	{ 16 },	/* 12 = S0: op11(S0) */
	{ 12 },	/* 13 = S0: op12(S0) */
	{ 12 },	/* 14 = S0: op13(S0) */
	{ 8 },	/* 15 = S0: op14(S0) */
	{ 16 },	/* 16 = S0: op15(S0) */
	{ 32 },	/* 17 = S0: op16(S0) */
	{ 24 },	/* 18 = S0: op17(S0) */
	{ 8 },	/* 19 = S0: op18(S0) */
	{ 48 },	/* 20 = S0: op19(S0) */
	{ 60 },	/* 21 = S0: op20(S0) */
	{ 40 },	/* 22 = S0: op21(S0) */
	{ 36 },	/* 23 = S0: op22(S0) */
	{ 56 },	/* 24 = S0: op23(S0) */
	{ 72 },	/* 25 = S0: op24(S0) */
	{ 60 },	/* 26 = S0: op25(S0) */
	{ 76 },	/* 27 = S0: op26(S0) */
	{ 96 },	/* 28 = S0: op27(S0) */
	{ 112 },	/* 29 = S0: op28(S0) */
	{ 84 },	/* 30 = S0: op29(S0) */
	{ 100 },	/* 31 = S0: op30(S0) */
	{ 104 },	/* 32 = S0: op31(S0) */
	{ 120 },	/* 33 = S0: op32(S0) */
	{ 32 },	/* 34 = S0: op33(S0) */
	{ 32 },	/* 35 = S0: op34(S0) */
	{ 52 },	/* 36 = S0: op35(S0) */
	{ 52 },	/* 37 = S0: op36(S0) */
	{ 52 },	/* 38 = S0: op37(S0) */
	{ 52 },	/* 39 = S0: op38(S0) */
	{ 52 },	/* 40 = S0: op39(S0) */
	{ 16 },	/* 41 = S0: op40(S0) */
	{ 16 },	/* 42 = S0: op41(S0) */
	{ 16 },	/* 43 = S0: op42(S0) */
	{ 16 },	/* 44 = S0: op43(S0) */
	{ 28 },	/* 45 = S0: op44(S0) */
	{ 28 },	/* 46 = S0: op45(S0) */
	{ 28 },	/* 47 = S0: op46(S0) */
	{ 28 },	/* 48 = S0: op47(S0) */
	{ 36 },	/* 49 = S0: op48(S0) */
	{ 24 },	/* 50 = S0: op49(S0) */
	{ 36 },	/* 51 = S0: op50(S0) */
	{ 32 },	/* 52 = S0: op51(S0) */
	{ 24 },	/* 53 = S0: op52(S0) */
	{ 16 },	/* 54 = S0: op53(S0) */
	{ 12 },	/* 55 = S0: op54(S0) */
	{ 32 },	/* 56 = S0: op55(S0) */
	{ 16 },	/* 57 = S0: op56(S0) */
	{ 8 },	/* 58 = S0: op57(S0) */
	{ 8 },	/* 59 = S0: op58(S0) */
	{ 8 },	/* 60 = S0: op59(S0) */
	{ 32 },	/* 61 = S0: op60(S0) */
	{ 32 },	/* 62 = S0: op61(S0) */
	{ 16 },	/* 63 = S0: op62(S0) */
	{ 16 },	/* 64 = S0: op63(S0) */
	{ 52 },	/* 65 = S0: op64(S0) */
	{ 52 },	/* 66 = S0: op65(S0) */
	{ 56 },	/* 67 = S0: op66(S0) */
	{ 44 },	/* 68 = S0: op67(S0) */
	{ 40 },	/* 69 = S0: op68(S0) */
	{ 8 },	/* 70 = S0: op69(S0) */
	{ 8 },	/* 71 = S0: op70(S0) */
	{ 60 },	/* 72 = S0: op71(S0) */
	{ 60 },	/* 73 = S0: op72(S0) */
	{ 24 },	/* 74 = S0: op73(S0) */
	{ 24 },	/* 75 = S0: op74(S0) */
	{ 60 },	/* 76 = S0: op75(S0) */
	{ 64 },	/* 77 = S0: op76(S0) */
	{ 88 },	/* 78 = S0: op77(S0) */
	{ 88 },	/* 79 = S0: op78(S0) */
	{ 48 },	/* 80 = S0: op79(S0) */
	{ 40 },	/* 81 = S0: op80(S0) */
	{ 52 },	/* 82 = S0: op81(S0) */
	{ 16 },	/* 83 = S0: op82(S0) */
	{ 16 },	/* 84 = S0: op83(S0) */
	{ 16 },	/* 85 = S0: op84(S0) */
	{ 8 },	/* 86 = S0: op85(S0) */
	{ 16 },	/* 87 = S0: op86(S0) */
	{ 16 },	/* 88 = S0: op87(S0) */
	{ 12 },	/* 89 = S0: op88(S0) */
	{ 16 },	/* 90 = S0: op89(S0) */
	{ 12 },	/* 91 = S0: op90(S0) */
	{ 20 },	/* 92 = S0: op91(S0) */
	{ 20 },	/* 93 = S0: op92(S0) */
	{ 16 },	/* 94 = S0: op93(S0) */
	{ 24 },	/* 95 = S0: op94(S0) */
	{ 28 },	/* 96 = S0: op95(S0) */
	{ 28 },	/* 97 = S0: op96(S0) */
	{ 28 },	/* 98 = S0: op97(S0) */
	{ 32 },	/* 99 = S0: op98(S0) */
	{ 32 },	/* 100 = S0: op99(S0) */
	{ 24 },	/* 101 = S0: op100(S0) */
	{ 28 },	/* 102 = S0: op101(S0) */
	{ 20 },	/* 103 = S0: op102(S0) */
	{ 20 },	/* 104 = S0: op103(S0) */
	{ 24 },	/* 105 = S0: op104(S0) */
	{ 24 },	/* 106 = S0: op105(S0) */
	{ 88 },	/* 107 = S0: op106(S0) */
	{ 88 },	/* 108 = S0: op107(S0) */
	{ 80 },	/* 109 = S0: op108(S0) */
	{ 92 },	/* 110 = S0: op109(S0) */
	{ 80 },	/* 111 = S0: op110(S0) */
	{ 92 },	/* 112 = S0: op111(S0) */
	{ 44 },	/* 113 = S0: op112(S0) */
	{ 48 },	/* 114 = S0: op113(S0) */
	{ 28 },	/* 115 = S0: op114(S0) */
	{ 56 },	/* 116 = S0: op115(S0) */
	{ 60 },	/* 117 = S0: op116(S0) */
	{ 32 },	/* 118 = S0: op117(S0) */
	{ 88 },	/* 119 = S0: op118(S0) */
	{ 76 },	/* 120 = S0: op119(S0) */
	{ 96 },	/* 121 = S0: op120(S0) */
	{ 84 },	/* 122 = S0: op121(S0) */
	{ 84 },	/* 123 = S0: op122(S0) */
	{ 84 },	/* 124 = S0: op123(S0) */
	{ 32 },	/* 125 = S0: op124(S0) */
	{ 24 },	/* 126 = S0: op125(S0) */
	{ 32 },	/* 127 = S0: op126(S0) */
	{ 20 },	/* 128 = S0: op127(S0) */
	{ 16 },	/* 129 = S0: op128(S0) */
	{ 16 },	/* 130 = S0: op129(S0) */
	{ 16 },	/* 131 = S0: op130(S0) */
	{ 36 },	/* 132 = S0: op131(S0) */
	{ 36 },	/* 133 = S0: op132(S0) */
	{ 16 },	/* 134 = S0: op133(S0) */
	{ 24 },	/* 135 = S0: op134(S0) */
	{ 8 },	/* 136 = S0: op135(S0) */
	{ 48 },	/* 137 = S0: op136(S0) */
	{ 48 },	/* 138 = S0: op137(S0) */
	{ 80 },	/* 139 = S0: op138(S0) */
	{ 8 },	/* 140 = S0: op139(S0) */
	{ 20 },	/* 141 = S0: op140(S0) */
	{ 8 },	/* 142 = S0: op141(S0) */
	{ 16 },	/* 143 = S0: op142(S0) */
	{ 12 },	/* 144 = S0: op143(S0) */
	{ 24 },	/* 145 = S0: op144(S0) */
	{ 24 },	/* 146 = S0: op145(S0) */
	{ 8 },	/* 147 = S0: op146(S0) */
	{ 20 },	/* 148 = S0: op147(S0) */
	{ 28 },	/* 149 = S0: op148(S0) */
	{ 16 },	/* 150 = S0: op149(S0) */
	{ 8 },	/* 151 = S0: op150(S0) */
	{ 20 },	/* 152 = S0: op151(S0) */
	{ 28 },	/* 153 = S0: op152(S0) */
	{ 32 },	/* 154 = S0: op153(S0) */
	{ 48 },	/* 155 = S0: op154(S0) */
	{ 20 },	/* 156 = S0: op155(S0) */
	{ 40 },	/* 157 = S0: op156(S0) */
	{ 8 },	/* 158 = S0: op157(S0) */
	{ 24 },	/* 159 = S0: op158(S0) */
	{ 16 },	/* 160 = S0: op159(S0) */
	{ 32 },	/* 161 = S0: op160(S0) */
	{ 8 },	/* 162 = S0: op161(S0) */
	{ 16 },	/* 163 = S0: op162(S0) */
	{ 32 },	/* 164 = S0: op163(S0) */
	{ 24 },	/* 165 = S0: op164(S0) */
	{ 8 },	/* 166 = S0: op165(S0) */
	{ 8 },	/* 167 = S0: op166(S0) */
	{ 8 },	/* 168 = S0: op167(S0) */
	{ 4 },	/* 169 = S0: op168(S0) */
	{ 24 },	/* 170 = S0: op169(S0) */
	{ 32 },	/* 171 = S0: op170(S0) */
	{ 32 },	/* 172 = S0: op171(S0) */
	{ 32 },	/* 173 = S0: op172(S0) */
	{ 32 },	/* 174 = S0: op173(S0) */
	{ 36 },	/* 175 = S0: op174(S0) */
	{ 12 },	/* 176 = S0: op175(S0) */
	{ 12 },	/* 177 = S0: op176(S0) */
	{ 16 },	/* 178 = S0: op177(S0) */
	{ 28 },	/* 179 = S0: op178(S0) */
	{ 36 },	/* 180 = S0: op179(S0) */
	{ 20 },	/* 181 = S0: op180(S0) */
	{ 20 },	/* 182 = S0: op181(S0) */
	{ 20 },	/* 183 = S0: op182(S0) */
	{ 36 },	/* 184 = S0: op183(S0) */
	{ 16 },	/* 185 = S0: op184(S0) */
	{ 24 },	/* 186 = S0: op185(S0) */
	{ 8 },	/* 187 = S0: op186(S0) */
	{ 84 },	/* 188 = S0: op187(S0) */
	{ 60 },	/* 189 = S0: op188(S0) */
	{ 84 },	/* 190 = S0: op189(S0) */
	{ 52 },	/* 191 = S0: op190(S0) */
	{ 84 },	/* 192 = S0: op191(S0) */
	{ 16 },	/* 193 = S0: op192(S0) */
	{ 68 },	/* 194 = S0: op193(S0) */
	{ 16 },	/* 195 = S0: op194(S0) */
	{ 80 },	/* 196 = S0: op195(S0) */
	{ 32 },	/* 197 = S0: op196(S0) */
	{ 32 },	/* 198 = S0: op197(S0) */
	{ 64 },	/* 199 = S0: op198(S0) */
	{ 40 },	/* 200 = S0: op199(S0) */
	{ 64 },	/* 201 = S0: op200(S0) */
	{ 64 },	/* 202 = S0: op201(S0) */
	{ 60 },	/* 203 = S0: op202(S0) */
	{ 36 },	/* 204 = S0: op203(S0) */
	{ 72 },	/* 205 = S0: op204(S0) */
	{ 88 },	/* 206 = S0: op205(S0) */
	{ 68 },	/* 207 = S0: op206(S0) */
	{ 88 },	/* 208 = S0: op207(S0) */
	{ 92 },	/* 209 = S0: op208(S0) */
	{ 60 },	/* 210 = S0: op209(S0) */
	{ 84 },	/* 211 = S0: op210(S0) */
	{ 60 },	/* 212 = S0: op211(S0) */
	{ 40 },	/* 213 = S0: op212(S0) */
	{ 36 },	/* 214 = S0: op213(S0) */
	{ 16 },	/* 215 = S0: op214(S0) */
	{ 64 },	/* 216 = S0: op215(S0) */
	{ 116 },	/* 217 = S0: op216(S0) */
	{ 40 },	/* 218 = S0: op217(S0) */
	{ 72 },	/* 219 = S0: op218(S0) */
	{ 60 },	/* 220 = S0: op219(S0) */
	{ 52 },	/* 221 = S0: op220(S0) */
	{ 32 },	/* 222 = S0: op221(S0) */
	{ 44 },	/* 223 = S0: op222(S0) */
	{ 68 },	/* 224 = S0: op223(S0) */
	{ 44 },	/* 225 = S0: op224(S0) */
	{ 48 },	/* 226 = S0: op225(S0) */
	{ 44 },	/* 227 = S0: op226(S0) */
	{ 44 },	/* 228 = S0: op227(S0) */
	{ 48 },	/* 229 = S0: op228(S0) */
	{ 48 },	/* 230 = S0: op229(S0) */
	{ 48 },	/* 231 = S0: op230(S0) */
	{ 52 },	/* 232 = S0: op231(S0) */
	{ 48 },	/* 233 = S0: op232(S0) */
	{ 48 },	/* 234 = S0: op233(S0) */
	{ 52 },	/* 235 = S0: op234(S0) */
	{ 52 },	/* 236 = S0: op235(S0) */
	{ 60 },	/* 237 = S0: op236(S0) */
	{ 64 },	/* 238 = S0: op237(S0) */
	{ 48 },	/* 239 = S0: op238(S0) */
	{ 40 },	/* 240 = S0: op239(S0) */
	{ 28 },	/* 241 = S0: op240(S0) */
	{ 40 },	/* 242 = S0: op241(S0) */
	{ 40 },	/* 243 = S0: op242(S0) */
	{ 28 },	/* 244 = S0: op243(S0) */
	{ 40 },	/* 245 = S0: op244(S0) */
	{ 28 },	/* 246 = S0: op245(S0) */
	{ 24 },	/* 247 = S0: op246(S0) */
	{ 24 },	/* 248 = S0: op247(S0) */
	{ 24 },	/* 249 = S0: op248(S0) */
	{ 24 },	/* 250 = S0: op249(S0) */
	{ 32 },	/* 251 = S0: op250(S0) */
	{ 44 },	/* 252 = S0: op251(S0) */
	{ 44 },	/* 253 = S0: op252(S0) */
	{ 72 },	/* 254 = S0: op253(S0) */
	{ 8 },	/* 255 = S0: op254(S0) */
	{ 8 },	/* 256 = S0: op255(S0) */
	{ 16 },	/* 257 = S0: op256(S0) */
	{ 20 },	/* 258 = S0: op257(S0) */
	{ 20 },	/* 259 = S0: op258(S0) */
	{ 28 },	/* 260 = S0: op259(S0) */
	{ 36 },	/* 261 = S0: op260(S0) */
	{ 16 },	/* 262 = S0: op261(S0) */
	{ 36 },	/* 263 = S0: op262(S0) */
	{ 8 },	/* 264 = S0: op263(S0) */
	{ 8 },	/* 265 = S0: op264(S0) */
	{ 16 },	/* 266 = S0: op265(S0) */
	{ 16 },	/* 267 = S0: op266(S0) */
	{ 40 },	/* 268 = S0: op267(S0) */
	{ 36 },	/* 269 = S0: op268(S0) */
	{ 280 },	/* 270 = S0: op269(S0) */
	{ 80 },	/* 271 = S0: op270(S0) */
	{ 8 },	/* 272 = S0: op271(S0) */
	{ 16 },	/* 273 = S0: op272(S0) */
	{ 16 },	/* 274 = S0: op273(S0) */
	{ 16 },	/* 275 = S0: op274(S0) */
	{ 32 },	/* 276 = S0: op275(S0) */
	{ 16 },	/* 277 = S0: op276(S0) */
	{ 16 },	/* 278 = S0: op277(S0) */
	{ 16 },	/* 279 = S0: op278(S0) */
	{ 16 },	/* 280 = S0: op279(S0) */
	{ 16 },	/* 281 = S0: op280(S0) */
	{ 16 },	/* 282 = S0: op281(S0) */
	{ 16 },	/* 283 = S0: op282(S0) */
	{ 16 },	/* 284 = S0: op283(S0) */
	{ 48 },	/* 285 = S0: op284(S0) */
	{ 16 },	/* 286 = S0: op285(S0) */
	{ 16 },	/* 287 = S0: op286(S0) */
	{ 16 },	/* 288 = S0: op287(S0) */
	{ 16 },	/* 289 = S0: op288(S0) */
	{ 16 },	/* 290 = S0: op289(S0) */
	{ 16 },	/* 291 = S0: op290(S0) */
	{ 16 },	/* 292 = S0: op291(S0) */
	{ 16 },	/* 293 = S0: op292(S0) */
	{ 8 },	/* 294 = S0: op293(S0) */
	{ 8 },	/* 295 = S0: op294(S0) */
	{ 12 },	/* 296 = S0: op295(S0) */
	{ 12 },	/* 297 = S0: op296(S0) */
	{ 60 },	/* 298 = S0: op297(S0) */
	{ 52 },	/* 299 = S0: op298(S0) */
	{ 28 },	/* 300 = S0: op299(S0) */
	{ 20 },	/* 301 = S0: op300(S0) */
	{ 20 },	/* 302 = S0: op301(S0) */
	{ 20 },	/* 303 = S0: op302(S0) */
	{ 20 },	/* 304 = S0: op303(S0) */
	{ 40 },	/* 305 = S0: op304(S0) */
	{ 32 },	/* 306 = S0: op305(S0) */
	{ 32 },	/* 307 = S0: op306(S0) */
	{ 28 },	/* 308 = S0: op307(S0) */
	{ 20 },	/* 309 = S0: op308(S0) */
	{ 16 },	/* 310 = S0: op309(S0) */
	{ 16 },	/* 311 = S0: op310(S0) */
	{ 16 },	/* 312 = S0: op311(S0) */
	{ 16 },	/* 313 = S0: op312(S0) */
	{ 32 },	/* 314 = S0: op313(S0) */
	{ 36 },	/* 315 = S0: op314(S0) */
	{ 48 },	/* 316 = S0: op315(S0) */
	{ 40 },	/* 317 = S0: op316(S0) */
	{ 44 },	/* 318 = S0: op317(S0) */
	{ 60 },	/* 319 = S0: op318(S0) */
	{ 8 },	/* 320 = S0: op319(S0) */
	{ 8 },	/* 321 = S0: op320(S0) */
	{ 16 },	/* 322 = S0: op321(S0) */
	{ 8 },	/* 323 = S0: op322(S0) */
	{ 8 },	/* 324 = S0: op323(S0) */
	{ 16 },	/* 325 = S0: op324(S0) */
	{ 20 },	/* 326 = S0: op325(S0) */
	{ 20 },	/* 327 = S0: op326(S0) */
	{ 40 },	/* 328 = S0: op327(S0) */
	{ 112 },	/* 329 = S0: op328(S0) */
	{ 40 },	/* 330 = S0: op329(S0) */
	{ 24 },	/* 331 = S0: op330(S0) */
	{ 44 },	/* 332 = S0: op331(S0) */
	{ 40 },	/* 333 = S0: op332(S0) */
	{ 40 },	/* 334 = S0: op333(S0) */
	{ 48 },	/* 335 = S0: op334(S0) */
	{ 48 },	/* 336 = S0: op335(S0) */
	{ 40 },	/* 337 = S0: op336(S0) */
	{ 52 },	/* 338 = S0: op337(S0) */
	{ 52 },	/* 339 = S0: op338(S0) */
	{ 8 },	/* 340 = S0: op339(S0) */
	{ 20 },	/* 341 = S0: op340(S0) */
	{ 44 },	/* 342 = S0: op341(S0) */
	{ 32 },	/* 343 = S0: op342(S0) */
	{ 20 },	/* 344 = S0: op343(S0) */
	{ 20 },	/* 345 = S0: op344(S0) */
	{ 24 },	/* 346 = S0: op345(S0) */
	{ 20 },	/* 347 = S0: op346(S0) */
	{ 16 },	/* 348 = S0: op347(S0) */
	{ 36 },	/* 349 = S0: op348(S0) */
	{ 16 },	/* 350 = S0: op349(S0) */
	{ 16 },	/* 351 = S0: op350(S0) */
	{ 4 },	/* 352 = S0: op351(S0) */
	{ 32 },	/* 353 = S0: op352(S0) */
	{ 20 },	/* 354 = S0: op353(S0) */
	{ 12 },	/* 355 = S0: op354(S0) */
	{ 0 },	/* 356 */
	{ 0 },	/* 357 */
	{ 0 },	/* 358 */
	{ 0 },	/* 359 */
	{ 0 },	/* 360 */
	{ 0 },	/* 361 */
	{ 0 },	/* 362 */
	{ 0 },	/* 363 */
	{ 0 },	/* 364 */
	{ 0 },	/* 365 */
	{ 0 },	/* 366 */
	{ 0 },	/* 367 */
	{ 12 },	/* 368 = S1: op52(S0) */
	{ 12 },	/* 369 = S0: op52(S2) */
	{ 12 },	/* 370 = S2: op52(S3) */
	{ 12 },	/* 371 = S3: op52(S4) */
	{ 12 },	/* 372 = S4: op52(S5) */
	{ 12 },	/* 373 = S5: op52(S6) */
	{ 12 },	/* 374 = S6: op52(S7) */
	{ 12 },	/* 375 = S7: op52(S8) */
	{ 48 },	/* 376 = S8: op52(S8) */
	{ 8 },	/* 377 = S2: op157(S2) */
	{ 8 },	/* 378 = S3: op157(S3) */
	{ 8 },	/* 379 = S4: op157(S4) */
	{ 8 },	/* 380 = S5: op157(S5) */
	{ 8 },	/* 381 = S6: op157(S6) */
	{ 8 },	/* 382 = S7: op157(S7) */
	{ 8 },	/* 383 = S8: op157(S8) */
	{ 36 },	/* 384 = S2: op19(S0) */
	{ 48 },	/* 385 = S3: op19(S0) */
	{ 52 },	/* 386 = S4: op19(S0) */
	{ 56 },	/* 387 = S5: op19(S0) */
	{ 60 },	/* 388 = S6: op19(S0) */
	{ 64 },	/* 389 = S7: op19(S0) */
	{ 72 },	/* 390 = S8: op19(S0) */
	{ 12 },	/* 391 = S1: op158(S0) */
	{ 12 },	/* 392 = S0: op158(S2) */
	{ 12 },	/* 393 = S2: op158(S3) */
	{ 12 },	/* 394 = S3: op158(S4) */
	{ 12 },	/* 395 = S4: op158(S5) */
	{ 12 },	/* 396 = S5: op158(S6) */
	{ 12 },	/* 397 = S6: op158(S7) */
	{ 12 },	/* 398 = S7: op158(S8) */
	{ 48 },	/* 399 = S8: op158(S8) */
	{ 16 },	/* 400 = S2: op142(S2) */
	{ 16 },	/* 401 = S3: op142(S3) */
	{ 16 },	/* 402 = S4: op142(S4) */
	{ 16 },	/* 403 = S5: op142(S5) */
	{ 16 },	/* 404 = S6: op142(S6) */
	{ 16 },	/* 405 = S7: op142(S7) */
	{ 16 },	/* 406 = S8: op142(S8) */
	{ 24 },	/* 407 = S1: op142(S2) */
	{ 16 },	/* 408 = S0: op142(S2) */
	{ 16 },	/* 409 = S2: op142(S3) */
	{ 16 },	/* 410 = S3: op142(S2) */
	{ 8 },	/* 411 = S2: op161(S2) */
	{ 8 },	/* 412 = S3: op161(S3) */
	{ 8 },	/* 413 = S4: op161(S4) */
	{ 8 },	/* 414 = S5: op161(S5) */
	{ 8 },	/* 415 = S6: op161(S6) */
	{ 8 },	/* 416 = S7: op161(S7) */
	{ 8 },	/* 417 = S8: op161(S8) */
	{ 16 },	/* 418 = S2: op94(S0) */
	{ 16 },	/* 419 = S3: op94(S2) */
	{ 16 },	/* 420 = S4: op94(S3) */
	{ 16 },	/* 421 = S5: op94(S4) */
	{ 16 },	/* 422 = S6: op94(S5) */
	{ 16 },	/* 423 = S7: op94(S6) */
	{ 16 },	/* 424 = S8: op94(S7) */
	{ 12 },	/* 425 = S2: op88(S2) */
	{ 12 },	/* 426 = S3: op88(S3) */
	{ 12 },	/* 427 = S4: op88(S4) */
	{ 12 },	/* 428 = S5: op88(S5) */
	{ 12 },	/* 429 = S6: op88(S6) */
	{ 12 },	/* 430 = S7: op88(S7) */
	{ 12 },	/* 431 = S8: op88(S8) */
	{ 8 },	/* 432 = S0: op143(S2) */
	{ 8 },	/* 433 = S2: op143(S3) */
	{ 8 },	/* 434 = S3: op143(S4) */
	{ 8 },	/* 435 = S4: op143(S5) */
	{ 8 },	/* 436 = S5: op143(S6) */
	{ 8 },	/* 437 = S6: op143(S7) */
	{ 8 },	/* 438 = S7: op143(S8) */
	{ 40 },	/* 439 = S8: op143(S8) */
	{ 8 },	/* 440 = S1: op143(S0) */
	{ 8 },	/* 441 = S2: op53(S0) */
	{ 8 },	/* 442 = S3: op53(S2) */
	{ 8 },	/* 443 = S4: op53(S3) */
	{ 8 },	/* 444 = S5: op53(S4) */
	{ 8 },	/* 445 = S6: op53(S5) */
	{ 8 },	/* 446 = S7: op53(S6) */
	{ 8 },	/* 447 = S8: op53(S7) */
	{ 8 },	/* 448 = S1: op40(S0) */
	{ 8 },	/* 449 = S0: op40(S2) */
	{ 8 },	/* 450 = S2: op40(S3) */
	{ 8 },	/* 451 = S3: op40(S4) */
	{ 8 },	/* 452 = S4: op40(S5) */
	{ 8 },	/* 453 = S5: op40(S6) */
	{ 8 },	/* 454 = S6: op40(S7) */
	{ 8 },	/* 455 = S7: op40(S8) */
	{ 44 },	/* 456 = S8: op40(S8) */
	{ 16 },	/* 457 = S2: op160(S1) */
	{ 16 },	/* 458 = S3: op160(S0) */
	{ 16 },	/* 459 = S4: op160(S2) */
	{ 16 },	/* 460 = S5: op160(S3) */
	{ 16 },	/* 461 = S6: op160(S4) */
	{ 16 },	/* 462 = S7: op160(S5) */
	{ 16 },	/* 463 = S8: op160(S6) */
	{ 8 },	/* 464 = S2: op82(S0) */
	{ 8 },	/* 465 = S3: op82(S2) */
	{ 8 },	/* 466 = S4: op82(S3) */
	{ 8 },	/* 467 = S5: op82(S4) */
	{ 8 },	/* 468 = S6: op82(S5) */
	{ 8 },	/* 469 = S7: op82(S6) */
	{ 8 },	/* 470 = S8: op82(S7) */
	{ 12 },	/* 471 = S1: op125(S0) */
	{ 12 },	/* 472 = S0: op125(S2) */
	{ 12 },	/* 473 = S2: op125(S3) */
	{ 12 },	/* 474 = S3: op125(S4) */
	{ 12 },	/* 475 = S4: op125(S5) */
	{ 12 },	/* 476 = S5: op125(S6) */
	{ 12 },	/* 477 = S6: op125(S7) */
	{ 12 },	/* 478 = S7: op125(S8) */
	{ 48 },	/* 479 = S8: op125(S8) */
	{ 8 },	/* 480 = S2: op140(S3) */
	{ 8 },	/* 481 = S3: op140(S4) */
	{ 8 },	/* 482 = S4: op140(S5) */
	{ 8 },	/* 483 = S5: op140(S6) */
	{ 8 },	/* 484 = S6: op140(S7) */
	{ 8 },	/* 485 = S7: op140(S8) */
	{ 44 },	/* 486 = S8: op140(S8) */
	{ 8 },	/* 487 = S1: op140(S0) */
	{ 8 },	/* 488 = S0: op140(S2) */
	{ 16 },	/* 489 = S2: op140(S0) */
	{ 20 },	/* 490 = S3: op140(S2) */
	{ 8 },	/* 491 = S2: op57(S2) */
	{ 8 },	/* 492 = S3: op57(S3) */
	{ 8 },	/* 493 = S4: op57(S4) */
	{ 8 },	/* 494 = S5: op57(S5) */
	{ 8 },	/* 495 = S6: op57(S6) */
	{ 8 },	/* 496 = S7: op57(S7) */
	{ 8 },	/* 497 = S8: op57(S8) */
	{ 8 },	/* 498 = S2: op166(S2) */
	{ 8 },	/* 499 = S3: op166(S3) */
	{ 8 },	/* 500 = S4: op166(S4) */
	{ 8 },	/* 501 = S5: op166(S5) */
	{ 8 },	/* 502 = S6: op166(S6) */
	{ 8 },	/* 503 = S7: op166(S7) */
	{ 8 },	/* 504 = S8: op166(S8) */
	{ 20 },	/* 505 = S3: op144(S3) */
	{ 20 },	/* 506 = S4: op144(S4) */
	{ 20 },	/* 507 = S5: op144(S5) */
	{ 20 },	/* 508 = S6: op144(S6) */
	{ 20 },	/* 509 = S7: op144(S7) */
	{ 20 },	/* 510 = S8: op144(S8) */
	{ 16 },	/* 511 = S3: op144(S0) */
	{ 16 },	/* 512 = S2: op144(S3) */
	{ 32 },	/* 513 = S0: op144(S3) */
	{ 32 },	/* 514 = S1: op144(S3) */
	{ 20 },	/* 515 = S4: op144(S2) */
	{ 24 },	/* 516 = S5: op144(S3) */
	{ 8 },	/* 517 = S2: op159(S1) */
	{ 8 },	/* 518 = S3: op159(S0) */
	{ 8 },	/* 519 = S4: op159(S2) */
	{ 8 },	/* 520 = S5: op159(S3) */
	{ 8 },	/* 521 = S6: op159(S4) */
	{ 8 },	/* 522 = S7: op159(S5) */
	{ 8 },	/* 523 = S8: op159(S6) */
	{ 12 },	/* 524 = S2: op151(S4) */
	{ 12 },	/* 525 = S3: op151(S5) */
	{ 12 },	/* 526 = S4: op151(S6) */
	{ 12 },	/* 527 = S5: op151(S7) */
	{ 12 },	/* 528 = S6: op151(S8) */
	{ 44 },	/* 529 = S7: op151(S8) */
	{ 40 },	/* 530 = S8: op151(S8) */
	{ 24 },	/* 531 = S1: op151(S0) */
	{ 12 },	/* 532 = S1: op151(S2) */
	{ 12 },	/* 533 = S0: op151(S3) */
	{ 16 },	/* 534 = S2: op151(S2) */
	{ 28 },	/* 535 = S3: op151(S0) */
	{ 24 },	/* 536 = S4: op151(S4) */
	{ 32 },	/* 537 = S4: op151(S2) */
	{ 20 },	/* 538 = S2: op95(S0) */
	{ 20 },	/* 539 = S3: op95(S2) */
	{ 20 },	/* 540 = S4: op95(S3) */
	{ 20 },	/* 541 = S5: op95(S4) */
	{ 20 },	/* 542 = S6: op95(S5) */
	{ 20 },	/* 543 = S7: op95(S6) */
	{ 20 },	/* 544 = S8: op95(S7) */
	{ 8 },	/* 545 = S2: op162(S1) */
	{ 8 },	/* 546 = S3: op162(S0) */
	{ 8 },	/* 547 = S4: op162(S2) */
	{ 8 },	/* 548 = S5: op162(S3) */
	{ 8 },	/* 549 = S6: op162(S4) */
	{ 8 },	/* 550 = S7: op162(S5) */
	{ 8 },	/* 551 = S8: op162(S6) */
	{ 12 },	/* 552 = S2: op54(S2) */
	{ 12 },	/* 553 = S3: op54(S3) */
	{ 12 },	/* 554 = S4: op54(S4) */
	{ 12 },	/* 555 = S5: op54(S5) */
	{ 12 },	/* 556 = S6: op54(S6) */
	{ 12 },	/* 557 = S7: op54(S7) */
	{ 12 },	/* 558 = S8: op54(S8) */
	{ 4 },	/* 559 = S0: op141(S1) */
	{ 4 },	/* 560 = S2: op141(S0) */
	{ 4 },	/* 561 = S3: op141(S2) */
	{ 4 },	/* 562 = S4: op141(S3) */
	{ 4 },	/* 563 = S5: op141(S4) */
	{ 4 },	/* 564 = S6: op141(S5) */
	{ 4 },	/* 565 = S7: op141(S6) */
	{ 4 },	/* 566 = S8: op141(S7) */
	{ 8 },	/* 567 = S1: op141(S1) */
	{ 8 },	/* 568 = S2: op87(S0) */
	{ 8 },	/* 569 = S3: op87(S2) */
	{ 8 },	/* 570 = S4: op87(S3) */
	{ 8 },	/* 571 = S5: op87(S4) */
	{ 8 },	/* 572 = S6: op87(S5) */
	{ 8 },	/* 573 = S7: op87(S6) */
	{ 8 },	/* 574 = S8: op87(S7) */
	{ 48 },	/* 575 = S2: op66(S2) */
	{ 48 },	/* 576 = S3: op66(S3) */
	{ 48 },	/* 577 = S4: op66(S4) */
	{ 48 },	/* 578 = S5: op66(S5) */
	{ 48 },	/* 579 = S6: op66(S6) */
	{ 48 },	/* 580 = S7: op66(S7) */
	{ 48 },	/* 581 = S8: op66(S8) */
	{ 8 },	/* 582 = S0: op133(S1) */
	{ 8 },	/* 583 = S2: op133(S0) */
	{ 8 },	/* 584 = S3: op133(S2) */
	{ 8 },	/* 585 = S4: op133(S3) */
	{ 8 },	/* 586 = S5: op133(S4) */
	{ 8 },	/* 587 = S6: op133(S5) */
	{ 8 },	/* 588 = S7: op133(S6) */
	{ 8 },	/* 589 = S8: op133(S7) */
	{ 16 },	/* 590 = S1: op134(S0) */
	{ 16 },	/* 591 = S0: op134(S2) */
	{ 16 },	/* 592 = S2: op134(S3) */
	{ 16 },	/* 593 = S3: op134(S4) */
	{ 16 },	/* 594 = S4: op134(S5) */
	{ 16 },	/* 595 = S5: op134(S6) */
	{ 16 },	/* 596 = S6: op134(S7) */
	{ 16 },	/* 597 = S7: op134(S8) */
	{ 52 },	/* 598 = S8: op134(S8) */
	{ 8 },	/* 599 = S2: op165(S2) */
	{ 8 },	/* 600 = S3: op165(S3) */
	{ 8 },	/* 601 = S4: op165(S4) */
	{ 8 },	/* 602 = S5: op165(S5) */
	{ 8 },	/* 603 = S6: op165(S6) */
	{ 8 },	/* 604 = S7: op165(S7) */
	{ 8 },	/* 605 = S8: op165(S8) */
	{ 20 },	/* 606 = S1: op308(S1) */
	{ 20 },	/* 607 = S2: op308(S2) */
	{ 20 },	/* 608 = S3: op308(S3) */
	{ 20 },	/* 609 = S4: op308(S4) */
	{ 20 },	/* 610 = S5: op308(S5) */
	{ 20 },	/* 611 = S6: op308(S6) */
	{ 20 },	/* 612 = S7: op308(S7) */
	{ 20 },	/* 613 = S8: op308(S8) */
	{ 8 },	/* 614 = S2: op56(S0) */
	{ 8 },	/* 615 = S3: op56(S2) */
	{ 8 },	/* 616 = S4: op56(S3) */
	{ 8 },	/* 617 = S5: op56(S4) */
	{ 8 },	/* 618 = S6: op56(S5) */
	{ 8 },	/* 619 = S7: op56(S6) */
	{ 8 },	/* 620 = S8: op56(S7) */
	{ 8 },	/* 621 = S1: op14(S1) */
	{ 8 },	/* 622 = S2: op14(S2) */
	{ 8 },	/* 623 = S3: op14(S3) */
	{ 8 },	/* 624 = S4: op14(S4) */
	{ 8 },	/* 625 = S5: op14(S5) */
	{ 8 },	/* 626 = S6: op14(S6) */
	{ 8 },	/* 627 = S7: op14(S7) */
	{ 8 },	/* 628 = S8: op14(S8) */
	{ 16 },	/* 629 = S1: op310(S1) */
	{ 16 },	/* 630 = S2: op310(S2) */
	{ 16 },	/* 631 = S3: op310(S3) */
	{ 16 },	/* 632 = S4: op310(S4) */
	{ 16 },	/* 633 = S5: op310(S5) */
	{ 16 },	/* 634 = S6: op310(S6) */
	{ 16 },	/* 635 = S7: op310(S7) */
	{ 16 },	/* 636 = S8: op310(S8) */
	{ 24 },	/* 637 = S2: op99(S0) */
	{ 24 },	/* 638 = S3: op99(S2) */
	{ 24 },	/* 639 = S4: op99(S3) */
	{ 24 },	/* 640 = S5: op99(S4) */
	{ 24 },	/* 641 = S6: op99(S5) */
	{ 24 },	/* 642 = S7: op99(S6) */
	{ 24 },	/* 643 = S8: op99(S7) */
	{ 20 },	/* 644 = S2: op147(S3) */
	{ 20 },	/* 645 = S3: op147(S4) */
	{ 20 },	/* 646 = S4: op147(S5) */
	{ 20 },	/* 647 = S5: op147(S6) */
	{ 20 },	/* 648 = S6: op147(S7) */
	{ 20 },	/* 649 = S7: op147(S8) */
	{ 36 },	/* 650 = S8: op147(S8) */
	{ 12 },	/* 651 = S2: op147(S2) */
	{ 16 },	/* 652 = S3: op147(S3) */
	{ 12 },	/* 653 = S3: op51(S2) */
	{ 12 },	/* 654 = S4: op51(S3) */
	{ 12 },	/* 655 = S5: op51(S4) */
	{ 12 },	/* 656 = S6: op51(S5) */
	{ 12 },	/* 657 = S7: op51(S6) */
	{ 12 },	/* 658 = S8: op51(S7) */
	{ 8 },	/* 659 = S2: op167(S2) */
	{ 8 },	/* 660 = S3: op167(S3) */
	{ 8 },	/* 661 = S4: op167(S4) */
	{ 8 },	/* 662 = S5: op167(S5) */
	{ 8 },	/* 663 = S6: op167(S6) */
	{ 8 },	/* 664 = S7: op167(S7) */
	{ 8 },	/* 665 = S8: op167(S8) */
	{ 28 },	/* 666 = S2: op148(S0) */
	{ 36 },	/* 667 = S3: op148(S0) */
	{ 44 },	/* 668 = S4: op148(S0) */
	{ 48 },	/* 669 = S5: op148(S0) */
	{ 52 },	/* 670 = S6: op148(S0) */
	{ 56 },	/* 671 = S7: op148(S0) */
	{ 60 },	/* 672 = S8: op148(S0) */
	{ 12 },	/* 673 = S1: op300(S0) */
	{ 12 },	/* 674 = S0: op300(S2) */
	{ 12 },	/* 675 = S2: op300(S3) */
	{ 12 },	/* 676 = S3: op300(S4) */
	{ 12 },	/* 677 = S4: op300(S5) */
	{ 12 },	/* 678 = S5: op300(S6) */
	{ 12 },	/* 679 = S6: op300(S7) */
	{ 12 },	/* 680 = S7: op300(S8) */
	{ 48 },	/* 681 = S8: op300(S8) */
	{ 24 },	/* 682 = S2: op61(S0) */
	{ 24 },	/* 683 = S3: op61(S2) */
	{ 24 },	/* 684 = S4: op61(S3) */
	{ 24 },	/* 685 = S5: op61(S4) */
	{ 24 },	/* 686 = S6: op61(S5) */
	{ 24 },	/* 687 = S7: op61(S6) */
	{ 24 },	/* 688 = S8: op61(S7) */
	{ 48 },	/* 689 = S2: op37(S0) */
	{ 36 },	/* 690 = S3: op37(S0) */
	{ 48 },	/* 691 = S4: op37(S0) */
	{ 52 },	/* 692 = S5: op37(S0) */
	{ 56 },	/* 693 = S6: op37(S0) */
	{ 60 },	/* 694 = S7: op37(S0) */
	{ 64 },	/* 695 = S8: op37(S0) */
	{ 36 },	/* 696 = S2: op136(S1) */
	{ 36 },	/* 697 = S3: op136(S0) */
	{ 36 },	/* 698 = S4: op136(S2) */
	{ 36 },	/* 699 = S5: op136(S3) */
	{ 36 },	/* 700 = S6: op136(S4) */
	{ 36 },	/* 701 = S7: op136(S5) */
	{ 36 },	/* 702 = S8: op136(S6) */
	{ 32 },	/* 703 = S1: op137(S2) */
	{ 32 },	/* 704 = S0: op137(S3) */
	{ 32 },	/* 705 = S2: op137(S4) */
	{ 32 },	/* 706 = S3: op137(S5) */
	{ 32 },	/* 707 = S4: op137(S6) */
	{ 32 },	/* 708 = S5: op137(S7) */
	{ 32 },	/* 709 = S6: op137(S8) */
	{ 64 },	/* 710 = S7: op137(S8) */
	{ 76 },	/* 711 = S8: op137(S8) */
	{ 52 },	/* 712 = S1: op138(S2) */
	{ 52 },	/* 713 = S0: op138(S3) */
	{ 52 },	/* 714 = S2: op138(S4) */
	{ 52 },	/* 715 = S3: op138(S5) */
	{ 52 },	/* 716 = S4: op138(S6) */
	{ 52 },	/* 717 = S5: op138(S7) */
	{ 52 },	/* 718 = S6: op138(S8) */
	{ 84 },	/* 719 = S7: op138(S8) */
	{ 100 },	/* 720 = S8: op138(S8) */
	{ 16 },	/* 721 = S0: op164(S2) */
	{ 16 },	/* 722 = S2: op164(S3) */
	{ 16 },	/* 723 = S3: op164(S4) */
	{ 16 },	/* 724 = S4: op164(S5) */
	{ 16 },	/* 725 = S5: op164(S6) */
	{ 16 },	/* 726 = S6: op164(S7) */
	{ 16 },	/* 727 = S7: op164(S8) */
	{ 44 },	/* 728 = S8: op164(S8) */
	{ 8 },	/* 729 = S2: op146(S0) */
	{ 8 },	/* 730 = S3: op146(S2) */
	{ 8 },	/* 731 = S4: op146(S3) */
	{ 8 },	/* 732 = S5: op146(S4) */
	{ 8 },	/* 733 = S6: op146(S5) */
	{ 8 },	/* 734 = S7: op146(S6) */
	{ 8 },	/* 735 = S8: op146(S7) */
	{ 16 },	/* 736 = S1: op146(S0) */
	{ 8 },	/* 737 = S2: op146(S2) */
	{ 20 },	/* 738 = S3: op124(S0) */
	{ 20 },	/* 739 = S4: op124(S2) */
	{ 20 },	/* 740 = S5: op124(S3) */
	{ 20 },	/* 741 = S6: op124(S4) */
	{ 20 },	/* 742 = S7: op124(S5) */
	{ 20 },	/* 743 = S8: op124(S6) */
	{ 8 },	/* 744 = S2: op59(S2) */
	{ 8 },	/* 745 = S3: op59(S3) */
	{ 8 },	/* 746 = S4: op59(S4) */
	{ 8 },	/* 747 = S5: op59(S5) */
	{ 8 },	/* 748 = S6: op59(S6) */
	{ 8 },	/* 749 = S7: op59(S7) */
	{ 8 },	/* 750 = S8: op59(S8) */
	{ 8 },	/* 751 = S2: op11(S0) */
	{ 20 },	/* 752 = S3: op11(S0) */
	{ 24 },	/* 753 = S4: op11(S0) */
	{ 32 },	/* 754 = S5: op11(S0) */
	{ 32 },	/* 755 = S6: op11(S0) */
	{ 36 },	/* 756 = S7: op11(S0) */
	{ 48 },	/* 757 = S8: op11(S0) */
	{ 16 },	/* 758 = S1: op309(S1) */
	{ 16 },	/* 759 = S2: op309(S2) */
	{ 16 },	/* 760 = S3: op309(S3) */
	{ 16 },	/* 761 = S4: op309(S4) */
	{ 16 },	/* 762 = S5: op309(S5) */
	{ 16 },	/* 763 = S6: op309(S6) */
	{ 16 },	/* 764 = S7: op309(S7) */
	{ 16 },	/* 765 = S8: op309(S8) */
	{ 8 },	/* 766 = S2: op12(S0) */
	{ 20 },	/* 767 = S3: op12(S0) */
	{ 24 },	/* 768 = S4: op12(S0) */
	{ 36 },	/* 769 = S5: op12(S0) */
	{ 36 },	/* 770 = S6: op12(S0) */
	{ 36 },	/* 771 = S7: op12(S0) */
	{ 40 },	/* 772 = S8: op12(S0) */
	{ 8 },	/* 773 = S2: op84(S0) */
	{ 8 },	/* 774 = S3: op84(S2) */
	{ 8 },	/* 775 = S4: op84(S3) */
	{ 8 },	/* 776 = S5: op84(S4) */
	{ 8 },	/* 777 = S6: op84(S5) */
	{ 8 },	/* 778 = S7: op84(S6) */
	{ 8 },	/* 779 = S8: op84(S7) */
	{ 16 },	/* 780 = S1: op299(S0) */
	{ 16 },	/* 781 = S0: op299(S2) */
	{ 16 },	/* 782 = S2: op299(S3) */
	{ 16 },	/* 783 = S3: op299(S4) */
	{ 16 },	/* 784 = S4: op299(S5) */
	{ 16 },	/* 785 = S5: op299(S6) */
	{ 16 },	/* 786 = S6: op299(S7) */
	{ 16 },	/* 787 = S7: op299(S8) */
	{ 52 },	/* 788 = S8: op299(S8) */
	{ 12 },	/* 789 = S2: op103(S0) */
	{ 12 },	/* 790 = S3: op103(S2) */
	{ 12 },	/* 791 = S4: op103(S3) */
	{ 12 },	/* 792 = S5: op103(S4) */
	{ 12 },	/* 793 = S6: op103(S5) */
	{ 12 },	/* 794 = S7: op103(S6) */
	{ 12 },	/* 795 = S8: op103(S7) */
	{ 24 },	/* 796 = S3: op145(S3) */
	{ 24 },	/* 797 = S4: op145(S4) */
	{ 24 },	/* 798 = S5: op145(S5) */
	{ 24 },	/* 799 = S6: op145(S6) */
	{ 24 },	/* 800 = S7: op145(S7) */
	{ 24 },	/* 801 = S8: op145(S8) */
	{ 12 },	/* 802 = S3: op145(S2) */
	{ 24 },	/* 803 = S0: op145(S3) */
	{ 16 },	/* 804 = S4: op145(S3) */
	{ 24 },	/* 805 = S2: op145(S4) */
	{ 32 },	/* 806 = S3: op145(S5) */
	{ 4 },	/* 807 = S2: op150(S1) */
	{ 4 },	/* 808 = S3: op150(S0) */
	{ 4 },	/* 809 = S4: op150(S2) */
	{ 4 },	/* 810 = S5: op150(S3) */
	{ 4 },	/* 811 = S6: op150(S4) */
	{ 4 },	/* 812 = S7: op150(S5) */
	{ 4 },	/* 813 = S8: op150(S6) */
	{ 8 },	/* 814 = S1: op150(S1) */
	{ 8 },	/* 815 = S0: op150(S1) */
	{ 8 },	/* 816 = S2: op83(S0) */
	{ 8 },	/* 817 = S3: op83(S2) */
	{ 8 },	/* 818 = S4: op83(S3) */
	{ 8 },	/* 819 = S5: op83(S4) */
	{ 8 },	/* 820 = S6: op83(S5) */
	{ 8 },	/* 821 = S7: op83(S6) */
	{ 8 },	/* 822 = S8: op83(S7) */
	{ 12 },	/* 823 = S1: op302(S0) */
	{ 12 },	/* 824 = S0: op302(S2) */
	{ 12 },	/* 825 = S2: op302(S3) */
	{ 12 },	/* 826 = S3: op302(S4) */
	{ 12 },	/* 827 = S4: op302(S5) */
	{ 12 },	/* 828 = S5: op302(S6) */
	{ 12 },	/* 829 = S6: op302(S7) */
	{ 12 },	/* 830 = S7: op302(S8) */
	{ 48 },	/* 831 = S8: op302(S8) */
	{ 76 },	/* 832 = S2: op27(S0) */
	{ 88 },	/* 833 = S3: op27(S0) */
	{ 92 },	/* 834 = S4: op27(S0) */
	{ 100 },	/* 835 = S5: op27(S0) */
	{ 100 },	/* 836 = S6: op27(S0) */
	{ 104 },	/* 837 = S7: op27(S0) */
	{ 116 },	/* 838 = S8: op27(S0) */
	{ 8 },	/* 839 = S2: op58(S2) */
	{ 8 },	/* 840 = S3: op58(S3) */
	{ 8 },	/* 841 = S4: op58(S4) */
	{ 8 },	/* 842 = S5: op58(S5) */
	{ 8 },	/* 843 = S6: op58(S6) */
	{ 8 },	/* 844 = S7: op58(S7) */
	{ 8 },	/* 845 = S8: op58(S8) */
	{ 8 },	/* 846 = S1: op135(S1) */
	{ 8 },	/* 847 = S2: op135(S2) */
	{ 8 },	/* 848 = S3: op135(S3) */
	{ 8 },	/* 849 = S4: op135(S4) */
	{ 8 },	/* 850 = S5: op135(S5) */
	{ 8 },	/* 851 = S6: op135(S6) */
	{ 8 },	/* 852 = S7: op135(S7) */
	{ 8 },	/* 853 = S8: op135(S8) */
	{ 48 },	/* 854 = S2: op35(S0) */
	{ 36 },	/* 855 = S3: op35(S0) */
	{ 48 },	/* 856 = S4: op35(S0) */
	{ 52 },	/* 857 = S5: op35(S0) */
	{ 56 },	/* 858 = S6: op35(S0) */
	{ 60 },	/* 859 = S7: op35(S0) */
	{ 64 },	/* 860 = S8: op35(S0) */
	{ 24 },	/* 861 = S2: op60(S0) */
	{ 24 },	/* 862 = S3: op60(S2) */
	{ 24 },	/* 863 = S4: op60(S3) */
	{ 24 },	/* 864 = S5: op60(S4) */
	{ 24 },	/* 865 = S6: op60(S5) */
	{ 24 },	/* 866 = S7: op60(S6) */
	{ 24 },	/* 867 = S8: op60(S7) */
	{ 8 },	/* 868 = S2: op69(S2) */
	{ 8 },	/* 869 = S3: op69(S3) */
	{ 8 },	/* 870 = S4: op69(S4) */
	{ 8 },	/* 871 = S5: op69(S5) */
	{ 8 },	/* 872 = S6: op69(S6) */
	{ 8 },	/* 873 = S7: op69(S7) */
	{ 8 },	/* 874 = S8: op69(S8) */
	{ 12 },	/* 875 = S3: op163(S1) */
	{ 12 },	/* 876 = S4: op163(S0) */
	{ 12 },	/* 877 = S5: op163(S2) */
	{ 12 },	/* 878 = S6: op163(S3) */
	{ 12 },	/* 879 = S7: op163(S4) */
	{ 12 },	/* 880 = S8: op163(S5) */
	{ 32 },	/* 881 = S2: op34(S0) */
	{ 16 },	/* 882 = S3: op34(S0) */
	{ 28 },	/* 883 = S4: op34(S0) */
	{ 32 },	/* 884 = S5: op34(S0) */
	{ 36 },	/* 885 = S6: op34(S0) */
	{ 40 },	/* 886 = S7: op34(S0) */
	{ 44 },	/* 887 = S8: op34(S0) */
	{ 12 },	/* 888 = S2: op102(S0) */
	{ 12 },	/* 889 = S3: op102(S2) */
	{ 12 },	/* 890 = S4: op102(S3) */
	{ 12 },	/* 891 = S5: op102(S4) */
	{ 12 },	/* 892 = S6: op102(S5) */
	{ 12 },	/* 893 = S7: op102(S6) */
	{ 12 },	/* 894 = S8: op102(S7) */
	{ 12 },	/* 895 = S0: op169(S2) */
	{ 12 },	/* 896 = S2: op169(S3) */
	{ 12 },	/* 897 = S3: op169(S4) */
	{ 12 },	/* 898 = S4: op169(S5) */
	{ 12 },	/* 899 = S5: op169(S6) */
	{ 12 },	/* 900 = S6: op169(S7) */
	{ 12 },	/* 901 = S7: op169(S8) */
	{ 44 },	/* 902 = S8: op169(S8) */
	{ 12 },	/* 903 = S2: op90(S2) */
	{ 12 },	/* 904 = S3: op90(S3) */
	{ 12 },	/* 905 = S4: op90(S4) */
	{ 12 },	/* 906 = S5: op90(S5) */
	{ 12 },	/* 907 = S6: op90(S6) */
	{ 12 },	/* 908 = S7: op90(S7) */
	{ 12 },	/* 909 = S8: op90(S8) */
	{ 20 },	/* 910 = S2: op96(S0) */
	{ 20 },	/* 911 = S3: op96(S2) */
	{ 20 },	/* 912 = S4: op96(S3) */
	{ 20 },	/* 913 = S5: op96(S4) */
	{ 20 },	/* 914 = S6: op96(S5) */
	{ 20 },	/* 915 = S7: op96(S6) */
	{ 20 },	/* 916 = S8: op96(S7) */
	{ 12 },	/* 917 = S1: op301(S0) */
	{ 12 },	/* 918 = S0: op301(S2) */
	{ 12 },	/* 919 = S2: op301(S3) */
	{ 12 },	/* 920 = S3: op301(S4) */
	{ 12 },	/* 921 = S4: op301(S5) */
	{ 12 },	/* 922 = S5: op301(S6) */
	{ 12 },	/* 923 = S6: op301(S7) */
	{ 12 },	/* 924 = S7: op301(S8) */
	{ 48 },	/* 925 = S8: op301(S8) */
	{ 16 },	/* 926 = S2: op105(S0) */
	{ 16 },	/* 927 = S3: op105(S2) */
	{ 16 },	/* 928 = S4: op105(S3) */
	{ 16 },	/* 929 = S5: op105(S4) */
	{ 16 },	/* 930 = S6: op105(S5) */
	{ 16 },	/* 931 = S7: op105(S6) */
	{ 16 },	/* 932 = S8: op105(S7) */
	{ 48 },	/* 933 = S2: op36(S0) */
	{ 36 },	/* 934 = S3: op36(S0) */
	{ 48 },	/* 935 = S4: op36(S0) */
	{ 52 },	/* 936 = S5: op36(S0) */
	{ 56 },	/* 937 = S6: op36(S0) */
	{ 60 },	/* 938 = S7: op36(S0) */
	{ 64 },	/* 939 = S8: op36(S0) */
	{ 20 },	/* 940 = S2: op74(S2) */
	{ 20 },	/* 941 = S3: op74(S3) */
	{ 20 },	/* 942 = S4: op74(S4) */
	{ 20 },	/* 943 = S5: op74(S5) */
	{ 20 },	/* 944 = S6: op74(S6) */
	{ 20 },	/* 945 = S7: op74(S7) */
	{ 20 },	/* 946 = S8: op74(S8) */
	{ 52 },	/* 947 = S4: op77(S2) */
	{ 52 },	/* 948 = S5: op77(S3) */
	{ 52 },	/* 949 = S6: op77(S4) */
	{ 52 },	/* 950 = S7: op77(S5) */
	{ 52 },	/* 951 = S8: op77(S6) */
	{ 8 },	/* 952 = S2: op63(S0) */
	{ 8 },	/* 953 = S3: op63(S2) */
	{ 8 },	/* 954 = S4: op63(S3) */
	{ 8 },	/* 955 = S5: op63(S4) */
	{ 8 },	/* 956 = S6: op63(S5) */
	{ 8 },	/* 957 = S7: op63(S6) */
	{ 8 },	/* 958 = S8: op63(S7) */
	{ 16 },	/* 959 = S2: op89(S2) */
	{ 16 },	/* 960 = S3: op89(S3) */
	{ 16 },	/* 961 = S4: op89(S4) */
	{ 16 },	/* 962 = S5: op89(S5) */
	{ 16 },	/* 963 = S6: op89(S6) */
	{ 16 },	/* 964 = S7: op89(S7) */
	{ 16 },	/* 965 = S8: op89(S8) */
	{ 12 },	/* 966 = S2: op175(S2) */
	{ 12 },	/* 967 = S3: op175(S3) */
	{ 12 },	/* 968 = S4: op175(S4) */
	{ 12 },	/* 969 = S5: op175(S5) */
	{ 12 },	/* 970 = S6: op175(S6) */
	{ 12 },	/* 971 = S7: op175(S7) */
	{ 12 },	/* 972 = S8: op175(S8) */
	{ 16 },	/* 973 = S2: op104(S0) */
	{ 16 },	/* 974 = S3: op104(S2) */
	{ 16 },	/* 975 = S4: op104(S3) */
	{ 16 },	/* 976 = S5: op104(S4) */
	{ 16 },	/* 977 = S6: op104(S5) */
	{ 16 },	/* 978 = S7: op104(S6) */
	{ 16 },	/* 979 = S8: op104(S7) */
	{ 8 },	/* 980 = S1: op41(S0) */
	{ 8 },	/* 981 = S0: op41(S2) */
	{ 8 },	/* 982 = S2: op41(S3) */
	{ 8 },	/* 983 = S3: op41(S4) */
	{ 8 },	/* 984 = S4: op41(S5) */
	{ 8 },	/* 985 = S5: op41(S6) */
	{ 8 },	/* 986 = S6: op41(S7) */
	{ 8 },	/* 987 = S7: op41(S8) */
	{ 44 },	/* 988 = S8: op41(S8) */
	{ 20 },	/* 989 = S2: op97(S0) */
	{ 20 },	/* 990 = S3: op97(S2) */
	{ 20 },	/* 991 = S4: op97(S3) */
	{ 20 },	/* 992 = S5: op97(S4) */
	{ 20 },	/* 993 = S6: op97(S5) */
	{ 20 },	/* 994 = S7: op97(S6) */
	{ 20 },	/* 995 = S8: op97(S7) */
	{ 28 },	/* 996 = S4: op153(S4) */
	{ 28 },	/* 997 = S5: op153(S5) */
	{ 28 },	/* 998 = S6: op153(S6) */
	{ 28 },	/* 999 = S7: op153(S7) */
	{ 28 },	/* 1000 = S8: op153(S8) */
	{ 44 },	/* 1001 = S1: op153(S3) */
	{ 36 },	/* 1002 = S0: op153(S3) */
	{ 24 },	/* 1003 = S2: op153(S4) */
	{ 16 },	/* 1004 = S4: op153(S2) */
	{ 16 },	/* 1005 = S1: op307(S0) */
	{ 16 },	/* 1006 = S0: op307(S2) */
	{ 16 },	/* 1007 = S2: op307(S3) */
	{ 16 },	/* 1008 = S3: op307(S4) */
	{ 16 },	/* 1009 = S4: op307(S5) */
	{ 16 },	/* 1010 = S5: op307(S6) */
	{ 16 },	/* 1011 = S6: op307(S7) */
	{ 16 },	/* 1012 = S7: op307(S8) */
	{ 52 },	/* 1013 = S8: op307(S8) */
	{ 24 },	/* 1014 = S2: op98(S0) */
	{ 24 },	/* 1015 = S3: op98(S2) */
	{ 24 },	/* 1016 = S4: op98(S3) */
	{ 24 },	/* 1017 = S5: op98(S4) */
	{ 24 },	/* 1018 = S6: op98(S5) */
	{ 24 },	/* 1019 = S7: op98(S6) */
	{ 24 },	/* 1020 = S8: op98(S7) */
	{ 8 },	/* 1021 = S2: op85(S2) */
	{ 8 },	/* 1022 = S3: op85(S3) */
	{ 8 },	/* 1023 = S4: op85(S4) */
	{ 8 },	/* 1024 = S5: op85(S5) */
	{ 8 },	/* 1025 = S6: op85(S6) */
	{ 8 },	/* 1026 = S7: op85(S7) */
	{ 8 },	/* 1027 = S8: op85(S8) */
	{ 48 },	/* 1028 = S2: op38(S0) */
	{ 36 },	/* 1029 = S3: op38(S0) */
	{ 48 },	/* 1030 = S4: op38(S0) */
	{ 52 },	/* 1031 = S5: op38(S0) */
	{ 56 },	/* 1032 = S6: op38(S0) */
	{ 60 },	/* 1033 = S7: op38(S0) */
	{ 64 },	/* 1034 = S8: op38(S0) */
	{ 12 },	/* 1035 = S4: op152(S6) */
	{ 12 },	/* 1036 = S5: op152(S7) */
	{ 12 },	/* 1037 = S6: op152(S8) */
	{ 44 },	/* 1038 = S7: op152(S8) */
	{ 48 },	/* 1039 = S8: op152(S8) */
	{ 12 },	/* 1040 = S1: op152(S2) */
	{ 12 },	/* 1041 = S0: op152(S3) */
	{ 12 },	/* 1042 = S2: op152(S4) */
	{ 12 },	/* 1043 = S3: op152(S5) */
	{ 24 },	/* 1044 = S4: op152(S2) */
	{ 28 },	/* 1045 = S5: op152(S3) */
	{ 32 },	/* 1046 = S6: op152(S4) */
	{ 8 },	/* 1047 = S3: op55(S2) */
	{ 8 },	/* 1048 = S4: op55(S3) */
	{ 8 },	/* 1049 = S5: op55(S4) */
	{ 8 },	/* 1050 = S6: op55(S5) */
	{ 8 },	/* 1051 = S7: op55(S6) */
	{ 8 },	/* 1052 = S8: op55(S7) */
	{ 36 },	/* 1053 = S2: op79(S2) */
	{ 36 },	/* 1054 = S3: op79(S3) */
	{ 36 },	/* 1055 = S4: op79(S4) */
	{ 36 },	/* 1056 = S5: op79(S5) */
	{ 36 },	/* 1057 = S6: op79(S6) */
	{ 36 },	/* 1058 = S7: op79(S7) */
	{ 36 },	/* 1059 = S8: op79(S8) */
	{ 20 },	/* 1060 = S2: op101(S0) */
	{ 20 },	/* 1061 = S3: op101(S2) */
	{ 20 },	/* 1062 = S4: op101(S3) */
	{ 20 },	/* 1063 = S5: op101(S4) */
	{ 20 },	/* 1064 = S6: op101(S5) */
	{ 20 },	/* 1065 = S7: op101(S6) */
	{ 20 },	/* 1066 = S8: op101(S7) */
	{ 20 },	/* 1067 = S2: op91(S2) */
	{ 20 },	/* 1068 = S3: op91(S3) */
	{ 20 },	/* 1069 = S4: op91(S4) */
	{ 20 },	/* 1070 = S5: op91(S5) */
	{ 20 },	/* 1071 = S6: op91(S6) */
	{ 20 },	/* 1072 = S7: op91(S7) */
	{ 20 },	/* 1073 = S8: op91(S8) */
	{ 8 },	/* 1074 = S1: op42(S0) */
	{ 8 },	/* 1075 = S0: op42(S2) */
	{ 8 },	/* 1076 = S2: op42(S3) */
	{ 8 },	/* 1077 = S3: op42(S4) */
	{ 8 },	/* 1078 = S4: op42(S5) */
	{ 8 },	/* 1079 = S5: op42(S6) */
	{ 8 },	/* 1080 = S6: op42(S7) */
	{ 8 },	/* 1081 = S7: op42(S8) */
	{ 44 },	/* 1082 = S8: op42(S8) */
	{ 8 },	/* 1083 = S2: op263(S2) */
	{ 8 },	/* 1084 = S3: op263(S3) */
	{ 8 },	/* 1085 = S4: op263(S4) */
	{ 8 },	/* 1086 = S5: op263(S5) */
	{ 8 },	/* 1087 = S6: op263(S6) */
	{ 8 },	/* 1088 = S7: op263(S7) */
	{ 8 },	/* 1089 = S8: op263(S8) */
	{ 8 },	/* 1090 = S1: op139(S1) */
	{ 8 },	/* 1091 = S2: op139(S2) */
	{ 8 },	/* 1092 = S3: op139(S3) */
	{ 8 },	/* 1093 = S4: op139(S4) */
	{ 8 },	/* 1094 = S5: op139(S5) */
	{ 8 },	/* 1095 = S6: op139(S6) */
	{ 8 },	/* 1096 = S7: op139(S7) */
	{ 8 },	/* 1097 = S8: op139(S8) */
	{ 16 },	/* 1098 = S0: op313(S1) */
	{ 16 },	/* 1099 = S2: op313(S0) */
	{ 16 },	/* 1100 = S3: op313(S2) */
	{ 16 },	/* 1101 = S4: op313(S3) */
	{ 16 },	/* 1102 = S5: op313(S4) */
	{ 16 },	/* 1103 = S6: op313(S5) */
	{ 16 },	/* 1104 = S7: op313(S6) */
	{ 16 },	/* 1105 = S8: op313(S7) */
	{ 40 },	/* 1106 = S2: op64(S0) */
	{ 40 },	/* 1107 = S3: op64(S2) */
	{ 40 },	/* 1108 = S4: op64(S3) */
	{ 40 },	/* 1109 = S5: op64(S4) */
	{ 40 },	/* 1110 = S6: op64(S5) */
	{ 40 },	/* 1111 = S7: op64(S6) */
	{ 40 },	/* 1112 = S8: op64(S7) */
	{ 8 },	/* 1113 = S2: op70(S2) */
	{ 8 },	/* 1114 = S3: op70(S3) */
	{ 8 },	/* 1115 = S4: op70(S4) */
	{ 8 },	/* 1116 = S5: op70(S5) */
	{ 8 },	/* 1117 = S6: op70(S6) */
	{ 8 },	/* 1118 = S7: op70(S7) */
	{ 8 },	/* 1119 = S8: op70(S8) */
	{ 8 },	/* 1120 = S0: S1 */
	{ 12 },	/* 1121 = S2: S1 */
	{ 16 },	/* 1122 = S3: S1 */
	{ 20 },	/* 1123 = S4: S1 */
	{ 24 },	/* 1124 = S5: S1 */
	{ 28 },	/* 1125 = S6: S1 */
	{ 32 },	/* 1126 = S7: S1 */
	{ 36 },	/* 1127 = S8: S1 */
	{ 4 },	/* 1128 = S1: S0 */
	{ 12 },	/* 1129 = S2: S0 */
	{ 16 },	/* 1130 = S3: S0 */
	{ 20 },	/* 1131 = S4: S0 */
	{ 24 },	/* 1132 = S5: S0 */
	{ 28 },	/* 1133 = S6: S0 */
	{ 32 },	/* 1134 = S7: S0 */
	{ 36 },	/* 1135 = S8: S0 */
	{ 12 },	/* 1136 = S1: S2 */
	{ 8 },	/* 1137 = S0: S2 */
	{ 16 },	/* 1138 = S3: S2 */
	{ 20 },	/* 1139 = S4: S2 */
	{ 24 },	/* 1140 = S5: S2 */
	{ 28 },	/* 1141 = S6: S2 */
	{ 32 },	/* 1142 = S7: S2 */
	{ 36 },	/* 1143 = S8: S2 */
	{ 16 },	/* 1144 = S1: S3 */
	{ 16 },	/* 1145 = S0: S3 */
	{ 12 },	/* 1146 = S2: S3 */
	{ 20 },	/* 1147 = S4: S3 */
	{ 24 },	/* 1148 = S5: S3 */
	{ 28 },	/* 1149 = S6: S3 */
	{ 32 },	/* 1150 = S7: S3 */
	{ 36 },	/* 1151 = S8: S3 */
	{ 20 },	/* 1152 = S1: S4 */
	{ 20 },	/* 1153 = S0: S4 */
	{ 20 },	/* 1154 = S2: S4 */
	{ 16 },	/* 1155 = S3: S4 */
	{ 24 },	/* 1156 = S5: S4 */
	{ 28 },	/* 1157 = S6: S4 */
	{ 32 },	/* 1158 = S7: S4 */
	{ 36 },	/* 1159 = S8: S4 */
	{ 24 },	/* 1160 = S1: S5 */
	{ 24 },	/* 1161 = S0: S5 */
	{ 24 },	/* 1162 = S2: S5 */
	{ 24 },	/* 1163 = S3: S5 */
	{ 20 },	/* 1164 = S4: S5 */
	{ 28 },	/* 1165 = S6: S5 */
	{ 32 },	/* 1166 = S7: S5 */
	{ 36 },	/* 1167 = S8: S5 */
	{ 28 },	/* 1168 = S1: S6 */
	{ 28 },	/* 1169 = S0: S6 */
	{ 28 },	/* 1170 = S2: S6 */
	{ 28 },	/* 1171 = S3: S6 */
	{ 28 },	/* 1172 = S4: S6 */
	{ 24 },	/* 1173 = S5: S6 */
	{ 32 },	/* 1174 = S7: S6 */
	{ 36 },	/* 1175 = S8: S6 */
	{ 32 },	/* 1176 = S1: S7 */
	{ 32 },	/* 1177 = S0: S7 */
	{ 32 },	/* 1178 = S2: S7 */
	{ 32 },	/* 1179 = S3: S7 */
	{ 32 },	/* 1180 = S4: S7 */
	{ 32 },	/* 1181 = S5: S7 */
	{ 28 },	/* 1182 = S6: S7 */
	{ 36 },	/* 1183 = S8: S7 */
	{ 36 },	/* 1184 = S1: S8 */
	{ 36 },	/* 1185 = S0: S8 */
	{ 36 },	/* 1186 = S2: S8 */
	{ 36 },	/* 1187 = S3: S8 */
	{ 36 },	/* 1188 = S4: S8 */
	{ 36 },	/* 1189 = S5: S8 */
	{ 36 },	/* 1190 = S6: S8 */
	{ 32 },	/* 1191 = S7: S8 */
	{ 0 },	/* 1192 */
	{ 0 },	/* 1193 */
	{ 0 },	/* 1194 */
	{ 0 },	/* 1195 */
	{ 0 },	/* 1196 */
	{ 0 },	/* 1197 */
	{ 0 },	/* 1198 */
	{ 0 },	/* 1199 */
	{ 0 },	/* 1200 = S0: s0 */
	{ 0 },	/* 1201 = S1: s1 */
	{ 0 },	/* 1202 = S2: s2 */
	{ 0 },	/* 1203 = S3: s3 */
	{ 0 },	/* 1204 = S4: s4 */
	{ 0 },	/* 1205 = S5: s5 */
	{ 0 },	/* 1206 = S6: s6 */
	{ 0 },	/* 1207 = S7: s7 */
	{ 0 },	/* 1208 = S8: s8 */
};

char *burm_string[] = {
	/* 0 */	0,
	/* 1 */	"S0: op0(S0)",
	/* 2 */	"S0: op1(S0)",
	/* 3 */	"S0: op2(S0)",
	/* 4 */	"S0: op3(S0)",
	/* 5 */	"S0: op4(S0)",
	/* 6 */	"S0: op5(S0)",
	/* 7 */	"S0: op6(S0)",
	/* 8 */	"S0: op7(S0)",
	/* 9 */	"S0: op8(S0)",
	/* 10 */	"S0: op9(S0)",
	/* 11 */	"S0: op10(S0)",
	/* 12 */	"S0: op11(S0)",
	/* 13 */	"S0: op12(S0)",
	/* 14 */	"S0: op13(S0)",
	/* 15 */	"S0: op14(S0)",
	/* 16 */	"S0: op15(S0)",
	/* 17 */	"S0: op16(S0)",
	/* 18 */	"S0: op17(S0)",
	/* 19 */	"S0: op18(S0)",
	/* 20 */	"S0: op19(S0)",
	/* 21 */	"S0: op20(S0)",
	/* 22 */	"S0: op21(S0)",
	/* 23 */	"S0: op22(S0)",
	/* 24 */	"S0: op23(S0)",
	/* 25 */	"S0: op24(S0)",
	/* 26 */	"S0: op25(S0)",
	/* 27 */	"S0: op26(S0)",
	/* 28 */	"S0: op27(S0)",
	/* 29 */	"S0: op28(S0)",
	/* 30 */	"S0: op29(S0)",
	/* 31 */	"S0: op30(S0)",
	/* 32 */	"S0: op31(S0)",
	/* 33 */	"S0: op32(S0)",
	/* 34 */	"S0: op33(S0)",
	/* 35 */	"S0: op34(S0)",
	/* 36 */	"S0: op35(S0)",
	/* 37 */	"S0: op36(S0)",
	/* 38 */	"S0: op37(S0)",
	/* 39 */	"S0: op38(S0)",
	/* 40 */	"S0: op39(S0)",
	/* 41 */	"S0: op40(S0)",
	/* 42 */	"S0: op41(S0)",
	/* 43 */	"S0: op42(S0)",
	/* 44 */	"S0: op43(S0)",
	/* 45 */	"S0: op44(S0)",
	/* 46 */	"S0: op45(S0)",
	/* 47 */	"S0: op46(S0)",
	/* 48 */	"S0: op47(S0)",
	/* 49 */	"S0: op48(S0)",
	/* 50 */	"S0: op49(S0)",
	/* 51 */	"S0: op50(S0)",
	/* 52 */	"S0: op51(S0)",
	/* 53 */	"S0: op52(S0)",
	/* 54 */	"S0: op53(S0)",
	/* 55 */	"S0: op54(S0)",
	/* 56 */	"S0: op55(S0)",
	/* 57 */	"S0: op56(S0)",
	/* 58 */	"S0: op57(S0)",
	/* 59 */	"S0: op58(S0)",
	/* 60 */	"S0: op59(S0)",
	/* 61 */	"S0: op60(S0)",
	/* 62 */	"S0: op61(S0)",
	/* 63 */	"S0: op62(S0)",
	/* 64 */	"S0: op63(S0)",
	/* 65 */	"S0: op64(S0)",
	/* 66 */	"S0: op65(S0)",
	/* 67 */	"S0: op66(S0)",
	/* 68 */	"S0: op67(S0)",
	/* 69 */	"S0: op68(S0)",
	/* 70 */	"S0: op69(S0)",
	/* 71 */	"S0: op70(S0)",
	/* 72 */	"S0: op71(S0)",
	/* 73 */	"S0: op72(S0)",
	/* 74 */	"S0: op73(S0)",
	/* 75 */	"S0: op74(S0)",
	/* 76 */	"S0: op75(S0)",
	/* 77 */	"S0: op76(S0)",
	/* 78 */	"S0: op77(S0)",
	/* 79 */	"S0: op78(S0)",
	/* 80 */	"S0: op79(S0)",
	/* 81 */	"S0: op80(S0)",
	/* 82 */	"S0: op81(S0)",
	/* 83 */	"S0: op82(S0)",
	/* 84 */	"S0: op83(S0)",
	/* 85 */	"S0: op84(S0)",
	/* 86 */	"S0: op85(S0)",
	/* 87 */	"S0: op86(S0)",
	/* 88 */	"S0: op87(S0)",
	/* 89 */	"S0: op88(S0)",
	/* 90 */	"S0: op89(S0)",
	/* 91 */	"S0: op90(S0)",
	/* 92 */	"S0: op91(S0)",
	/* 93 */	"S0: op92(S0)",
	/* 94 */	"S0: op93(S0)",
	/* 95 */	"S0: op94(S0)",
	/* 96 */	"S0: op95(S0)",
	/* 97 */	"S0: op96(S0)",
	/* 98 */	"S0: op97(S0)",
	/* 99 */	"S0: op98(S0)",
	/* 100 */	"S0: op99(S0)",
	/* 101 */	"S0: op100(S0)",
	/* 102 */	"S0: op101(S0)",
	/* 103 */	"S0: op102(S0)",
	/* 104 */	"S0: op103(S0)",
	/* 105 */	"S0: op104(S0)",
	/* 106 */	"S0: op105(S0)",
	/* 107 */	"S0: op106(S0)",
	/* 108 */	"S0: op107(S0)",
	/* 109 */	"S0: op108(S0)",
	/* 110 */	"S0: op109(S0)",
	/* 111 */	"S0: op110(S0)",
	/* 112 */	"S0: op111(S0)",
	/* 113 */	"S0: op112(S0)",
	/* 114 */	"S0: op113(S0)",
	/* 115 */	"S0: op114(S0)",
	/* 116 */	"S0: op115(S0)",
	/* 117 */	"S0: op116(S0)",
	/* 118 */	"S0: op117(S0)",
	/* 119 */	"S0: op118(S0)",
	/* 120 */	"S0: op119(S0)",
	/* 121 */	"S0: op120(S0)",
	/* 122 */	"S0: op121(S0)",
	/* 123 */	"S0: op122(S0)",
	/* 124 */	"S0: op123(S0)",
	/* 125 */	"S0: op124(S0)",
	/* 126 */	"S0: op125(S0)",
	/* 127 */	"S0: op126(S0)",
	/* 128 */	"S0: op127(S0)",
	/* 129 */	"S0: op128(S0)",
	/* 130 */	"S0: op129(S0)",
	/* 131 */	"S0: op130(S0)",
	/* 132 */	"S0: op131(S0)",
	/* 133 */	"S0: op132(S0)",
	/* 134 */	"S0: op133(S0)",
	/* 135 */	"S0: op134(S0)",
	/* 136 */	"S0: op135(S0)",
	/* 137 */	"S0: op136(S0)",
	/* 138 */	"S0: op137(S0)",
	/* 139 */	"S0: op138(S0)",
	/* 140 */	"S0: op139(S0)",
	/* 141 */	"S0: op140(S0)",
	/* 142 */	"S0: op141(S0)",
	/* 143 */	"S0: op142(S0)",
	/* 144 */	"S0: op143(S0)",
	/* 145 */	"S0: op144(S0)",
	/* 146 */	"S0: op145(S0)",
	/* 147 */	"S0: op146(S0)",
	/* 148 */	"S0: op147(S0)",
	/* 149 */	"S0: op148(S0)",
	/* 150 */	"S0: op149(S0)",
	/* 151 */	"S0: op150(S0)",
	/* 152 */	"S0: op151(S0)",
	/* 153 */	"S0: op152(S0)",
	/* 154 */	"S0: op153(S0)",
	/* 155 */	"S0: op154(S0)",
	/* 156 */	"S0: op155(S0)",
	/* 157 */	"S0: op156(S0)",
	/* 158 */	"S0: op157(S0)",
	/* 159 */	"S0: op158(S0)",
	/* 160 */	"S0: op159(S0)",
	/* 161 */	"S0: op160(S0)",
	/* 162 */	"S0: op161(S0)",
	/* 163 */	"S0: op162(S0)",
	/* 164 */	"S0: op163(S0)",
	/* 165 */	"S0: op164(S0)",
	/* 166 */	"S0: op165(S0)",
	/* 167 */	"S0: op166(S0)",
	/* 168 */	"S0: op167(S0)",
	/* 169 */	"S0: op168(S0)",
	/* 170 */	"S0: op169(S0)",
	/* 171 */	"S0: op170(S0)",
	/* 172 */	"S0: op171(S0)",
	/* 173 */	"S0: op172(S0)",
	/* 174 */	"S0: op173(S0)",
	/* 175 */	"S0: op174(S0)",
	/* 176 */	"S0: op175(S0)",
	/* 177 */	"S0: op176(S0)",
	/* 178 */	"S0: op177(S0)",
	/* 179 */	"S0: op178(S0)",
	/* 180 */	"S0: op179(S0)",
	/* 181 */	"S0: op180(S0)",
	/* 182 */	"S0: op181(S0)",
	/* 183 */	"S0: op182(S0)",
	/* 184 */	"S0: op183(S0)",
	/* 185 */	"S0: op184(S0)",
	/* 186 */	"S0: op185(S0)",
	/* 187 */	"S0: op186(S0)",
	/* 188 */	"S0: op187(S0)",
	/* 189 */	"S0: op188(S0)",
	/* 190 */	"S0: op189(S0)",
	/* 191 */	"S0: op190(S0)",
	/* 192 */	"S0: op191(S0)",
	/* 193 */	"S0: op192(S0)",
	/* 194 */	"S0: op193(S0)",
	/* 195 */	"S0: op194(S0)",
	/* 196 */	"S0: op195(S0)",
	/* 197 */	"S0: op196(S0)",
	/* 198 */	"S0: op197(S0)",
	/* 199 */	"S0: op198(S0)",
	/* 200 */	"S0: op199(S0)",
	/* 201 */	"S0: op200(S0)",
	/* 202 */	"S0: op201(S0)",
	/* 203 */	"S0: op202(S0)",
	/* 204 */	"S0: op203(S0)",
	/* 205 */	"S0: op204(S0)",
	/* 206 */	"S0: op205(S0)",
	/* 207 */	"S0: op206(S0)",
	/* 208 */	"S0: op207(S0)",
	/* 209 */	"S0: op208(S0)",
	/* 210 */	"S0: op209(S0)",
	/* 211 */	"S0: op210(S0)",
	/* 212 */	"S0: op211(S0)",
	/* 213 */	"S0: op212(S0)",
	/* 214 */	"S0: op213(S0)",
	/* 215 */	"S0: op214(S0)",
	/* 216 */	"S0: op215(S0)",
	/* 217 */	"S0: op216(S0)",
	/* 218 */	"S0: op217(S0)",
	/* 219 */	"S0: op218(S0)",
	/* 220 */	"S0: op219(S0)",
	/* 221 */	"S0: op220(S0)",
	/* 222 */	"S0: op221(S0)",
	/* 223 */	"S0: op222(S0)",
	/* 224 */	"S0: op223(S0)",
	/* 225 */	"S0: op224(S0)",
	/* 226 */	"S0: op225(S0)",
	/* 227 */	"S0: op226(S0)",
	/* 228 */	"S0: op227(S0)",
	/* 229 */	"S0: op228(S0)",
	/* 230 */	"S0: op229(S0)",
	/* 231 */	"S0: op230(S0)",
	/* 232 */	"S0: op231(S0)",
	/* 233 */	"S0: op232(S0)",
	/* 234 */	"S0: op233(S0)",
	/* 235 */	"S0: op234(S0)",
	/* 236 */	"S0: op235(S0)",
	/* 237 */	"S0: op236(S0)",
	/* 238 */	"S0: op237(S0)",
	/* 239 */	"S0: op238(S0)",
	/* 240 */	"S0: op239(S0)",
	/* 241 */	"S0: op240(S0)",
	/* 242 */	"S0: op241(S0)",
	/* 243 */	"S0: op242(S0)",
	/* 244 */	"S0: op243(S0)",
	/* 245 */	"S0: op244(S0)",
	/* 246 */	"S0: op245(S0)",
	/* 247 */	"S0: op246(S0)",
	/* 248 */	"S0: op247(S0)",
	/* 249 */	"S0: op248(S0)",
	/* 250 */	"S0: op249(S0)",
	/* 251 */	"S0: op250(S0)",
	/* 252 */	"S0: op251(S0)",
	/* 253 */	"S0: op252(S0)",
	/* 254 */	"S0: op253(S0)",
	/* 255 */	"S0: op254(S0)",
	/* 256 */	"S0: op255(S0)",
	/* 257 */	"S0: op256(S0)",
	/* 258 */	"S0: op257(S0)",
	/* 259 */	"S0: op258(S0)",
	/* 260 */	"S0: op259(S0)",
	/* 261 */	"S0: op260(S0)",
	/* 262 */	"S0: op261(S0)",
	/* 263 */	"S0: op262(S0)",
	/* 264 */	"S0: op263(S0)",
	/* 265 */	"S0: op264(S0)",
	/* 266 */	"S0: op265(S0)",
	/* 267 */	"S0: op266(S0)",
	/* 268 */	"S0: op267(S0)",
	/* 269 */	"S0: op268(S0)",
	/* 270 */	"S0: op269(S0)",
	/* 271 */	"S0: op270(S0)",
	/* 272 */	"S0: op271(S0)",
	/* 273 */	"S0: op272(S0)",
	/* 274 */	"S0: op273(S0)",
	/* 275 */	"S0: op274(S0)",
	/* 276 */	"S0: op275(S0)",
	/* 277 */	"S0: op276(S0)",
	/* 278 */	"S0: op277(S0)",
	/* 279 */	"S0: op278(S0)",
	/* 280 */	"S0: op279(S0)",
	/* 281 */	"S0: op280(S0)",
	/* 282 */	"S0: op281(S0)",
	/* 283 */	"S0: op282(S0)",
	/* 284 */	"S0: op283(S0)",
	/* 285 */	"S0: op284(S0)",
	/* 286 */	"S0: op285(S0)",
	/* 287 */	"S0: op286(S0)",
	/* 288 */	"S0: op287(S0)",
	/* 289 */	"S0: op288(S0)",
	/* 290 */	"S0: op289(S0)",
	/* 291 */	"S0: op290(S0)",
	/* 292 */	"S0: op291(S0)",
	/* 293 */	"S0: op292(S0)",
	/* 294 */	"S0: op293(S0)",
	/* 295 */	"S0: op294(S0)",
	/* 296 */	"S0: op295(S0)",
	/* 297 */	"S0: op296(S0)",
	/* 298 */	"S0: op297(S0)",
	/* 299 */	"S0: op298(S0)",
	/* 300 */	"S0: op299(S0)",
	/* 301 */	"S0: op300(S0)",
	/* 302 */	"S0: op301(S0)",
	/* 303 */	"S0: op302(S0)",
	/* 304 */	"S0: op303(S0)",
	/* 305 */	"S0: op304(S0)",
	/* 306 */	"S0: op305(S0)",
	/* 307 */	"S0: op306(S0)",
	/* 308 */	"S0: op307(S0)",
	/* 309 */	"S0: op308(S0)",
	/* 310 */	"S0: op309(S0)",
	/* 311 */	"S0: op310(S0)",
	/* 312 */	"S0: op311(S0)",
	/* 313 */	"S0: op312(S0)",
	/* 314 */	"S0: op313(S0)",
	/* 315 */	"S0: op314(S0)",
	/* 316 */	"S0: op315(S0)",
	/* 317 */	"S0: op316(S0)",
	/* 318 */	"S0: op317(S0)",
	/* 319 */	"S0: op318(S0)",
	/* 320 */	"S0: op319(S0)",
	/* 321 */	"S0: op320(S0)",
	/* 322 */	"S0: op321(S0)",
	/* 323 */	"S0: op322(S0)",
	/* 324 */	"S0: op323(S0)",
	/* 325 */	"S0: op324(S0)",
	/* 326 */	"S0: op325(S0)",
	/* 327 */	"S0: op326(S0)",
	/* 328 */	"S0: op327(S0)",
	/* 329 */	"S0: op328(S0)",
	/* 330 */	"S0: op329(S0)",
	/* 331 */	"S0: op330(S0)",
	/* 332 */	"S0: op331(S0)",
	/* 333 */	"S0: op332(S0)",
	/* 334 */	"S0: op333(S0)",
	/* 335 */	"S0: op334(S0)",
	/* 336 */	"S0: op335(S0)",
	/* 337 */	"S0: op336(S0)",
	/* 338 */	"S0: op337(S0)",
	/* 339 */	"S0: op338(S0)",
	/* 340 */	"S0: op339(S0)",
	/* 341 */	"S0: op340(S0)",
	/* 342 */	"S0: op341(S0)",
	/* 343 */	"S0: op342(S0)",
	/* 344 */	"S0: op343(S0)",
	/* 345 */	"S0: op344(S0)",
	/* 346 */	"S0: op345(S0)",
	/* 347 */	"S0: op346(S0)",
	/* 348 */	"S0: op347(S0)",
	/* 349 */	"S0: op348(S0)",
	/* 350 */	"S0: op349(S0)",
	/* 351 */	"S0: op350(S0)",
	/* 352 */	"S0: op351(S0)",
	/* 353 */	"S0: op352(S0)",
	/* 354 */	"S0: op353(S0)",
	/* 355 */	"S0: op354(S0)",
	/* 356 */	0,
	/* 357 */	0,
	/* 358 */	0,
	/* 359 */	0,
	/* 360 */	0,
	/* 361 */	0,
	/* 362 */	0,
	/* 363 */	0,
	/* 364 */	0,
	/* 365 */	0,
	/* 366 */	0,
	/* 367 */	0,
	/* 368 */	"S1: op52(S0)",
	/* 369 */	"S0: op52(S2)",
	/* 370 */	"S2: op52(S3)",
	/* 371 */	"S3: op52(S4)",
	/* 372 */	"S4: op52(S5)",
	/* 373 */	"S5: op52(S6)",
	/* 374 */	"S6: op52(S7)",
	/* 375 */	"S7: op52(S8)",
	/* 376 */	"S8: op52(S8)",
	/* 377 */	"S2: op157(S2)",
	/* 378 */	"S3: op157(S3)",
	/* 379 */	"S4: op157(S4)",
	/* 380 */	"S5: op157(S5)",
	/* 381 */	"S6: op157(S6)",
	/* 382 */	"S7: op157(S7)",
	/* 383 */	"S8: op157(S8)",
	/* 384 */	"S2: op19(S0)",
	/* 385 */	"S3: op19(S0)",
	/* 386 */	"S4: op19(S0)",
	/* 387 */	"S5: op19(S0)",
	/* 388 */	"S6: op19(S0)",
	/* 389 */	"S7: op19(S0)",
	/* 390 */	"S8: op19(S0)",
	/* 391 */	"S1: op158(S0)",
	/* 392 */	"S0: op158(S2)",
	/* 393 */	"S2: op158(S3)",
	/* 394 */	"S3: op158(S4)",
	/* 395 */	"S4: op158(S5)",
	/* 396 */	"S5: op158(S6)",
	/* 397 */	"S6: op158(S7)",
	/* 398 */	"S7: op158(S8)",
	/* 399 */	"S8: op158(S8)",
	/* 400 */	"S2: op142(S2)",
	/* 401 */	"S3: op142(S3)",
	/* 402 */	"S4: op142(S4)",
	/* 403 */	"S5: op142(S5)",
	/* 404 */	"S6: op142(S6)",
	/* 405 */	"S7: op142(S7)",
	/* 406 */	"S8: op142(S8)",
	/* 407 */	"S1: op142(S2)",
	/* 408 */	"S0: op142(S2)",
	/* 409 */	"S2: op142(S3)",
	/* 410 */	"S3: op142(S2)",
	/* 411 */	"S2: op161(S2)",
	/* 412 */	"S3: op161(S3)",
	/* 413 */	"S4: op161(S4)",
	/* 414 */	"S5: op161(S5)",
	/* 415 */	"S6: op161(S6)",
	/* 416 */	"S7: op161(S7)",
	/* 417 */	"S8: op161(S8)",
	/* 418 */	"S2: op94(S0)",
	/* 419 */	"S3: op94(S2)",
	/* 420 */	"S4: op94(S3)",
	/* 421 */	"S5: op94(S4)",
	/* 422 */	"S6: op94(S5)",
	/* 423 */	"S7: op94(S6)",
	/* 424 */	"S8: op94(S7)",
	/* 425 */	"S2: op88(S2)",
	/* 426 */	"S3: op88(S3)",
	/* 427 */	"S4: op88(S4)",
	/* 428 */	"S5: op88(S5)",
	/* 429 */	"S6: op88(S6)",
	/* 430 */	"S7: op88(S7)",
	/* 431 */	"S8: op88(S8)",
	/* 432 */	"S0: op143(S2)",
	/* 433 */	"S2: op143(S3)",
	/* 434 */	"S3: op143(S4)",
	/* 435 */	"S4: op143(S5)",
	/* 436 */	"S5: op143(S6)",
	/* 437 */	"S6: op143(S7)",
	/* 438 */	"S7: op143(S8)",
	/* 439 */	"S8: op143(S8)",
	/* 440 */	"S1: op143(S0)",
	/* 441 */	"S2: op53(S0)",
	/* 442 */	"S3: op53(S2)",
	/* 443 */	"S4: op53(S3)",
	/* 444 */	"S5: op53(S4)",
	/* 445 */	"S6: op53(S5)",
	/* 446 */	"S7: op53(S6)",
	/* 447 */	"S8: op53(S7)",
	/* 448 */	"S1: op40(S0)",
	/* 449 */	"S0: op40(S2)",
	/* 450 */	"S2: op40(S3)",
	/* 451 */	"S3: op40(S4)",
	/* 452 */	"S4: op40(S5)",
	/* 453 */	"S5: op40(S6)",
	/* 454 */	"S6: op40(S7)",
	/* 455 */	"S7: op40(S8)",
	/* 456 */	"S8: op40(S8)",
	/* 457 */	"S2: op160(S1)",
	/* 458 */	"S3: op160(S0)",
	/* 459 */	"S4: op160(S2)",
	/* 460 */	"S5: op160(S3)",
	/* 461 */	"S6: op160(S4)",
	/* 462 */	"S7: op160(S5)",
	/* 463 */	"S8: op160(S6)",
	/* 464 */	"S2: op82(S0)",
	/* 465 */	"S3: op82(S2)",
	/* 466 */	"S4: op82(S3)",
	/* 467 */	"S5: op82(S4)",
	/* 468 */	"S6: op82(S5)",
	/* 469 */	"S7: op82(S6)",
	/* 470 */	"S8: op82(S7)",
	/* 471 */	"S1: op125(S0)",
	/* 472 */	"S0: op125(S2)",
	/* 473 */	"S2: op125(S3)",
	/* 474 */	"S3: op125(S4)",
	/* 475 */	"S4: op125(S5)",
	/* 476 */	"S5: op125(S6)",
	/* 477 */	"S6: op125(S7)",
	/* 478 */	"S7: op125(S8)",
	/* 479 */	"S8: op125(S8)",
	/* 480 */	"S2: op140(S3)",
	/* 481 */	"S3: op140(S4)",
	/* 482 */	"S4: op140(S5)",
	/* 483 */	"S5: op140(S6)",
	/* 484 */	"S6: op140(S7)",
	/* 485 */	"S7: op140(S8)",
	/* 486 */	"S8: op140(S8)",
	/* 487 */	"S1: op140(S0)",
	/* 488 */	"S0: op140(S2)",
	/* 489 */	"S2: op140(S0)",
	/* 490 */	"S3: op140(S2)",
	/* 491 */	"S2: op57(S2)",
	/* 492 */	"S3: op57(S3)",
	/* 493 */	"S4: op57(S4)",
	/* 494 */	"S5: op57(S5)",
	/* 495 */	"S6: op57(S6)",
	/* 496 */	"S7: op57(S7)",
	/* 497 */	"S8: op57(S8)",
	/* 498 */	"S2: op166(S2)",
	/* 499 */	"S3: op166(S3)",
	/* 500 */	"S4: op166(S4)",
	/* 501 */	"S5: op166(S5)",
	/* 502 */	"S6: op166(S6)",
	/* 503 */	"S7: op166(S7)",
	/* 504 */	"S8: op166(S8)",
	/* 505 */	"S3: op144(S3)",
	/* 506 */	"S4: op144(S4)",
	/* 507 */	"S5: op144(S5)",
	/* 508 */	"S6: op144(S6)",
	/* 509 */	"S7: op144(S7)",
	/* 510 */	"S8: op144(S8)",
	/* 511 */	"S3: op144(S0)",
	/* 512 */	"S2: op144(S3)",
	/* 513 */	"S0: op144(S3)",
	/* 514 */	"S1: op144(S3)",
	/* 515 */	"S4: op144(S2)",
	/* 516 */	"S5: op144(S3)",
	/* 517 */	"S2: op159(S1)",
	/* 518 */	"S3: op159(S0)",
	/* 519 */	"S4: op159(S2)",
	/* 520 */	"S5: op159(S3)",
	/* 521 */	"S6: op159(S4)",
	/* 522 */	"S7: op159(S5)",
	/* 523 */	"S8: op159(S6)",
	/* 524 */	"S2: op151(S4)",
	/* 525 */	"S3: op151(S5)",
	/* 526 */	"S4: op151(S6)",
	/* 527 */	"S5: op151(S7)",
	/* 528 */	"S6: op151(S8)",
	/* 529 */	"S7: op151(S8)",
	/* 530 */	"S8: op151(S8)",
	/* 531 */	"S1: op151(S0)",
	/* 532 */	"S1: op151(S2)",
	/* 533 */	"S0: op151(S3)",
	/* 534 */	"S2: op151(S2)",
	/* 535 */	"S3: op151(S0)",
	/* 536 */	"S4: op151(S4)",
	/* 537 */	"S4: op151(S2)",
	/* 538 */	"S2: op95(S0)",
	/* 539 */	"S3: op95(S2)",
	/* 540 */	"S4: op95(S3)",
	/* 541 */	"S5: op95(S4)",
	/* 542 */	"S6: op95(S5)",
	/* 543 */	"S7: op95(S6)",
	/* 544 */	"S8: op95(S7)",
	/* 545 */	"S2: op162(S1)",
	/* 546 */	"S3: op162(S0)",
	/* 547 */	"S4: op162(S2)",
	/* 548 */	"S5: op162(S3)",
	/* 549 */	"S6: op162(S4)",
	/* 550 */	"S7: op162(S5)",
	/* 551 */	"S8: op162(S6)",
	/* 552 */	"S2: op54(S2)",
	/* 553 */	"S3: op54(S3)",
	/* 554 */	"S4: op54(S4)",
	/* 555 */	"S5: op54(S5)",
	/* 556 */	"S6: op54(S6)",
	/* 557 */	"S7: op54(S7)",
	/* 558 */	"S8: op54(S8)",
	/* 559 */	"S0: op141(S1)",
	/* 560 */	"S2: op141(S0)",
	/* 561 */	"S3: op141(S2)",
	/* 562 */	"S4: op141(S3)",
	/* 563 */	"S5: op141(S4)",
	/* 564 */	"S6: op141(S5)",
	/* 565 */	"S7: op141(S6)",
	/* 566 */	"S8: op141(S7)",
	/* 567 */	"S1: op141(S1)",
	/* 568 */	"S2: op87(S0)",
	/* 569 */	"S3: op87(S2)",
	/* 570 */	"S4: op87(S3)",
	/* 571 */	"S5: op87(S4)",
	/* 572 */	"S6: op87(S5)",
	/* 573 */	"S7: op87(S6)",
	/* 574 */	"S8: op87(S7)",
	/* 575 */	"S2: op66(S2)",
	/* 576 */	"S3: op66(S3)",
	/* 577 */	"S4: op66(S4)",
	/* 578 */	"S5: op66(S5)",
	/* 579 */	"S6: op66(S6)",
	/* 580 */	"S7: op66(S7)",
	/* 581 */	"S8: op66(S8)",
	/* 582 */	"S0: op133(S1)",
	/* 583 */	"S2: op133(S0)",
	/* 584 */	"S3: op133(S2)",
	/* 585 */	"S4: op133(S3)",
	/* 586 */	"S5: op133(S4)",
	/* 587 */	"S6: op133(S5)",
	/* 588 */	"S7: op133(S6)",
	/* 589 */	"S8: op133(S7)",
	/* 590 */	"S1: op134(S0)",
	/* 591 */	"S0: op134(S2)",
	/* 592 */	"S2: op134(S3)",
	/* 593 */	"S3: op134(S4)",
	/* 594 */	"S4: op134(S5)",
	/* 595 */	"S5: op134(S6)",
	/* 596 */	"S6: op134(S7)",
	/* 597 */	"S7: op134(S8)",
	/* 598 */	"S8: op134(S8)",
	/* 599 */	"S2: op165(S2)",
	/* 600 */	"S3: op165(S3)",
	/* 601 */	"S4: op165(S4)",
	/* 602 */	"S5: op165(S5)",
	/* 603 */	"S6: op165(S6)",
	/* 604 */	"S7: op165(S7)",
	/* 605 */	"S8: op165(S8)",
	/* 606 */	"S1: op308(S1)",
	/* 607 */	"S2: op308(S2)",
	/* 608 */	"S3: op308(S3)",
	/* 609 */	"S4: op308(S4)",
	/* 610 */	"S5: op308(S5)",
	/* 611 */	"S6: op308(S6)",
	/* 612 */	"S7: op308(S7)",
	/* 613 */	"S8: op308(S8)",
	/* 614 */	"S2: op56(S0)",
	/* 615 */	"S3: op56(S2)",
	/* 616 */	"S4: op56(S3)",
	/* 617 */	"S5: op56(S4)",
	/* 618 */	"S6: op56(S5)",
	/* 619 */	"S7: op56(S6)",
	/* 620 */	"S8: op56(S7)",
	/* 621 */	"S1: op14(S1)",
	/* 622 */	"S2: op14(S2)",
	/* 623 */	"S3: op14(S3)",
	/* 624 */	"S4: op14(S4)",
	/* 625 */	"S5: op14(S5)",
	/* 626 */	"S6: op14(S6)",
	/* 627 */	"S7: op14(S7)",
	/* 628 */	"S8: op14(S8)",
	/* 629 */	"S1: op310(S1)",
	/* 630 */	"S2: op310(S2)",
	/* 631 */	"S3: op310(S3)",
	/* 632 */	"S4: op310(S4)",
	/* 633 */	"S5: op310(S5)",
	/* 634 */	"S6: op310(S6)",
	/* 635 */	"S7: op310(S7)",
	/* 636 */	"S8: op310(S8)",
	/* 637 */	"S2: op99(S0)",
	/* 638 */	"S3: op99(S2)",
	/* 639 */	"S4: op99(S3)",
	/* 640 */	"S5: op99(S4)",
	/* 641 */	"S6: op99(S5)",
	/* 642 */	"S7: op99(S6)",
	/* 643 */	"S8: op99(S7)",
	/* 644 */	"S2: op147(S3)",
	/* 645 */	"S3: op147(S4)",
	/* 646 */	"S4: op147(S5)",
	/* 647 */	"S5: op147(S6)",
	/* 648 */	"S6: op147(S7)",
	/* 649 */	"S7: op147(S8)",
	/* 650 */	"S8: op147(S8)",
	/* 651 */	"S2: op147(S2)",
	/* 652 */	"S3: op147(S3)",
	/* 653 */	"S3: op51(S2)",
	/* 654 */	"S4: op51(S3)",
	/* 655 */	"S5: op51(S4)",
	/* 656 */	"S6: op51(S5)",
	/* 657 */	"S7: op51(S6)",
	/* 658 */	"S8: op51(S7)",
	/* 659 */	"S2: op167(S2)",
	/* 660 */	"S3: op167(S3)",
	/* 661 */	"S4: op167(S4)",
	/* 662 */	"S5: op167(S5)",
	/* 663 */	"S6: op167(S6)",
	/* 664 */	"S7: op167(S7)",
	/* 665 */	"S8: op167(S8)",
	/* 666 */	"S2: op148(S0)",
	/* 667 */	"S3: op148(S0)",
	/* 668 */	"S4: op148(S0)",
	/* 669 */	"S5: op148(S0)",
	/* 670 */	"S6: op148(S0)",
	/* 671 */	"S7: op148(S0)",
	/* 672 */	"S8: op148(S0)",
	/* 673 */	"S1: op300(S0)",
	/* 674 */	"S0: op300(S2)",
	/* 675 */	"S2: op300(S3)",
	/* 676 */	"S3: op300(S4)",
	/* 677 */	"S4: op300(S5)",
	/* 678 */	"S5: op300(S6)",
	/* 679 */	"S6: op300(S7)",
	/* 680 */	"S7: op300(S8)",
	/* 681 */	"S8: op300(S8)",
	/* 682 */	"S2: op61(S0)",
	/* 683 */	"S3: op61(S2)",
	/* 684 */	"S4: op61(S3)",
	/* 685 */	"S5: op61(S4)",
	/* 686 */	"S6: op61(S5)",
	/* 687 */	"S7: op61(S6)",
	/* 688 */	"S8: op61(S7)",
	/* 689 */	"S2: op37(S0)",
	/* 690 */	"S3: op37(S0)",
	/* 691 */	"S4: op37(S0)",
	/* 692 */	"S5: op37(S0)",
	/* 693 */	"S6: op37(S0)",
	/* 694 */	"S7: op37(S0)",
	/* 695 */	"S8: op37(S0)",
	/* 696 */	"S2: op136(S1)",
	/* 697 */	"S3: op136(S0)",
	/* 698 */	"S4: op136(S2)",
	/* 699 */	"S5: op136(S3)",
	/* 700 */	"S6: op136(S4)",
	/* 701 */	"S7: op136(S5)",
	/* 702 */	"S8: op136(S6)",
	/* 703 */	"S1: op137(S2)",
	/* 704 */	"S0: op137(S3)",
	/* 705 */	"S2: op137(S4)",
	/* 706 */	"S3: op137(S5)",
	/* 707 */	"S4: op137(S6)",
	/* 708 */	"S5: op137(S7)",
	/* 709 */	"S6: op137(S8)",
	/* 710 */	"S7: op137(S8)",
	/* 711 */	"S8: op137(S8)",
	/* 712 */	"S1: op138(S2)",
	/* 713 */	"S0: op138(S3)",
	/* 714 */	"S2: op138(S4)",
	/* 715 */	"S3: op138(S5)",
	/* 716 */	"S4: op138(S6)",
	/* 717 */	"S5: op138(S7)",
	/* 718 */	"S6: op138(S8)",
	/* 719 */	"S7: op138(S8)",
	/* 720 */	"S8: op138(S8)",
	/* 721 */	"S0: op164(S2)",
	/* 722 */	"S2: op164(S3)",
	/* 723 */	"S3: op164(S4)",
	/* 724 */	"S4: op164(S5)",
	/* 725 */	"S5: op164(S6)",
	/* 726 */	"S6: op164(S7)",
	/* 727 */	"S7: op164(S8)",
	/* 728 */	"S8: op164(S8)",
	/* 729 */	"S2: op146(S0)",
	/* 730 */	"S3: op146(S2)",
	/* 731 */	"S4: op146(S3)",
	/* 732 */	"S5: op146(S4)",
	/* 733 */	"S6: op146(S5)",
	/* 734 */	"S7: op146(S6)",
	/* 735 */	"S8: op146(S7)",
	/* 736 */	"S1: op146(S0)",
	/* 737 */	"S2: op146(S2)",
	/* 738 */	"S3: op124(S0)",
	/* 739 */	"S4: op124(S2)",
	/* 740 */	"S5: op124(S3)",
	/* 741 */	"S6: op124(S4)",
	/* 742 */	"S7: op124(S5)",
	/* 743 */	"S8: op124(S6)",
	/* 744 */	"S2: op59(S2)",
	/* 745 */	"S3: op59(S3)",
	/* 746 */	"S4: op59(S4)",
	/* 747 */	"S5: op59(S5)",
	/* 748 */	"S6: op59(S6)",
	/* 749 */	"S7: op59(S7)",
	/* 750 */	"S8: op59(S8)",
	/* 751 */	"S2: op11(S0)",
	/* 752 */	"S3: op11(S0)",
	/* 753 */	"S4: op11(S0)",
	/* 754 */	"S5: op11(S0)",
	/* 755 */	"S6: op11(S0)",
	/* 756 */	"S7: op11(S0)",
	/* 757 */	"S8: op11(S0)",
	/* 758 */	"S1: op309(S1)",
	/* 759 */	"S2: op309(S2)",
	/* 760 */	"S3: op309(S3)",
	/* 761 */	"S4: op309(S4)",
	/* 762 */	"S5: op309(S5)",
	/* 763 */	"S6: op309(S6)",
	/* 764 */	"S7: op309(S7)",
	/* 765 */	"S8: op309(S8)",
	/* 766 */	"S2: op12(S0)",
	/* 767 */	"S3: op12(S0)",
	/* 768 */	"S4: op12(S0)",
	/* 769 */	"S5: op12(S0)",
	/* 770 */	"S6: op12(S0)",
	/* 771 */	"S7: op12(S0)",
	/* 772 */	"S8: op12(S0)",
	/* 773 */	"S2: op84(S0)",
	/* 774 */	"S3: op84(S2)",
	/* 775 */	"S4: op84(S3)",
	/* 776 */	"S5: op84(S4)",
	/* 777 */	"S6: op84(S5)",
	/* 778 */	"S7: op84(S6)",
	/* 779 */	"S8: op84(S7)",
	/* 780 */	"S1: op299(S0)",
	/* 781 */	"S0: op299(S2)",
	/* 782 */	"S2: op299(S3)",
	/* 783 */	"S3: op299(S4)",
	/* 784 */	"S4: op299(S5)",
	/* 785 */	"S5: op299(S6)",
	/* 786 */	"S6: op299(S7)",
	/* 787 */	"S7: op299(S8)",
	/* 788 */	"S8: op299(S8)",
	/* 789 */	"S2: op103(S0)",
	/* 790 */	"S3: op103(S2)",
	/* 791 */	"S4: op103(S3)",
	/* 792 */	"S5: op103(S4)",
	/* 793 */	"S6: op103(S5)",
	/* 794 */	"S7: op103(S6)",
	/* 795 */	"S8: op103(S7)",
	/* 796 */	"S3: op145(S3)",
	/* 797 */	"S4: op145(S4)",
	/* 798 */	"S5: op145(S5)",
	/* 799 */	"S6: op145(S6)",
	/* 800 */	"S7: op145(S7)",
	/* 801 */	"S8: op145(S8)",
	/* 802 */	"S3: op145(S2)",
	/* 803 */	"S0: op145(S3)",
	/* 804 */	"S4: op145(S3)",
	/* 805 */	"S2: op145(S4)",
	/* 806 */	"S3: op145(S5)",
	/* 807 */	"S2: op150(S1)",
	/* 808 */	"S3: op150(S0)",
	/* 809 */	"S4: op150(S2)",
	/* 810 */	"S5: op150(S3)",
	/* 811 */	"S6: op150(S4)",
	/* 812 */	"S7: op150(S5)",
	/* 813 */	"S8: op150(S6)",
	/* 814 */	"S1: op150(S1)",
	/* 815 */	"S0: op150(S1)",
	/* 816 */	"S2: op83(S0)",
	/* 817 */	"S3: op83(S2)",
	/* 818 */	"S4: op83(S3)",
	/* 819 */	"S5: op83(S4)",
	/* 820 */	"S6: op83(S5)",
	/* 821 */	"S7: op83(S6)",
	/* 822 */	"S8: op83(S7)",
	/* 823 */	"S1: op302(S0)",
	/* 824 */	"S0: op302(S2)",
	/* 825 */	"S2: op302(S3)",
	/* 826 */	"S3: op302(S4)",
	/* 827 */	"S4: op302(S5)",
	/* 828 */	"S5: op302(S6)",
	/* 829 */	"S6: op302(S7)",
	/* 830 */	"S7: op302(S8)",
	/* 831 */	"S8: op302(S8)",
	/* 832 */	"S2: op27(S0)",
	/* 833 */	"S3: op27(S0)",
	/* 834 */	"S4: op27(S0)",
	/* 835 */	"S5: op27(S0)",
	/* 836 */	"S6: op27(S0)",
	/* 837 */	"S7: op27(S0)",
	/* 838 */	"S8: op27(S0)",
	/* 839 */	"S2: op58(S2)",
	/* 840 */	"S3: op58(S3)",
	/* 841 */	"S4: op58(S4)",
	/* 842 */	"S5: op58(S5)",
	/* 843 */	"S6: op58(S6)",
	/* 844 */	"S7: op58(S7)",
	/* 845 */	"S8: op58(S8)",
	/* 846 */	"S1: op135(S1)",
	/* 847 */	"S2: op135(S2)",
	/* 848 */	"S3: op135(S3)",
	/* 849 */	"S4: op135(S4)",
	/* 850 */	"S5: op135(S5)",
	/* 851 */	"S6: op135(S6)",
	/* 852 */	"S7: op135(S7)",
	/* 853 */	"S8: op135(S8)",
	/* 854 */	"S2: op35(S0)",
	/* 855 */	"S3: op35(S0)",
	/* 856 */	"S4: op35(S0)",
	/* 857 */	"S5: op35(S0)",
	/* 858 */	"S6: op35(S0)",
	/* 859 */	"S7: op35(S0)",
	/* 860 */	"S8: op35(S0)",
	/* 861 */	"S2: op60(S0)",
	/* 862 */	"S3: op60(S2)",
	/* 863 */	"S4: op60(S3)",
	/* 864 */	"S5: op60(S4)",
	/* 865 */	"S6: op60(S5)",
	/* 866 */	"S7: op60(S6)",
	/* 867 */	"S8: op60(S7)",
	/* 868 */	"S2: op69(S2)",
	/* 869 */	"S3: op69(S3)",
	/* 870 */	"S4: op69(S4)",
	/* 871 */	"S5: op69(S5)",
	/* 872 */	"S6: op69(S6)",
	/* 873 */	"S7: op69(S7)",
	/* 874 */	"S8: op69(S8)",
	/* 875 */	"S3: op163(S1)",
	/* 876 */	"S4: op163(S0)",
	/* 877 */	"S5: op163(S2)",
	/* 878 */	"S6: op163(S3)",
	/* 879 */	"S7: op163(S4)",
	/* 880 */	"S8: op163(S5)",
	/* 881 */	"S2: op34(S0)",
	/* 882 */	"S3: op34(S0)",
	/* 883 */	"S4: op34(S0)",
	/* 884 */	"S5: op34(S0)",
	/* 885 */	"S6: op34(S0)",
	/* 886 */	"S7: op34(S0)",
	/* 887 */	"S8: op34(S0)",
	/* 888 */	"S2: op102(S0)",
	/* 889 */	"S3: op102(S2)",
	/* 890 */	"S4: op102(S3)",
	/* 891 */	"S5: op102(S4)",
	/* 892 */	"S6: op102(S5)",
	/* 893 */	"S7: op102(S6)",
	/* 894 */	"S8: op102(S7)",
	/* 895 */	"S0: op169(S2)",
	/* 896 */	"S2: op169(S3)",
	/* 897 */	"S3: op169(S4)",
	/* 898 */	"S4: op169(S5)",
	/* 899 */	"S5: op169(S6)",
	/* 900 */	"S6: op169(S7)",
	/* 901 */	"S7: op169(S8)",
	/* 902 */	"S8: op169(S8)",
	/* 903 */	"S2: op90(S2)",
	/* 904 */	"S3: op90(S3)",
	/* 905 */	"S4: op90(S4)",
	/* 906 */	"S5: op90(S5)",
	/* 907 */	"S6: op90(S6)",
	/* 908 */	"S7: op90(S7)",
	/* 909 */	"S8: op90(S8)",
	/* 910 */	"S2: op96(S0)",
	/* 911 */	"S3: op96(S2)",
	/* 912 */	"S4: op96(S3)",
	/* 913 */	"S5: op96(S4)",
	/* 914 */	"S6: op96(S5)",
	/* 915 */	"S7: op96(S6)",
	/* 916 */	"S8: op96(S7)",
	/* 917 */	"S1: op301(S0)",
	/* 918 */	"S0: op301(S2)",
	/* 919 */	"S2: op301(S3)",
	/* 920 */	"S3: op301(S4)",
	/* 921 */	"S4: op301(S5)",
	/* 922 */	"S5: op301(S6)",
	/* 923 */	"S6: op301(S7)",
	/* 924 */	"S7: op301(S8)",
	/* 925 */	"S8: op301(S8)",
	/* 926 */	"S2: op105(S0)",
	/* 927 */	"S3: op105(S2)",
	/* 928 */	"S4: op105(S3)",
	/* 929 */	"S5: op105(S4)",
	/* 930 */	"S6: op105(S5)",
	/* 931 */	"S7: op105(S6)",
	/* 932 */	"S8: op105(S7)",
	/* 933 */	"S2: op36(S0)",
	/* 934 */	"S3: op36(S0)",
	/* 935 */	"S4: op36(S0)",
	/* 936 */	"S5: op36(S0)",
	/* 937 */	"S6: op36(S0)",
	/* 938 */	"S7: op36(S0)",
	/* 939 */	"S8: op36(S0)",
	/* 940 */	"S2: op74(S2)",
	/* 941 */	"S3: op74(S3)",
	/* 942 */	"S4: op74(S4)",
	/* 943 */	"S5: op74(S5)",
	/* 944 */	"S6: op74(S6)",
	/* 945 */	"S7: op74(S7)",
	/* 946 */	"S8: op74(S8)",
	/* 947 */	"S4: op77(S2)",
	/* 948 */	"S5: op77(S3)",
	/* 949 */	"S6: op77(S4)",
	/* 950 */	"S7: op77(S5)",
	/* 951 */	"S8: op77(S6)",
	/* 952 */	"S2: op63(S0)",
	/* 953 */	"S3: op63(S2)",
	/* 954 */	"S4: op63(S3)",
	/* 955 */	"S5: op63(S4)",
	/* 956 */	"S6: op63(S5)",
	/* 957 */	"S7: op63(S6)",
	/* 958 */	"S8: op63(S7)",
	/* 959 */	"S2: op89(S2)",
	/* 960 */	"S3: op89(S3)",
	/* 961 */	"S4: op89(S4)",
	/* 962 */	"S5: op89(S5)",
	/* 963 */	"S6: op89(S6)",
	/* 964 */	"S7: op89(S7)",
	/* 965 */	"S8: op89(S8)",
	/* 966 */	"S2: op175(S2)",
	/* 967 */	"S3: op175(S3)",
	/* 968 */	"S4: op175(S4)",
	/* 969 */	"S5: op175(S5)",
	/* 970 */	"S6: op175(S6)",
	/* 971 */	"S7: op175(S7)",
	/* 972 */	"S8: op175(S8)",
	/* 973 */	"S2: op104(S0)",
	/* 974 */	"S3: op104(S2)",
	/* 975 */	"S4: op104(S3)",
	/* 976 */	"S5: op104(S4)",
	/* 977 */	"S6: op104(S5)",
	/* 978 */	"S7: op104(S6)",
	/* 979 */	"S8: op104(S7)",
	/* 980 */	"S1: op41(S0)",
	/* 981 */	"S0: op41(S2)",
	/* 982 */	"S2: op41(S3)",
	/* 983 */	"S3: op41(S4)",
	/* 984 */	"S4: op41(S5)",
	/* 985 */	"S5: op41(S6)",
	/* 986 */	"S6: op41(S7)",
	/* 987 */	"S7: op41(S8)",
	/* 988 */	"S8: op41(S8)",
	/* 989 */	"S2: op97(S0)",
	/* 990 */	"S3: op97(S2)",
	/* 991 */	"S4: op97(S3)",
	/* 992 */	"S5: op97(S4)",
	/* 993 */	"S6: op97(S5)",
	/* 994 */	"S7: op97(S6)",
	/* 995 */	"S8: op97(S7)",
	/* 996 */	"S4: op153(S4)",
	/* 997 */	"S5: op153(S5)",
	/* 998 */	"S6: op153(S6)",
	/* 999 */	"S7: op153(S7)",
	/* 1000 */	"S8: op153(S8)",
	/* 1001 */	"S1: op153(S3)",
	/* 1002 */	"S0: op153(S3)",
	/* 1003 */	"S2: op153(S4)",
	/* 1004 */	"S4: op153(S2)",
	/* 1005 */	"S1: op307(S0)",
	/* 1006 */	"S0: op307(S2)",
	/* 1007 */	"S2: op307(S3)",
	/* 1008 */	"S3: op307(S4)",
	/* 1009 */	"S4: op307(S5)",
	/* 1010 */	"S5: op307(S6)",
	/* 1011 */	"S6: op307(S7)",
	/* 1012 */	"S7: op307(S8)",
	/* 1013 */	"S8: op307(S8)",
	/* 1014 */	"S2: op98(S0)",
	/* 1015 */	"S3: op98(S2)",
	/* 1016 */	"S4: op98(S3)",
	/* 1017 */	"S5: op98(S4)",
	/* 1018 */	"S6: op98(S5)",
	/* 1019 */	"S7: op98(S6)",
	/* 1020 */	"S8: op98(S7)",
	/* 1021 */	"S2: op85(S2)",
	/* 1022 */	"S3: op85(S3)",
	/* 1023 */	"S4: op85(S4)",
	/* 1024 */	"S5: op85(S5)",
	/* 1025 */	"S6: op85(S6)",
	/* 1026 */	"S7: op85(S7)",
	/* 1027 */	"S8: op85(S8)",
	/* 1028 */	"S2: op38(S0)",
	/* 1029 */	"S3: op38(S0)",
	/* 1030 */	"S4: op38(S0)",
	/* 1031 */	"S5: op38(S0)",
	/* 1032 */	"S6: op38(S0)",
	/* 1033 */	"S7: op38(S0)",
	/* 1034 */	"S8: op38(S0)",
	/* 1035 */	"S4: op152(S6)",
	/* 1036 */	"S5: op152(S7)",
	/* 1037 */	"S6: op152(S8)",
	/* 1038 */	"S7: op152(S8)",
	/* 1039 */	"S8: op152(S8)",
	/* 1040 */	"S1: op152(S2)",
	/* 1041 */	"S0: op152(S3)",
	/* 1042 */	"S2: op152(S4)",
	/* 1043 */	"S3: op152(S5)",
	/* 1044 */	"S4: op152(S2)",
	/* 1045 */	"S5: op152(S3)",
	/* 1046 */	"S6: op152(S4)",
	/* 1047 */	"S3: op55(S2)",
	/* 1048 */	"S4: op55(S3)",
	/* 1049 */	"S5: op55(S4)",
	/* 1050 */	"S6: op55(S5)",
	/* 1051 */	"S7: op55(S6)",
	/* 1052 */	"S8: op55(S7)",
	/* 1053 */	"S2: op79(S2)",
	/* 1054 */	"S3: op79(S3)",
	/* 1055 */	"S4: op79(S4)",
	/* 1056 */	"S5: op79(S5)",
	/* 1057 */	"S6: op79(S6)",
	/* 1058 */	"S7: op79(S7)",
	/* 1059 */	"S8: op79(S8)",
	/* 1060 */	"S2: op101(S0)",
	/* 1061 */	"S3: op101(S2)",
	/* 1062 */	"S4: op101(S3)",
	/* 1063 */	"S5: op101(S4)",
	/* 1064 */	"S6: op101(S5)",
	/* 1065 */	"S7: op101(S6)",
	/* 1066 */	"S8: op101(S7)",
	/* 1067 */	"S2: op91(S2)",
	/* 1068 */	"S3: op91(S3)",
	/* 1069 */	"S4: op91(S4)",
	/* 1070 */	"S5: op91(S5)",
	/* 1071 */	"S6: op91(S6)",
	/* 1072 */	"S7: op91(S7)",
	/* 1073 */	"S8: op91(S8)",
	/* 1074 */	"S1: op42(S0)",
	/* 1075 */	"S0: op42(S2)",
	/* 1076 */	"S2: op42(S3)",
	/* 1077 */	"S3: op42(S4)",
	/* 1078 */	"S4: op42(S5)",
	/* 1079 */	"S5: op42(S6)",
	/* 1080 */	"S6: op42(S7)",
	/* 1081 */	"S7: op42(S8)",
	/* 1082 */	"S8: op42(S8)",
	/* 1083 */	"S2: op263(S2)",
	/* 1084 */	"S3: op263(S3)",
	/* 1085 */	"S4: op263(S4)",
	/* 1086 */	"S5: op263(S5)",
	/* 1087 */	"S6: op263(S6)",
	/* 1088 */	"S7: op263(S7)",
	/* 1089 */	"S8: op263(S8)",
	/* 1090 */	"S1: op139(S1)",
	/* 1091 */	"S2: op139(S2)",
	/* 1092 */	"S3: op139(S3)",
	/* 1093 */	"S4: op139(S4)",
	/* 1094 */	"S5: op139(S5)",
	/* 1095 */	"S6: op139(S6)",
	/* 1096 */	"S7: op139(S7)",
	/* 1097 */	"S8: op139(S8)",
	/* 1098 */	"S0: op313(S1)",
	/* 1099 */	"S2: op313(S0)",
	/* 1100 */	"S3: op313(S2)",
	/* 1101 */	"S4: op313(S3)",
	/* 1102 */	"S5: op313(S4)",
	/* 1103 */	"S6: op313(S5)",
	/* 1104 */	"S7: op313(S6)",
	/* 1105 */	"S8: op313(S7)",
	/* 1106 */	"S2: op64(S0)",
	/* 1107 */	"S3: op64(S2)",
	/* 1108 */	"S4: op64(S3)",
	/* 1109 */	"S5: op64(S4)",
	/* 1110 */	"S6: op64(S5)",
	/* 1111 */	"S7: op64(S6)",
	/* 1112 */	"S8: op64(S7)",
	/* 1113 */	"S2: op70(S2)",
	/* 1114 */	"S3: op70(S3)",
	/* 1115 */	"S4: op70(S4)",
	/* 1116 */	"S5: op70(S5)",
	/* 1117 */	"S6: op70(S6)",
	/* 1118 */	"S7: op70(S7)",
	/* 1119 */	"S8: op70(S8)",
	/* 1120 */	"S0: S1",
	/* 1121 */	"S2: S1",
	/* 1122 */	"S3: S1",
	/* 1123 */	"S4: S1",
	/* 1124 */	"S5: S1",
	/* 1125 */	"S6: S1",
	/* 1126 */	"S7: S1",
	/* 1127 */	"S8: S1",
	/* 1128 */	"S1: S0",
	/* 1129 */	"S2: S0",
	/* 1130 */	"S3: S0",
	/* 1131 */	"S4: S0",
	/* 1132 */	"S5: S0",
	/* 1133 */	"S6: S0",
	/* 1134 */	"S7: S0",
	/* 1135 */	"S8: S0",
	/* 1136 */	"S1: S2",
	/* 1137 */	"S0: S2",
	/* 1138 */	"S3: S2",
	/* 1139 */	"S4: S2",
	/* 1140 */	"S5: S2",
	/* 1141 */	"S6: S2",
	/* 1142 */	"S7: S2",
	/* 1143 */	"S8: S2",
	/* 1144 */	"S1: S3",
	/* 1145 */	"S0: S3",
	/* 1146 */	"S2: S3",
	/* 1147 */	"S4: S3",
	/* 1148 */	"S5: S3",
	/* 1149 */	"S6: S3",
	/* 1150 */	"S7: S3",
	/* 1151 */	"S8: S3",
	/* 1152 */	"S1: S4",
	/* 1153 */	"S0: S4",
	/* 1154 */	"S2: S4",
	/* 1155 */	"S3: S4",
	/* 1156 */	"S5: S4",
	/* 1157 */	"S6: S4",
	/* 1158 */	"S7: S4",
	/* 1159 */	"S8: S4",
	/* 1160 */	"S1: S5",
	/* 1161 */	"S0: S5",
	/* 1162 */	"S2: S5",
	/* 1163 */	"S3: S5",
	/* 1164 */	"S4: S5",
	/* 1165 */	"S6: S5",
	/* 1166 */	"S7: S5",
	/* 1167 */	"S8: S5",
	/* 1168 */	"S1: S6",
	/* 1169 */	"S0: S6",
	/* 1170 */	"S2: S6",
	/* 1171 */	"S3: S6",
	/* 1172 */	"S4: S6",
	/* 1173 */	"S5: S6",
	/* 1174 */	"S7: S6",
	/* 1175 */	"S8: S6",
	/* 1176 */	"S1: S7",
	/* 1177 */	"S0: S7",
	/* 1178 */	"S2: S7",
	/* 1179 */	"S3: S7",
	/* 1180 */	"S4: S7",
	/* 1181 */	"S5: S7",
	/* 1182 */	"S6: S7",
	/* 1183 */	"S8: S7",
	/* 1184 */	"S1: S8",
	/* 1185 */	"S0: S8",
	/* 1186 */	"S2: S8",
	/* 1187 */	"S3: S8",
	/* 1188 */	"S4: S8",
	/* 1189 */	"S5: S8",
	/* 1190 */	"S6: S8",
	/* 1191 */	"S7: S8",
	/* 1192 */	0,
	/* 1193 */	0,
	/* 1194 */	0,
	/* 1195 */	0,
	/* 1196 */	0,
	/* 1197 */	0,
	/* 1198 */	0,
	/* 1199 */	0,
	/* 1200 */	"S0: s0",
	/* 1201 */	"S1: s1",
	/* 1202 */	"S2: s2",
	/* 1203 */	"S3: s3",
	/* 1204 */	"S4: s4",
	/* 1205 */	"S5: s5",
	/* 1206 */	"S6: s6",
	/* 1207 */	"S7: s7",
	/* 1208 */	"S8: s8",
};

static short burm_decode_S0[] = {
	0,
	1,
	2,
	3,
	4,
	5,
	6,
	7,
	8,
	9,
	10,
	11,
	12,
	13,
	14,
	15,
	16,
	17,
	18,
	19,
	20,
	21,
	22,
	23,
	24,
	25,
	26,
	27,
	28,
	29,
	30,
	31,
	32,
	33,
	34,
	35,
	36,
	37,
	38,
	39,
	40,
	41,
	42,
	43,
	44,
	45,
	46,
	47,
	48,
	49,
	50,
	51,
	52,
	53,
	54,
	55,
	56,
	57,
	58,
	59,
	60,
	61,
	62,
	63,
	64,
	65,
	66,
	67,
	68,
	69,
	70,
	71,
	72,
	73,
	74,
	75,
	76,
	77,
	78,
	79,
	80,
	81,
	82,
	83,
	84,
	85,
	86,
	87,
	88,
	89,
	90,
	91,
	92,
	93,
	94,
	95,
	96,
	97,
	98,
	99,
	100,
	101,
	102,
	103,
	104,
	105,
	106,
	107,
	108,
	109,
	110,
	111,
	112,
	113,
	114,
	115,
	116,
	117,
	118,
	119,
	120,
	121,
	122,
	123,
	124,
	125,
	126,
	127,
	128,
	129,
	130,
	131,
	132,
	133,
	134,
	135,
	136,
	137,
	138,
	139,
	140,
	141,
	142,
	143,
	144,
	145,
	146,
	147,
	148,
	149,
	150,
	151,
	152,
	153,
	154,
	155,
	156,
	157,
	158,
	159,
	160,
	161,
	162,
	163,
	164,
	165,
	166,
	167,
	168,
	169,
	170,
	171,
	172,
	173,
	174,
	175,
	176,
	177,
	178,
	179,
	180,
	181,
	182,
	183,
	184,
	185,
	186,
	187,
	188,
	189,
	190,
	191,
	192,
	193,
	194,
	195,
	196,
	197,
	198,
	199,
	200,
	201,
	202,
	203,
	204,
	205,
	206,
	207,
	208,
	209,
	210,
	211,
	212,
	213,
	214,
	215,
	216,
	217,
	218,
	219,
	220,
	221,
	222,
	223,
	224,
	225,
	226,
	227,
	228,
	229,
	230,
	231,
	232,
	233,
	234,
	235,
	236,
	237,
	238,
	239,
	240,
	241,
	242,
	243,
	244,
	245,
	246,
	247,
	248,
	249,
	250,
	251,
	252,
	253,
	254,
	255,
	256,
	257,
	258,
	259,
	260,
	261,
	262,
	263,
	264,
	265,
	266,
	267,
	268,
	269,
	270,
	271,
	272,
	273,
	274,
	275,
	276,
	277,
	278,
	279,
	280,
	281,
	282,
	283,
	284,
	285,
	286,
	287,
	288,
	289,
	290,
	291,
	292,
	293,
	294,
	295,
	296,
	297,
	298,
	299,
	300,
	301,
	302,
	303,
	304,
	305,
	306,
	307,
	308,
	309,
	310,
	311,
	312,
	313,
	314,
	315,
	316,
	317,
	318,
	319,
	320,
	321,
	322,
	323,
	324,
	325,
	326,
	327,
	328,
	329,
	330,
	331,
	332,
	333,
	334,
	335,
	336,
	337,
	338,
	339,
	340,
	341,
	342,
	343,
	344,
	345,
	346,
	347,
	348,
	349,
	350,
	351,
	352,
	353,
	354,
	355,
	369,
	392,
	408,
	432,
	449,
	472,
	488,
	513,
	533,
	559,
	582,
	591,
	674,
	704,
	713,
	721,
	781,
	803,
	815,
	824,
	895,
	918,
	981,
	1002,
	1006,
	1041,
	1075,
	1098,
	1120,
	1137,
	1145,
	1153,
	1161,
	1169,
	1177,
	1185,
	1200,
};

static short burm_decode_S1[] = {
	0,
	368,
	391,
	407,
	440,
	448,
	471,
	487,
	514,
	531,
	532,
	567,
	590,
	606,
	621,
	629,
	673,
	703,
	712,
	736,
	758,
	780,
	814,
	823,
	846,
	917,
	980,
	1001,
	1005,
	1040,
	1074,
	1090,
	1128,
	1136,
	1144,
	1152,
	1160,
	1168,
	1176,
	1184,
	1201,
};

static short burm_decode_S2[] = {
	0,
	370,
	377,
	384,
	393,
	400,
	409,
	411,
	418,
	425,
	433,
	441,
	450,
	457,
	464,
	473,
	480,
	489,
	491,
	498,
	512,
	517,
	524,
	534,
	538,
	545,
	552,
	560,
	568,
	575,
	583,
	592,
	599,
	607,
	614,
	622,
	630,
	637,
	644,
	651,
	659,
	666,
	675,
	682,
	689,
	696,
	705,
	714,
	722,
	729,
	737,
	744,
	751,
	759,
	766,
	773,
	782,
	789,
	805,
	807,
	816,
	825,
	832,
	839,
	847,
	854,
	861,
	868,
	881,
	888,
	896,
	903,
	910,
	919,
	926,
	933,
	940,
	952,
	959,
	966,
	973,
	982,
	989,
	1003,
	1007,
	1014,
	1021,
	1028,
	1042,
	1053,
	1060,
	1067,
	1076,
	1083,
	1091,
	1099,
	1106,
	1113,
	1121,
	1129,
	1146,
	1154,
	1162,
	1170,
	1178,
	1186,
	1202,
};

static short burm_decode_S3[] = {
	0,
	371,
	378,
	385,
	394,
	401,
	410,
	412,
	419,
	426,
	434,
	442,
	451,
	458,
	465,
	474,
	481,
	490,
	492,
	499,
	505,
	511,
	518,
	525,
	535,
	539,
	546,
	553,
	561,
	569,
	576,
	584,
	593,
	600,
	608,
	615,
	623,
	631,
	638,
	645,
	652,
	653,
	660,
	667,
	676,
	683,
	690,
	697,
	706,
	715,
	723,
	730,
	738,
	745,
	752,
	760,
	767,
	774,
	783,
	790,
	796,
	802,
	806,
	808,
	817,
	826,
	833,
	840,
	848,
	855,
	862,
	869,
	875,
	882,
	889,
	897,
	904,
	911,
	920,
	927,
	934,
	941,
	953,
	960,
	967,
	974,
	983,
	990,
	1008,
	1015,
	1022,
	1029,
	1043,
	1047,
	1054,
	1061,
	1068,
	1077,
	1084,
	1092,
	1100,
	1107,
	1114,
	1122,
	1130,
	1138,
	1155,
	1163,
	1171,
	1179,
	1187,
	1203,
};

static short burm_decode_S4[] = {
	0,
	372,
	379,
	386,
	395,
	402,
	413,
	420,
	427,
	435,
	443,
	452,
	459,
	466,
	475,
	482,
	493,
	500,
	506,
	515,
	519,
	526,
	536,
	537,
	540,
	547,
	554,
	562,
	570,
	577,
	585,
	594,
	601,
	609,
	616,
	624,
	632,
	639,
	646,
	654,
	661,
	668,
	677,
	684,
	691,
	698,
	707,
	716,
	724,
	731,
	739,
	746,
	753,
	761,
	768,
	775,
	784,
	791,
	797,
	804,
	809,
	818,
	827,
	834,
	841,
	849,
	856,
	863,
	870,
	876,
	883,
	890,
	898,
	905,
	912,
	921,
	928,
	935,
	942,
	947,
	954,
	961,
	968,
	975,
	984,
	991,
	996,
	1004,
	1009,
	1016,
	1023,
	1030,
	1035,
	1044,
	1048,
	1055,
	1062,
	1069,
	1078,
	1085,
	1093,
	1101,
	1108,
	1115,
	1123,
	1131,
	1139,
	1147,
	1164,
	1172,
	1180,
	1188,
	1204,
};

static short burm_decode_S5[] = {
	0,
	373,
	380,
	387,
	396,
	403,
	414,
	421,
	428,
	436,
	444,
	453,
	460,
	467,
	476,
	483,
	494,
	501,
	507,
	516,
	520,
	527,
	541,
	548,
	555,
	563,
	571,
	578,
	586,
	595,
	602,
	610,
	617,
	625,
	633,
	640,
	647,
	655,
	662,
	669,
	678,
	685,
	692,
	699,
	708,
	717,
	725,
	732,
	740,
	747,
	754,
	762,
	769,
	776,
	785,
	792,
	798,
	810,
	819,
	828,
	835,
	842,
	850,
	857,
	864,
	871,
	877,
	884,
	891,
	899,
	906,
	913,
	922,
	929,
	936,
	943,
	948,
	955,
	962,
	969,
	976,
	985,
	992,
	997,
	1010,
	1017,
	1024,
	1031,
	1036,
	1045,
	1049,
	1056,
	1063,
	1070,
	1079,
	1086,
	1094,
	1102,
	1109,
	1116,
	1124,
	1132,
	1140,
	1148,
	1156,
	1173,
	1181,
	1189,
	1205,
};

static short burm_decode_S6[] = {
	0,
	374,
	381,
	388,
	397,
	404,
	415,
	422,
	429,
	437,
	445,
	454,
	461,
	468,
	477,
	484,
	495,
	502,
	508,
	521,
	528,
	542,
	549,
	556,
	564,
	572,
	579,
	587,
	596,
	603,
	611,
	618,
	626,
	634,
	641,
	648,
	656,
	663,
	670,
	679,
	686,
	693,
	700,
	709,
	718,
	726,
	733,
	741,
	748,
	755,
	763,
	770,
	777,
	786,
	793,
	799,
	811,
	820,
	829,
	836,
	843,
	851,
	858,
	865,
	872,
	878,
	885,
	892,
	900,
	907,
	914,
	923,
	930,
	937,
	944,
	949,
	956,
	963,
	970,
	977,
	986,
	993,
	998,
	1011,
	1018,
	1025,
	1032,
	1037,
	1046,
	1050,
	1057,
	1064,
	1071,
	1080,
	1087,
	1095,
	1103,
	1110,
	1117,
	1125,
	1133,
	1141,
	1149,
	1157,
	1165,
	1182,
	1190,
	1206,
};

static short burm_decode_S7[] = {
	0,
	375,
	382,
	389,
	398,
	405,
	416,
	423,
	430,
	438,
	446,
	455,
	462,
	469,
	478,
	485,
	496,
	503,
	509,
	522,
	529,
	543,
	550,
	557,
	565,
	573,
	580,
	588,
	597,
	604,
	612,
	619,
	627,
	635,
	642,
	649,
	657,
	664,
	671,
	680,
	687,
	694,
	701,
	710,
	719,
	727,
	734,
	742,
	749,
	756,
	764,
	771,
	778,
	787,
	794,
	800,
	812,
	821,
	830,
	837,
	844,
	852,
	859,
	866,
	873,
	879,
	886,
	893,
	901,
	908,
	915,
	924,
	931,
	938,
	945,
	950,
	957,
	964,
	971,
	978,
	987,
	994,
	999,
	1012,
	1019,
	1026,
	1033,
	1038,
	1051,
	1058,
	1065,
	1072,
	1081,
	1088,
	1096,
	1104,
	1111,
	1118,
	1126,
	1134,
	1142,
	1150,
	1158,
	1166,
	1174,
	1191,
	1207,
};

static short burm_decode_S8[] = {
	0,
	376,
	383,
	390,
	399,
	406,
	417,
	424,
	431,
	439,
	447,
	456,
	463,
	470,
	479,
	486,
	497,
	504,
	510,
	523,
	530,
	544,
	551,
	558,
	566,
	574,
	581,
	589,
	598,
	605,
	613,
	620,
	628,
	636,
	643,
	650,
	658,
	665,
	672,
	681,
	688,
	695,
	702,
	711,
	720,
	728,
	735,
	743,
	750,
	757,
	765,
	772,
	779,
	788,
	795,
	801,
	813,
	822,
	831,
	838,
	845,
	853,
	860,
	867,
	874,
	880,
	887,
	894,
	902,
	909,
	916,
	925,
	932,
	939,
	946,
	951,
	958,
	965,
	972,
	979,
	988,
	995,
	1000,
	1013,
	1020,
	1027,
	1034,
	1039,
	1052,
	1059,
	1066,
	1073,
	1082,
	1089,
	1097,
	1105,
	1112,
	1119,
	1127,
	1135,
	1143,
	1151,
	1159,
	1167,
	1175,
	1183,
	1208,
};

int burm_rule(STATEPTR_TYPE state, int goalnt) {
	burm_assert(goalnt >= 1 && goalnt <= 9, PANIC("Bad goal nonterminal %d in burm_rule\n", goalnt));
	if (!state)
		return 0;
	switch (goalnt) {
	case burm_S0_NT:
		return burm_decode_S0[state->rule.burm_S0];
	case burm_S1_NT:
		return burm_decode_S1[state->rule.burm_S1];
	case burm_S2_NT:
		return burm_decode_S2[state->rule.burm_S2];
	case burm_S3_NT:
		return burm_decode_S3[state->rule.burm_S3];
	case burm_S4_NT:
		return burm_decode_S4[state->rule.burm_S4];
	case burm_S5_NT:
		return burm_decode_S5[state->rule.burm_S5];
	case burm_S6_NT:
		return burm_decode_S6[state->rule.burm_S6];
	case burm_S7_NT:
		return burm_decode_S7[state->rule.burm_S7];
	case burm_S8_NT:
		return burm_decode_S8[state->rule.burm_S8];
	default:
		burm_assert(0, PANIC("Bad goal nonterminal %d in burm_rule\n", goalnt));
	}
	return 0;
}

static void burm_closure_S0(STATEPTR_TYPE, int);
static void burm_closure_S1(STATEPTR_TYPE, int);
static void burm_closure_S2(STATEPTR_TYPE, int);
static void burm_closure_S3(STATEPTR_TYPE, int);
static void burm_closure_S4(STATEPTR_TYPE, int);
static void burm_closure_S5(STATEPTR_TYPE, int);
static void burm_closure_S6(STATEPTR_TYPE, int);
static void burm_closure_S7(STATEPTR_TYPE, int);
static void burm_closure_S8(STATEPTR_TYPE, int);

static void burm_closure_S0(STATEPTR_TYPE p, int c) {
	if (c + 36 < p->cost[burm_S8_NT]) {
		p->cost[burm_S8_NT] = c + 36;
		p->rule.burm_S8 = 99;
		burm_closure_S8(p, c + 36);
	}
	if (c + 32 < p->cost[burm_S7_NT]) {
		p->cost[burm_S7_NT] = c + 32;
		p->rule.burm_S7 = 99;
		burm_closure_S7(p, c + 32);
	}
	if (c + 28 < p->cost[burm_S6_NT]) {
		p->cost[burm_S6_NT] = c + 28;
		p->rule.burm_S6 = 100;
		burm_closure_S6(p, c + 28);
	}
	if (c + 24 < p->cost[burm_S5_NT]) {
		p->cost[burm_S5_NT] = c + 24;
		p->rule.burm_S5 = 101;
		burm_closure_S5(p, c + 24);
	}
	if (c + 20 < p->cost[burm_S4_NT]) {
		p->cost[burm_S4_NT] = c + 20;
		p->rule.burm_S4 = 105;
		burm_closure_S4(p, c + 20);
	}
	if (c + 16 < p->cost[burm_S3_NT]) {
		p->cost[burm_S3_NT] = c + 16;
		p->rule.burm_S3 = 104;
		burm_closure_S3(p, c + 16);
	}
	if (c + 12 < p->cost[burm_S2_NT]) {
		p->cost[burm_S2_NT] = c + 12;
		p->rule.burm_S2 = 99;
		burm_closure_S2(p, c + 12);
	}
	if (c + 4 < p->cost[burm_S1_NT]) {
		p->cost[burm_S1_NT] = c + 4;
		p->rule.burm_S1 = 32;
		burm_closure_S1(p, c + 4);
	}
}

static void burm_closure_S1(STATEPTR_TYPE p, int c) {
	if (c + 36 < p->cost[burm_S8_NT]) {
		p->cost[burm_S8_NT] = c + 36;
		p->rule.burm_S8 = 98;
		burm_closure_S8(p, c + 36);
	}
	if (c + 32 < p->cost[burm_S7_NT]) {
		p->cost[burm_S7_NT] = c + 32;
		p->rule.burm_S7 = 98;
		burm_closure_S7(p, c + 32);
	}
	if (c + 28 < p->cost[burm_S6_NT]) {
		p->cost[burm_S6_NT] = c + 28;
		p->rule.burm_S6 = 99;
		burm_closure_S6(p, c + 28);
	}
	if (c + 24 < p->cost[burm_S5_NT]) {
		p->cost[burm_S5_NT] = c + 24;
		p->rule.burm_S5 = 100;
		burm_closure_S5(p, c + 24);
	}
	if (c + 20 < p->cost[burm_S4_NT]) {
		p->cost[burm_S4_NT] = c + 20;
		p->rule.burm_S4 = 104;
		burm_closure_S4(p, c + 20);
	}
	if (c + 16 < p->cost[burm_S3_NT]) {
		p->cost[burm_S3_NT] = c + 16;
		p->rule.burm_S3 = 103;
		burm_closure_S3(p, c + 16);
	}
	if (c + 12 < p->cost[burm_S2_NT]) {
		p->cost[burm_S2_NT] = c + 12;
		p->rule.burm_S2 = 98;
		burm_closure_S2(p, c + 12);
	}
	if (c + 8 < p->cost[burm_S0_NT]) {
		p->cost[burm_S0_NT] = c + 8;
		p->rule.burm_S0 = 384;
		burm_closure_S0(p, c + 8);
	}
}

static void burm_closure_S2(STATEPTR_TYPE p, int c) {
	if (c + 36 < p->cost[burm_S8_NT]) {
		p->cost[burm_S8_NT] = c + 36;
		p->rule.burm_S8 = 100;
		burm_closure_S8(p, c + 36);
	}
	if (c + 32 < p->cost[burm_S7_NT]) {
		p->cost[burm_S7_NT] = c + 32;
		p->rule.burm_S7 = 100;
		burm_closure_S7(p, c + 32);
	}
	if (c + 28 < p->cost[burm_S6_NT]) {
		p->cost[burm_S6_NT] = c + 28;
		p->rule.burm_S6 = 101;
		burm_closure_S6(p, c + 28);
	}
	if (c + 24 < p->cost[burm_S5_NT]) {
		p->cost[burm_S5_NT] = c + 24;
		p->rule.burm_S5 = 102;
		burm_closure_S5(p, c + 24);
	}
	if (c + 20 < p->cost[burm_S4_NT]) {
		p->cost[burm_S4_NT] = c + 20;
		p->rule.burm_S4 = 106;
		burm_closure_S4(p, c + 20);
	}
	if (c + 16 < p->cost[burm_S3_NT]) {
		p->cost[burm_S3_NT] = c + 16;
		p->rule.burm_S3 = 105;
		burm_closure_S3(p, c + 16);
	}
	if (c + 8 < p->cost[burm_S0_NT]) {
		p->cost[burm_S0_NT] = c + 8;
		p->rule.burm_S0 = 385;
		burm_closure_S0(p, c + 8);
	}
	if (c + 12 < p->cost[burm_S1_NT]) {
		p->cost[burm_S1_NT] = c + 12;
		p->rule.burm_S1 = 33;
		burm_closure_S1(p, c + 12);
	}
}

static void burm_closure_S3(STATEPTR_TYPE p, int c) {
	if (c + 36 < p->cost[burm_S8_NT]) {
		p->cost[burm_S8_NT] = c + 36;
		p->rule.burm_S8 = 101;
		burm_closure_S8(p, c + 36);
	}
	if (c + 32 < p->cost[burm_S7_NT]) {
		p->cost[burm_S7_NT] = c + 32;
		p->rule.burm_S7 = 101;
		burm_closure_S7(p, c + 32);
	}
	if (c + 28 < p->cost[burm_S6_NT]) {
		p->cost[burm_S6_NT] = c + 28;
		p->rule.burm_S6 = 102;
		burm_closure_S6(p, c + 28);
	}
	if (c + 24 < p->cost[burm_S5_NT]) {
		p->cost[burm_S5_NT] = c + 24;
		p->rule.burm_S5 = 103;
		burm_closure_S5(p, c + 24);
	}
	if (c + 20 < p->cost[burm_S4_NT]) {
		p->cost[burm_S4_NT] = c + 20;
		p->rule.burm_S4 = 107;
		burm_closure_S4(p, c + 20);
	}
	if (c + 12 < p->cost[burm_S2_NT]) {
		p->cost[burm_S2_NT] = c + 12;
		p->rule.burm_S2 = 100;
		burm_closure_S2(p, c + 12);
	}
	if (c + 16 < p->cost[burm_S0_NT]) {
		p->cost[burm_S0_NT] = c + 16;
		p->rule.burm_S0 = 386;
		burm_closure_S0(p, c + 16);
	}
	if (c + 16 < p->cost[burm_S1_NT]) {
		p->cost[burm_S1_NT] = c + 16;
		p->rule.burm_S1 = 34;
		burm_closure_S1(p, c + 16);
	}
}

static void burm_closure_S4(STATEPTR_TYPE p, int c) {
	if (c + 36 < p->cost[burm_S8_NT]) {
		p->cost[burm_S8_NT] = c + 36;
		p->rule.burm_S8 = 102;
		burm_closure_S8(p, c + 36);
	}
	if (c + 32 < p->cost[burm_S7_NT]) {
		p->cost[burm_S7_NT] = c + 32;
		p->rule.burm_S7 = 102;
		burm_closure_S7(p, c + 32);
	}
	if (c + 28 < p->cost[burm_S6_NT]) {
		p->cost[burm_S6_NT] = c + 28;
		p->rule.burm_S6 = 103;
		burm_closure_S6(p, c + 28);
	}
	if (c + 24 < p->cost[burm_S5_NT]) {
		p->cost[burm_S5_NT] = c + 24;
		p->rule.burm_S5 = 104;
		burm_closure_S5(p, c + 24);
	}
	if (c + 16 < p->cost[burm_S3_NT]) {
		p->cost[burm_S3_NT] = c + 16;
		p->rule.burm_S3 = 106;
		burm_closure_S3(p, c + 16);
	}
	if (c + 20 < p->cost[burm_S2_NT]) {
		p->cost[burm_S2_NT] = c + 20;
		p->rule.burm_S2 = 101;
		burm_closure_S2(p, c + 20);
	}
	if (c + 20 < p->cost[burm_S0_NT]) {
		p->cost[burm_S0_NT] = c + 20;
		p->rule.burm_S0 = 387;
		burm_closure_S0(p, c + 20);
	}
	if (c + 20 < p->cost[burm_S1_NT]) {
		p->cost[burm_S1_NT] = c + 20;
		p->rule.burm_S1 = 35;
		burm_closure_S1(p, c + 20);
	}
}

static void burm_closure_S5(STATEPTR_TYPE p, int c) {
	if (c + 36 < p->cost[burm_S8_NT]) {
		p->cost[burm_S8_NT] = c + 36;
		p->rule.burm_S8 = 103;
		burm_closure_S8(p, c + 36);
	}
	if (c + 32 < p->cost[burm_S7_NT]) {
		p->cost[burm_S7_NT] = c + 32;
		p->rule.burm_S7 = 103;
		burm_closure_S7(p, c + 32);
	}
	if (c + 28 < p->cost[burm_S6_NT]) {
		p->cost[burm_S6_NT] = c + 28;
		p->rule.burm_S6 = 104;
		burm_closure_S6(p, c + 28);
	}
	if (c + 20 < p->cost[burm_S4_NT]) {
		p->cost[burm_S4_NT] = c + 20;
		p->rule.burm_S4 = 108;
		burm_closure_S4(p, c + 20);
	}
	if (c + 24 < p->cost[burm_S3_NT]) {
		p->cost[burm_S3_NT] = c + 24;
		p->rule.burm_S3 = 107;
		burm_closure_S3(p, c + 24);
	}
	if (c + 24 < p->cost[burm_S2_NT]) {
		p->cost[burm_S2_NT] = c + 24;
		p->rule.burm_S2 = 102;
		burm_closure_S2(p, c + 24);
	}
	if (c + 24 < p->cost[burm_S0_NT]) {
		p->cost[burm_S0_NT] = c + 24;
		p->rule.burm_S0 = 388;
		burm_closure_S0(p, c + 24);
	}
	if (c + 24 < p->cost[burm_S1_NT]) {
		p->cost[burm_S1_NT] = c + 24;
		p->rule.burm_S1 = 36;
		burm_closure_S1(p, c + 24);
	}
}

static void burm_closure_S6(STATEPTR_TYPE p, int c) {
	if (c + 36 < p->cost[burm_S8_NT]) {
		p->cost[burm_S8_NT] = c + 36;
		p->rule.burm_S8 = 104;
		burm_closure_S8(p, c + 36);
	}
	if (c + 32 < p->cost[burm_S7_NT]) {
		p->cost[burm_S7_NT] = c + 32;
		p->rule.burm_S7 = 104;
		burm_closure_S7(p, c + 32);
	}
	if (c + 24 < p->cost[burm_S5_NT]) {
		p->cost[burm_S5_NT] = c + 24;
		p->rule.burm_S5 = 105;
		burm_closure_S5(p, c + 24);
	}
	if (c + 28 < p->cost[burm_S4_NT]) {
		p->cost[burm_S4_NT] = c + 28;
		p->rule.burm_S4 = 109;
		burm_closure_S4(p, c + 28);
	}
	if (c + 28 < p->cost[burm_S3_NT]) {
		p->cost[burm_S3_NT] = c + 28;
		p->rule.burm_S3 = 108;
		burm_closure_S3(p, c + 28);
	}
	if (c + 28 < p->cost[burm_S2_NT]) {
		p->cost[burm_S2_NT] = c + 28;
		p->rule.burm_S2 = 103;
		burm_closure_S2(p, c + 28);
	}
	if (c + 28 < p->cost[burm_S0_NT]) {
		p->cost[burm_S0_NT] = c + 28;
		p->rule.burm_S0 = 389;
		burm_closure_S0(p, c + 28);
	}
	if (c + 28 < p->cost[burm_S1_NT]) {
		p->cost[burm_S1_NT] = c + 28;
		p->rule.burm_S1 = 37;
		burm_closure_S1(p, c + 28);
	}
}

static void burm_closure_S7(STATEPTR_TYPE p, int c) {
	if (c + 36 < p->cost[burm_S8_NT]) {
		p->cost[burm_S8_NT] = c + 36;
		p->rule.burm_S8 = 105;
		burm_closure_S8(p, c + 36);
	}
	if (c + 28 < p->cost[burm_S6_NT]) {
		p->cost[burm_S6_NT] = c + 28;
		p->rule.burm_S6 = 105;
		burm_closure_S6(p, c + 28);
	}
	if (c + 32 < p->cost[burm_S5_NT]) {
		p->cost[burm_S5_NT] = c + 32;
		p->rule.burm_S5 = 106;
		burm_closure_S5(p, c + 32);
	}
	if (c + 32 < p->cost[burm_S4_NT]) {
		p->cost[burm_S4_NT] = c + 32;
		p->rule.burm_S4 = 110;
		burm_closure_S4(p, c + 32);
	}
	if (c + 32 < p->cost[burm_S3_NT]) {
		p->cost[burm_S3_NT] = c + 32;
		p->rule.burm_S3 = 109;
		burm_closure_S3(p, c + 32);
	}
	if (c + 32 < p->cost[burm_S2_NT]) {
		p->cost[burm_S2_NT] = c + 32;
		p->rule.burm_S2 = 104;
		burm_closure_S2(p, c + 32);
	}
	if (c + 32 < p->cost[burm_S0_NT]) {
		p->cost[burm_S0_NT] = c + 32;
		p->rule.burm_S0 = 390;
		burm_closure_S0(p, c + 32);
	}
	if (c + 32 < p->cost[burm_S1_NT]) {
		p->cost[burm_S1_NT] = c + 32;
		p->rule.burm_S1 = 38;
		burm_closure_S1(p, c + 32);
	}
}

static void burm_closure_S8(STATEPTR_TYPE p, int c) {
	if (c + 32 < p->cost[burm_S7_NT]) {
		p->cost[burm_S7_NT] = c + 32;
		p->rule.burm_S7 = 105;
		burm_closure_S7(p, c + 32);
	}
	if (c + 36 < p->cost[burm_S6_NT]) {
		p->cost[burm_S6_NT] = c + 36;
		p->rule.burm_S6 = 106;
		burm_closure_S6(p, c + 36);
	}
	if (c + 36 < p->cost[burm_S5_NT]) {
		p->cost[burm_S5_NT] = c + 36;
		p->rule.burm_S5 = 107;
		burm_closure_S5(p, c + 36);
	}
	if (c + 36 < p->cost[burm_S4_NT]) {
		p->cost[burm_S4_NT] = c + 36;
		p->rule.burm_S4 = 111;
		burm_closure_S4(p, c + 36);
	}
	if (c + 36 < p->cost[burm_S3_NT]) {
		p->cost[burm_S3_NT] = c + 36;
		p->rule.burm_S3 = 110;
		burm_closure_S3(p, c + 36);
	}
	if (c + 36 < p->cost[burm_S2_NT]) {
		p->cost[burm_S2_NT] = c + 36;
		p->rule.burm_S2 = 105;
		burm_closure_S2(p, c + 36);
	}
	if (c + 36 < p->cost[burm_S0_NT]) {
		p->cost[burm_S0_NT] = c + 36;
		p->rule.burm_S0 = 391;
		burm_closure_S0(p, c + 36);
	}
	if (c + 36 < p->cost[burm_S1_NT]) {
		p->cost[burm_S1_NT] = c + 36;
		p->rule.burm_S1 = 39;
		burm_closure_S1(p, c + 36);
	}
}

STATEPTR_TYPE burm_state(int op, STATEPTR_TYPE left, STATEPTR_TYPE right) {
	int c;
	STATEPTR_TYPE p, l = left, r = right;

	if (burm_arity[op] > 0) {
		p = (STATEPTR_TYPE)ALLOC(sizeof *p);
		burm_assert(p, PANIC("ALLOC returned NULL in burm_state\n"));
		p->op = op;
		p->left = l;
		p->right = r;
		p->rule.burm_S0 = 0;
		p->cost[1] =
		p->cost[2] =
		p->cost[3] =
		p->cost[4] =
		p->cost[5] =
		p->cost[6] =
		p->cost[7] =
		p->cost[8] =
		p->cost[9] =
			32767;
	}
	switch (op) {
	case 1: /* op0 */
		assert(l);
		{	/* S0: op0(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 1;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 2: /* op1 */
		assert(l);
		{	/* S0: op1(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 2;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 3: /* op2 */
		assert(l);
		{	/* S0: op2(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 3;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 4: /* op3 */
		assert(l);
		{	/* S0: op3(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 4;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 5: /* op4 */
		assert(l);
		{	/* S0: op4(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 5;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 6: /* op5 */
		assert(l);
		{	/* S0: op5(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 6;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 7: /* op6 */
		assert(l);
		{	/* S0: op6(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 7;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 8: /* op7 */
		assert(l);
		{	/* S0: op7(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 8;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 9: /* op8 */
		assert(l);
		{	/* S0: op8(S0) */
			c = l->cost[burm_S0_NT] + 4;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 9;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 10: /* op9 */
		assert(l);
		{	/* S0: op9(S0) */
			c = l->cost[burm_S0_NT] + 4;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 10;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 11: /* op10 */
		assert(l);
		{	/* S0: op10(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 11;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 12: /* op11 */
		assert(l);
		{	/* S8: op11(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 49;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op11(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 49;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op11(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 49;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op11(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 50;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op11(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 52;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op11(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 54;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op11(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 52;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op11(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 12;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 13: /* op12 */
		assert(l);
		{	/* S8: op12(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 51;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op12(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 51;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op12(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 51;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op12(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 52;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op12(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 54;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op12(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 56;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op12(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 54;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op12(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 13;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 14: /* op13 */
		assert(l);
		{	/* S0: op13(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 14;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 15: /* op14 */
		assert(l);
		{	/* S8: op14(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 32;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op14(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 32;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op14(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 32;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op14(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 33;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op14(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 35;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op14(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 36;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op14(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 35;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S1: op14(S1) */
			c = l->cost[burm_S1_NT] + 8;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 14;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op14(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 15;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 16: /* op15 */
		assert(l);
		{	/* S0: op15(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 16;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 17: /* op16 */
		assert(l);
		{	/* S0: op16(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 17;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 18: /* op17 */
		assert(l);
		{	/* S0: op17(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 18;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 19: /* op18 */
		assert(l);
		{	/* S0: op18(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 19;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 20: /* op19 */
		assert(l);
		{	/* S8: op19(S0) */
			c = l->cost[burm_S0_NT] + 72;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 3;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op19(S0) */
			c = l->cost[burm_S0_NT] + 64;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 3;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op19(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 3;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op19(S0) */
			c = l->cost[burm_S0_NT] + 56;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 3;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op19(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 3;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op19(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 3;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op19(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 3;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op19(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 20;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 21: /* op20 */
		assert(l);
		{	/* S0: op20(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 21;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 22: /* op21 */
		assert(l);
		{	/* S0: op21(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 22;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 23: /* op22 */
		assert(l);
		{	/* S0: op22(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 23;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 24: /* op23 */
		assert(l);
		{	/* S0: op23(S0) */
			c = l->cost[burm_S0_NT] + 56;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 24;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 25: /* op24 */
		assert(l);
		{	/* S0: op24(S0) */
			c = l->cost[burm_S0_NT] + 72;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 25;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 26: /* op25 */
		assert(l);
		{	/* S0: op25(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 26;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 27: /* op26 */
		assert(l);
		{	/* S0: op26(S0) */
			c = l->cost[burm_S0_NT] + 76;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 27;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 28: /* op27 */
		assert(l);
		{	/* S8: op27(S0) */
			c = l->cost[burm_S0_NT] + 116;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 59;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op27(S0) */
			c = l->cost[burm_S0_NT] + 104;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 59;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op27(S0) */
			c = l->cost[burm_S0_NT] + 100;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 59;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op27(S0) */
			c = l->cost[burm_S0_NT] + 100;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 60;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op27(S0) */
			c = l->cost[burm_S0_NT] + 92;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 63;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op27(S0) */
			c = l->cost[burm_S0_NT] + 88;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 66;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op27(S0) */
			c = l->cost[burm_S0_NT] + 76;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 62;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op27(S0) */
			c = l->cost[burm_S0_NT] + 96;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 28;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 29: /* op28 */
		assert(l);
		{	/* S0: op28(S0) */
			c = l->cost[burm_S0_NT] + 112;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 29;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 30: /* op29 */
		assert(l);
		{	/* S0: op29(S0) */
			c = l->cost[burm_S0_NT] + 84;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 30;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 31: /* op30 */
		assert(l);
		{	/* S0: op30(S0) */
			c = l->cost[burm_S0_NT] + 100;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 31;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 32: /* op31 */
		assert(l);
		{	/* S0: op31(S0) */
			c = l->cost[burm_S0_NT] + 104;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 32;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 33: /* op32 */
		assert(l);
		{	/* S0: op32(S0) */
			c = l->cost[burm_S0_NT] + 120;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 33;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 34: /* op33 */
		assert(l);
		{	/* S0: op33(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 34;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 35: /* op34 */
		assert(l);
		{	/* S8: op34(S0) */
			c = l->cost[burm_S0_NT] + 44;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 66;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op34(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 66;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op34(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 66;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op34(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 67;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op34(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 70;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op34(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 73;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op34(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 68;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op34(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 35;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 36: /* op35 */
		assert(l);
		{	/* S8: op35(S0) */
			c = l->cost[burm_S0_NT] + 64;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 62;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op35(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 62;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op35(S0) */
			c = l->cost[burm_S0_NT] + 56;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 62;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op35(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 63;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op35(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 66;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op35(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 69;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op35(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 65;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op35(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 36;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 37: /* op36 */
		assert(l);
		{	/* S8: op36(S0) */
			c = l->cost[burm_S0_NT] + 64;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 73;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op36(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 73;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op36(S0) */
			c = l->cost[burm_S0_NT] + 56;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 73;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op36(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 74;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op36(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 77;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op36(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 80;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op36(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 75;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op36(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 37;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 38: /* op37 */
		assert(l);
		{	/* S8: op37(S0) */
			c = l->cost[burm_S0_NT] + 64;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 41;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op37(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 41;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op37(S0) */
			c = l->cost[burm_S0_NT] + 56;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 41;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op37(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 42;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op37(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 44;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op37(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 46;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op37(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 44;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op37(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 38;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 39: /* op38 */
		assert(l);
		{	/* S8: op38(S0) */
			c = l->cost[burm_S0_NT] + 64;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 86;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op38(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 86;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op38(S0) */
			c = l->cost[burm_S0_NT] + 56;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 86;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op38(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 87;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op38(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 91;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op38(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 91;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op38(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 87;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op38(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 39;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 40: /* op39 */
		assert(l);
		{	/* S0: op39(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 40;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 41: /* op40 */
		assert(l);
		{	/* S8: op40(S8) */
			c = l->cost[burm_S8_NT] + 44;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 11;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op40(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 11;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op40(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 11;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op40(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 11;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op40(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 11;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op40(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 12;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op40(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 12;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op40(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 360;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op40(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 5;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op40(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 41;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 42: /* op41 */
		assert(l);
		{	/* S8: op41(S8) */
			c = l->cost[burm_S8_NT] + 44;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 80;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op41(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 80;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op41(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 80;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op41(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 81;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op41(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 84;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op41(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 86;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op41(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 81;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op41(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 378;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op41(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 26;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op41(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 42;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 43: /* op42 */
		assert(l);
		{	/* S8: op42(S8) */
			c = l->cost[burm_S8_NT] + 44;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 92;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op42(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 92;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op42(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 93;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op42(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 94;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op42(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 98;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op42(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 97;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op42(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 92;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op42(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 382;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op42(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 30;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op42(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 43;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 44: /* op43 */
		assert(l);
		{	/* S0: op43(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 44;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 45: /* op44 */
		assert(l);
		{	/* S0: op44(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 45;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 46: /* op45 */
		assert(l);
		{	/* S0: op45(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 46;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 47: /* op46 */
		assert(l);
		{	/* S0: op46(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 47;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 48: /* op47 */
		assert(l);
		{	/* S0: op47(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 48;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 49: /* op48 */
		assert(l);
		{	/* S0: op48(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 49;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 50: /* op49 */
		assert(l);
		{	/* S0: op49(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 50;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 51: /* op50 */
		assert(l);
		{	/* S0: op50(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 51;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 52: /* op51 */
		assert(l);
		{	/* S8: op51(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 36;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op51(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 36;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op51(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 36;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op51(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 37;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op51(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 39;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op51(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 41;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S0: op51(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 52;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 53: /* op52 */
		assert(l);
		{	/* S8: op52(S8) */
			c = l->cost[burm_S8_NT] + 48;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 1;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op52(S8) */
			c = l->cost[burm_S8_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 1;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op52(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 1;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op52(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 1;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op52(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 1;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op52(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 1;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op52(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 1;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op52(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 356;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op52(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 1;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op52(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 53;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 54: /* op53 */
		assert(l);
		{	/* S8: op53(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 10;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op53(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 10;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op53(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 10;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op53(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 10;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op53(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 10;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op53(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 11;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op53(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 11;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op53(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 54;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 55: /* op54 */
		assert(l);
		{	/* S8: op54(S8) */
			c = l->cost[burm_S8_NT] + 12;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 23;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op54(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 23;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op54(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 23;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op54(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 24;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op54(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 26;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op54(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 27;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op54(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 26;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op54(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 55;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 56: /* op55 */
		assert(l);
		{	/* S8: op55(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 88;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op55(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 88;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op55(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 89;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op55(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 90;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op55(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 94;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op55(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 93;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S0: op55(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 56;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 57: /* op56 */
		assert(l);
		{	/* S8: op56(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 31;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op56(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 31;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op56(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 31;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op56(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 32;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op56(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 34;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op56(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 35;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op56(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 34;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op56(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 57;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 58: /* op57 */
		assert(l);
		{	/* S8: op57(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 16;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op57(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 16;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op57(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 16;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op57(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 16;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op57(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 16;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op57(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 18;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op57(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 18;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op57(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 58;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 59: /* op58 */
		assert(l);
		{	/* S8: op58(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 60;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op58(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 60;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op58(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 60;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op58(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 61;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op58(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 64;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op58(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 67;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op58(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 63;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op58(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 59;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 60: /* op59 */
		assert(l);
		{	/* S8: op59(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 48;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op59(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 48;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op59(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 48;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op59(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 49;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op59(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 51;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op59(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 53;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op59(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 51;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op59(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 60;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 61: /* op60 */
		assert(l);
		{	/* S8: op60(S7) */
			c = l->cost[burm_S7_NT] + 24;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 63;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op60(S6) */
			c = l->cost[burm_S6_NT] + 24;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 63;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op60(S5) */
			c = l->cost[burm_S5_NT] + 24;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 63;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op60(S4) */
			c = l->cost[burm_S4_NT] + 24;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 64;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op60(S3) */
			c = l->cost[burm_S3_NT] + 24;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 67;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op60(S2) */
			c = l->cost[burm_S2_NT] + 24;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 70;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op60(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 66;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op60(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 61;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 62: /* op61 */
		assert(l);
		{	/* S8: op61(S7) */
			c = l->cost[burm_S7_NT] + 24;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 40;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op61(S6) */
			c = l->cost[burm_S6_NT] + 24;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 40;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op61(S5) */
			c = l->cost[burm_S5_NT] + 24;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 40;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op61(S4) */
			c = l->cost[burm_S4_NT] + 24;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 41;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op61(S3) */
			c = l->cost[burm_S3_NT] + 24;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 43;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op61(S2) */
			c = l->cost[burm_S2_NT] + 24;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 45;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op61(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 43;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op61(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 62;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 63: /* op62 */
		assert(l);
		{	/* S0: op62(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 63;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 64: /* op63 */
		assert(l);
		{	/* S8: op63(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 76;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op63(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 76;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op63(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 76;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op63(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 77;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op63(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 80;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op63(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 82;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op63(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 77;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op63(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 64;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 65: /* op64 */
		assert(l);
		{	/* S8: op64(S7) */
			c = l->cost[burm_S7_NT] + 40;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 96;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op64(S6) */
			c = l->cost[burm_S6_NT] + 40;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 96;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op64(S5) */
			c = l->cost[burm_S5_NT] + 40;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 97;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op64(S4) */
			c = l->cost[burm_S4_NT] + 40;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 98;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op64(S3) */
			c = l->cost[burm_S3_NT] + 40;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 102;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op64(S2) */
			c = l->cost[burm_S2_NT] + 40;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 101;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op64(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 96;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op64(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 65;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 66: /* op65 */
		assert(l);
		{	/* S0: op65(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 66;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 67: /* op66 */
		assert(l);
		{	/* S8: op66(S8) */
			c = l->cost[burm_S8_NT] + 48;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 26;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op66(S7) */
			c = l->cost[burm_S7_NT] + 48;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 26;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op66(S6) */
			c = l->cost[burm_S6_NT] + 48;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 26;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op66(S5) */
			c = l->cost[burm_S5_NT] + 48;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 27;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op66(S4) */
			c = l->cost[burm_S4_NT] + 48;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 29;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op66(S3) */
			c = l->cost[burm_S3_NT] + 48;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 30;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op66(S2) */
			c = l->cost[burm_S2_NT] + 48;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 29;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op66(S0) */
			c = l->cost[burm_S0_NT] + 56;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 67;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 68: /* op67 */
		assert(l);
		{	/* S0: op67(S0) */
			c = l->cost[burm_S0_NT] + 44;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 68;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 69: /* op68 */
		assert(l);
		{	/* S0: op68(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 69;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 70: /* op69 */
		assert(l);
		{	/* S8: op69(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 64;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op69(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 64;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op69(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 64;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op69(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 65;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op69(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 68;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op69(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 71;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op69(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 67;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op69(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 70;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 71: /* op70 */
		assert(l);
		{	/* S8: op70(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 97;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op70(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 97;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op70(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 98;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op70(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 99;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op70(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 103;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op70(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 102;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op70(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 97;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op70(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 71;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 72: /* op71 */
		assert(l);
		{	/* S0: op71(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 72;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 73: /* op72 */
		assert(l);
		{	/* S0: op72(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 73;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 74: /* op73 */
		assert(l);
		{	/* S0: op73(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 74;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 75: /* op74 */
		assert(l);
		{	/* S8: op74(S8) */
			c = l->cost[burm_S8_NT] + 20;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 74;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op74(S7) */
			c = l->cost[burm_S7_NT] + 20;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 74;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op74(S6) */
			c = l->cost[burm_S6_NT] + 20;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 74;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op74(S5) */
			c = l->cost[burm_S5_NT] + 20;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 75;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op74(S4) */
			c = l->cost[burm_S4_NT] + 20;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 78;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op74(S3) */
			c = l->cost[burm_S3_NT] + 20;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 81;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op74(S2) */
			c = l->cost[burm_S2_NT] + 20;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 76;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op74(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 75;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 76: /* op75 */
		assert(l);
		{	/* S0: op75(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 76;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 77: /* op76 */
		assert(l);
		{	/* S0: op76(S0) */
			c = l->cost[burm_S0_NT] + 64;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 77;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 78: /* op77 */
		assert(l);
		{	/* S8: op77(S6) */
			c = l->cost[burm_S6_NT] + 52;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 75;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op77(S5) */
			c = l->cost[burm_S5_NT] + 52;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 75;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op77(S4) */
			c = l->cost[burm_S4_NT] + 52;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 75;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op77(S3) */
			c = l->cost[burm_S3_NT] + 52;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 76;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op77(S2) */
			c = l->cost[burm_S2_NT] + 52;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 79;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S0: op77(S0) */
			c = l->cost[burm_S0_NT] + 88;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 78;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 79: /* op78 */
		assert(l);
		{	/* S0: op78(S0) */
			c = l->cost[burm_S0_NT] + 88;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 79;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 80: /* op79 */
		assert(l);
		{	/* S8: op79(S8) */
			c = l->cost[burm_S8_NT] + 36;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 89;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op79(S7) */
			c = l->cost[burm_S7_NT] + 36;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 89;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op79(S6) */
			c = l->cost[burm_S6_NT] + 36;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 90;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op79(S5) */
			c = l->cost[burm_S5_NT] + 36;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 91;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op79(S4) */
			c = l->cost[burm_S4_NT] + 36;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 95;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op79(S3) */
			c = l->cost[burm_S3_NT] + 36;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 94;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op79(S2) */
			c = l->cost[burm_S2_NT] + 36;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 89;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op79(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 80;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 81: /* op80 */
		assert(l);
		{	/* S0: op80(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 81;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 82: /* op81 */
		assert(l);
		{	/* S0: op81(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 82;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 83: /* op82 */
		assert(l);
		{	/* S8: op82(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 13;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op82(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 13;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op82(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 13;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op82(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 13;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op82(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 13;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op82(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 14;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op82(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 14;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op82(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 83;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 84: /* op83 */
		assert(l);
		{	/* S8: op83(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 57;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op83(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 57;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op83(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 57;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op83(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 58;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op83(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 61;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op83(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 64;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op83(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 60;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op83(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 84;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 85: /* op84 */
		assert(l);
		{	/* S8: op84(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 52;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op84(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 52;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op84(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 52;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op84(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 53;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op84(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 55;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op84(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 57;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op84(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 55;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op84(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 85;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 86: /* op85 */
		assert(l);
		{	/* S8: op85(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 85;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op85(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 85;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op85(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 85;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op85(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 86;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op85(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 90;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op85(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 90;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op85(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 86;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op85(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 86;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 87: /* op86 */
		assert(l);
		{	/* S0: op86(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 87;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 88: /* op87 */
		assert(l);
		{	/* S8: op87(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 25;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op87(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 25;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op87(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 25;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op87(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 26;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op87(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 28;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op87(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 29;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op87(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 28;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op87(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 88;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 89: /* op88 */
		assert(l);
		{	/* S8: op88(S8) */
			c = l->cost[burm_S8_NT] + 12;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 8;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op88(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 8;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op88(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 8;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op88(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 8;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op88(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 8;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op88(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 9;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op88(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 9;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op88(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 89;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 90: /* op89 */
		assert(l);
		{	/* S8: op89(S8) */
			c = l->cost[burm_S8_NT] + 16;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 77;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op89(S7) */
			c = l->cost[burm_S7_NT] + 16;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 77;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op89(S6) */
			c = l->cost[burm_S6_NT] + 16;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 77;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op89(S5) */
			c = l->cost[burm_S5_NT] + 16;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 78;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op89(S4) */
			c = l->cost[burm_S4_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 81;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op89(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 83;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op89(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 78;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op89(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 90;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 91: /* op90 */
		assert(l);
		{	/* S8: op90(S8) */
			c = l->cost[burm_S8_NT] + 12;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 69;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op90(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 69;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op90(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 69;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op90(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 70;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op90(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 73;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op90(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 76;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op90(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 71;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op90(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 91;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 92: /* op91 */
		assert(l);
		{	/* S8: op91(S8) */
			c = l->cost[burm_S8_NT] + 20;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 91;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op91(S7) */
			c = l->cost[burm_S7_NT] + 20;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 91;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op91(S6) */
			c = l->cost[burm_S6_NT] + 20;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 92;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op91(S5) */
			c = l->cost[burm_S5_NT] + 20;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 93;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op91(S4) */
			c = l->cost[burm_S4_NT] + 20;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 97;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op91(S3) */
			c = l->cost[burm_S3_NT] + 20;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 96;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op91(S2) */
			c = l->cost[burm_S2_NT] + 20;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 91;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op91(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 92;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 93: /* op92 */
		assert(l);
		{	/* S0: op92(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 93;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 94: /* op93 */
		assert(l);
		{	/* S0: op93(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 94;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 95: /* op94 */
		assert(l);
		{	/* S8: op94(S7) */
			c = l->cost[burm_S7_NT] + 16;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 7;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op94(S6) */
			c = l->cost[burm_S6_NT] + 16;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 7;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op94(S5) */
			c = l->cost[burm_S5_NT] + 16;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 7;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op94(S4) */
			c = l->cost[burm_S4_NT] + 16;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 7;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op94(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 7;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op94(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 8;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op94(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 8;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op94(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 95;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 96: /* op95 */
		assert(l);
		{	/* S8: op95(S7) */
			c = l->cost[burm_S7_NT] + 20;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 21;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op95(S6) */
			c = l->cost[burm_S6_NT] + 20;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 21;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op95(S5) */
			c = l->cost[burm_S5_NT] + 20;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 21;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op95(S4) */
			c = l->cost[burm_S4_NT] + 20;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 22;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op95(S3) */
			c = l->cost[burm_S3_NT] + 20;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 24;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op95(S2) */
			c = l->cost[burm_S2_NT] + 20;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 25;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op95(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 24;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op95(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 96;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 97: /* op96 */
		assert(l);
		{	/* S8: op96(S7) */
			c = l->cost[burm_S7_NT] + 20;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 70;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op96(S6) */
			c = l->cost[burm_S6_NT] + 20;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 70;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op96(S5) */
			c = l->cost[burm_S5_NT] + 20;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 70;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op96(S4) */
			c = l->cost[burm_S4_NT] + 20;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 71;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op96(S3) */
			c = l->cost[burm_S3_NT] + 20;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 74;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op96(S2) */
			c = l->cost[burm_S2_NT] + 20;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 77;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op96(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 72;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op96(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 97;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 98: /* op97 */
		assert(l);
		{	/* S8: op97(S7) */
			c = l->cost[burm_S7_NT] + 20;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 81;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op97(S6) */
			c = l->cost[burm_S6_NT] + 20;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 81;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op97(S5) */
			c = l->cost[burm_S5_NT] + 20;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 81;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op97(S4) */
			c = l->cost[burm_S4_NT] + 20;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 82;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op97(S3) */
			c = l->cost[burm_S3_NT] + 20;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 85;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op97(S2) */
			c = l->cost[burm_S2_NT] + 20;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 87;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op97(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 82;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op97(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 98;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 99: /* op98 */
		assert(l);
		{	/* S8: op98(S7) */
			c = l->cost[burm_S7_NT] + 24;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 84;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op98(S6) */
			c = l->cost[burm_S6_NT] + 24;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 84;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op98(S5) */
			c = l->cost[burm_S5_NT] + 24;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 84;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op98(S4) */
			c = l->cost[burm_S4_NT] + 24;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 85;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op98(S3) */
			c = l->cost[burm_S3_NT] + 24;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 89;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op98(S2) */
			c = l->cost[burm_S2_NT] + 24;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 89;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op98(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 85;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op98(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 99;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 100: /* op99 */
		assert(l);
		{	/* S8: op99(S7) */
			c = l->cost[burm_S7_NT] + 24;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 34;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op99(S6) */
			c = l->cost[burm_S6_NT] + 24;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 34;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op99(S5) */
			c = l->cost[burm_S5_NT] + 24;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 34;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op99(S4) */
			c = l->cost[burm_S4_NT] + 24;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 35;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op99(S3) */
			c = l->cost[burm_S3_NT] + 24;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 37;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op99(S2) */
			c = l->cost[burm_S2_NT] + 24;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 38;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op99(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 37;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op99(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 100;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 101: /* op100 */
		assert(l);
		{	/* S0: op100(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 101;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 102: /* op101 */
		assert(l);
		{	/* S8: op101(S7) */
			c = l->cost[burm_S7_NT] + 20;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 90;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op101(S6) */
			c = l->cost[burm_S6_NT] + 20;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 90;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op101(S5) */
			c = l->cost[burm_S5_NT] + 20;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 91;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op101(S4) */
			c = l->cost[burm_S4_NT] + 20;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 92;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op101(S3) */
			c = l->cost[burm_S3_NT] + 20;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 96;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op101(S2) */
			c = l->cost[burm_S2_NT] + 20;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 95;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op101(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 90;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op101(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 102;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 103: /* op102 */
		assert(l);
		{	/* S8: op102(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 67;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op102(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 67;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op102(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 67;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op102(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 68;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op102(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 71;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op102(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 74;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op102(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 69;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op102(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 103;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 104: /* op103 */
		assert(l);
		{	/* S8: op103(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 54;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op103(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 54;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op103(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 54;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op103(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 55;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op103(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 57;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op103(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 59;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op103(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 57;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op103(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 104;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 105: /* op104 */
		assert(l);
		{	/* S8: op104(S7) */
			c = l->cost[burm_S7_NT] + 16;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 79;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op104(S6) */
			c = l->cost[burm_S6_NT] + 16;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 79;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op104(S5) */
			c = l->cost[burm_S5_NT] + 16;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 79;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op104(S4) */
			c = l->cost[burm_S4_NT] + 16;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 80;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op104(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 83;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op104(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 85;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op104(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 80;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op104(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 105;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 106: /* op105 */
		assert(l);
		{	/* S8: op105(S7) */
			c = l->cost[burm_S7_NT] + 16;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 72;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op105(S6) */
			c = l->cost[burm_S6_NT] + 16;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 72;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op105(S5) */
			c = l->cost[burm_S5_NT] + 16;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 72;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op105(S4) */
			c = l->cost[burm_S4_NT] + 16;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 73;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op105(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 76;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op105(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 79;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op105(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 74;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op105(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 106;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 107: /* op106 */
		assert(l);
		{	/* S0: op106(S0) */
			c = l->cost[burm_S0_NT] + 88;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 107;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 108: /* op107 */
		assert(l);
		{	/* S0: op107(S0) */
			c = l->cost[burm_S0_NT] + 88;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 108;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 109: /* op108 */
		assert(l);
		{	/* S0: op108(S0) */
			c = l->cost[burm_S0_NT] + 80;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 109;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 110: /* op109 */
		assert(l);
		{	/* S0: op109(S0) */
			c = l->cost[burm_S0_NT] + 92;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 110;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 111: /* op110 */
		assert(l);
		{	/* S0: op110(S0) */
			c = l->cost[burm_S0_NT] + 80;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 111;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 112: /* op111 */
		assert(l);
		{	/* S0: op111(S0) */
			c = l->cost[burm_S0_NT] + 92;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 112;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 113: /* op112 */
		assert(l);
		{	/* S0: op112(S0) */
			c = l->cost[burm_S0_NT] + 44;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 113;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 114: /* op113 */
		assert(l);
		{	/* S0: op113(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 114;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 115: /* op114 */
		assert(l);
		{	/* S0: op114(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 115;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 116: /* op115 */
		assert(l);
		{	/* S0: op115(S0) */
			c = l->cost[burm_S0_NT] + 56;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 116;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 117: /* op116 */
		assert(l);
		{	/* S0: op116(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 117;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 118: /* op117 */
		assert(l);
		{	/* S0: op117(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 118;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 119: /* op118 */
		assert(l);
		{	/* S0: op118(S0) */
			c = l->cost[burm_S0_NT] + 88;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 119;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 120: /* op119 */
		assert(l);
		{	/* S0: op119(S0) */
			c = l->cost[burm_S0_NT] + 76;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 120;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 121: /* op120 */
		assert(l);
		{	/* S0: op120(S0) */
			c = l->cost[burm_S0_NT] + 96;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 121;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 122: /* op121 */
		assert(l);
		{	/* S0: op121(S0) */
			c = l->cost[burm_S0_NT] + 84;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 122;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 123: /* op122 */
		assert(l);
		{	/* S0: op122(S0) */
			c = l->cost[burm_S0_NT] + 84;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 123;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 124: /* op123 */
		assert(l);
		{	/* S0: op123(S0) */
			c = l->cost[burm_S0_NT] + 84;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 124;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 125: /* op124 */
		assert(l);
		{	/* S8: op124(S6) */
			c = l->cost[burm_S6_NT] + 20;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 47;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op124(S5) */
			c = l->cost[burm_S5_NT] + 20;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 47;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op124(S4) */
			c = l->cost[burm_S4_NT] + 20;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 47;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op124(S3) */
			c = l->cost[burm_S3_NT] + 20;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 48;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op124(S2) */
			c = l->cost[burm_S2_NT] + 20;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 50;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op124(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 52;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S0: op124(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 125;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 126: /* op125 */
		assert(l);
		{	/* S8: op125(S8) */
			c = l->cost[burm_S8_NT] + 48;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 14;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op125(S8) */
			c = l->cost[burm_S8_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 14;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op125(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 14;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op125(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 14;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op125(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 14;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op125(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 15;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op125(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 15;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op125(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 361;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op125(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 6;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op125(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 126;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 127: /* op126 */
		assert(l);
		{	/* S0: op126(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 127;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 128: /* op127 */
		assert(l);
		{	/* S0: op127(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 128;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 129: /* op128 */
		assert(l);
		{	/* S0: op128(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 129;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 130: /* op129 */
		assert(l);
		{	/* S0: op129(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 130;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 131: /* op130 */
		assert(l);
		{	/* S0: op130(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 131;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 132: /* op131 */
		assert(l);
		{	/* S0: op131(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 132;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 133: /* op132 */
		assert(l);
		{	/* S0: op132(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 133;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 134: /* op133 */
		assert(l);
		{	/* S8: op133(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 27;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op133(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 27;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op133(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 27;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op133(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 28;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op133(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 30;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op133(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 31;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op133(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 30;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op133(S1) */
			c = l->cost[burm_S1_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 366;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S0: op133(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 134;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 135: /* op134 */
		assert(l);
		{	/* S8: op134(S8) */
			c = l->cost[burm_S8_NT] + 52;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 28;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op134(S8) */
			c = l->cost[burm_S8_NT] + 16;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 28;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op134(S7) */
			c = l->cost[burm_S7_NT] + 16;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 28;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op134(S6) */
			c = l->cost[burm_S6_NT] + 16;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 29;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op134(S5) */
			c = l->cost[burm_S5_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 31;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op134(S4) */
			c = l->cost[burm_S4_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 32;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op134(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 31;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op134(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 367;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op134(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 12;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op134(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 135;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 136: /* op135 */
		assert(l);
		{	/* S8: op135(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 61;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op135(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 61;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op135(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 61;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op135(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 62;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op135(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 65;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op135(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 68;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op135(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 64;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S1: op135(S1) */
			c = l->cost[burm_S1_NT] + 8;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 24;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op135(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 136;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 137: /* op136 */
		assert(l);
		{	/* S8: op136(S6) */
			c = l->cost[burm_S6_NT] + 36;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 42;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op136(S5) */
			c = l->cost[burm_S5_NT] + 36;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 42;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op136(S4) */
			c = l->cost[burm_S4_NT] + 36;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 42;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op136(S3) */
			c = l->cost[burm_S3_NT] + 36;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 43;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op136(S2) */
			c = l->cost[burm_S2_NT] + 36;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 45;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op136(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 47;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op136(S1) */
			c = l->cost[burm_S1_NT] + 36;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 45;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op136(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 137;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 138: /* op137 */
		assert(l);
		{	/* S8: op137(S8) */
			c = l->cost[burm_S8_NT] + 76;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 43;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op137(S8) */
			c = l->cost[burm_S8_NT] + 64;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 43;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op137(S8) */
			c = l->cost[burm_S8_NT] + 32;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 43;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op137(S7) */
			c = l->cost[burm_S7_NT] + 32;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 44;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op137(S6) */
			c = l->cost[burm_S6_NT] + 32;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 46;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op137(S5) */
			c = l->cost[burm_S5_NT] + 32;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 48;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op137(S4) */
			c = l->cost[burm_S4_NT] + 32;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 46;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op137(S3) */
			c = l->cost[burm_S3_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 369;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op137(S2) */
			c = l->cost[burm_S2_NT] + 32;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 17;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op137(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 138;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 139: /* op138 */
		assert(l);
		{	/* S8: op138(S8) */
			c = l->cost[burm_S8_NT] + 100;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 44;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op138(S8) */
			c = l->cost[burm_S8_NT] + 84;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 44;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op138(S8) */
			c = l->cost[burm_S8_NT] + 52;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 44;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op138(S7) */
			c = l->cost[burm_S7_NT] + 52;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 45;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op138(S6) */
			c = l->cost[burm_S6_NT] + 52;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 47;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op138(S5) */
			c = l->cost[burm_S5_NT] + 52;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 49;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op138(S4) */
			c = l->cost[burm_S4_NT] + 52;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 47;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op138(S3) */
			c = l->cost[burm_S3_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 370;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op138(S2) */
			c = l->cost[burm_S2_NT] + 52;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 18;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op138(S0) */
			c = l->cost[burm_S0_NT] + 80;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 139;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 140: /* op139 */
		assert(l);
		{	/* S8: op139(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 94;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op139(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 94;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op139(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 95;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op139(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 96;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op139(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 100;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op139(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 99;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op139(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 94;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S1: op139(S1) */
			c = l->cost[burm_S1_NT] + 8;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 31;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op139(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 140;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 141: /* op140 */
		assert(l);
		{	/* S3: op140(S2) */
			c = l->cost[burm_S2_NT] + 20;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 17;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op140(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 17;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op140(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 362;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op140(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 7;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S8: op140(S8) */
			c = l->cost[burm_S8_NT] + 44;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 15;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op140(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 15;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op140(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 15;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op140(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 15;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op140(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 15;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op140(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 16;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op140(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 16;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op140(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 141;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 142: /* op141 */
		assert(l);
		{	/* S1: op141(S1) */
			c = l->cost[burm_S1_NT] + 8;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 11;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S8: op141(S7) */
			c = l->cost[burm_S7_NT] + 4;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 24;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op141(S6) */
			c = l->cost[burm_S6_NT] + 4;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 24;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op141(S5) */
			c = l->cost[burm_S5_NT] + 4;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 24;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op141(S4) */
			c = l->cost[burm_S4_NT] + 4;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 25;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op141(S3) */
			c = l->cost[burm_S3_NT] + 4;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 27;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op141(S2) */
			c = l->cost[burm_S2_NT] + 4;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 28;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op141(S0) */
			c = l->cost[burm_S0_NT] + 4;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 27;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op141(S1) */
			c = l->cost[burm_S1_NT] + 4;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 365;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S0: op141(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 142;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 143: /* op142 */
		assert(l);
		{	/* S3: op142(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 6;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op142(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 6;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op142(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 358;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op142(S2) */
			c = l->cost[burm_S2_NT] + 24;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 3;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S8: op142(S8) */
			c = l->cost[burm_S8_NT] + 16;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 5;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op142(S7) */
			c = l->cost[burm_S7_NT] + 16;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 5;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op142(S6) */
			c = l->cost[burm_S6_NT] + 16;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 5;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op142(S5) */
			c = l->cost[burm_S5_NT] + 16;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 5;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op142(S4) */
			c = l->cost[burm_S4_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 5;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op142(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 5;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op142(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 5;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op142(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 143;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 144: /* op143 */
		assert(l);
		{	/* S1: op143(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 4;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S8: op143(S8) */
			c = l->cost[burm_S8_NT] + 40;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 9;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op143(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 9;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op143(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 9;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op143(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 9;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op143(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 9;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op143(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 10;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op143(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 10;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op143(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 359;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S0: op143(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 144;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 145: /* op144 */
		assert(l);
		{	/* S5: op144(S3) */
			c = l->cost[burm_S3_NT] + 24;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 19;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op144(S2) */
			c = l->cost[burm_S2_NT] + 20;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 19;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S1: op144(S3) */
			c = l->cost[burm_S3_NT] + 32;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 8;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op144(S3) */
			c = l->cost[burm_S3_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 363;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S2: op144(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 20;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S3: op144(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 21;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S8: op144(S8) */
			c = l->cost[burm_S8_NT] + 20;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 18;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op144(S7) */
			c = l->cost[burm_S7_NT] + 20;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 18;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op144(S6) */
			c = l->cost[burm_S6_NT] + 20;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 18;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op144(S5) */
			c = l->cost[burm_S5_NT] + 20;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 18;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op144(S4) */
			c = l->cost[burm_S4_NT] + 20;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 18;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op144(S3) */
			c = l->cost[burm_S3_NT] + 20;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 20;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S0: op144(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 145;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 146: /* op145 */
		assert(l);
		{	/* S3: op145(S5) */
			c = l->cost[burm_S5_NT] + 32;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 62;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op145(S4) */
			c = l->cost[burm_S4_NT] + 24;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 58;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S4: op145(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 59;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S0: op145(S3) */
			c = l->cost[burm_S3_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 373;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S3: op145(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 61;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S8: op145(S8) */
			c = l->cost[burm_S8_NT] + 24;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 55;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op145(S7) */
			c = l->cost[burm_S7_NT] + 24;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 55;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op145(S6) */
			c = l->cost[burm_S6_NT] + 24;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 55;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op145(S5) */
			c = l->cost[burm_S5_NT] + 24;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 56;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op145(S4) */
			c = l->cost[burm_S4_NT] + 24;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 58;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op145(S3) */
			c = l->cost[burm_S3_NT] + 24;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 60;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S0: op145(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 146;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 147: /* op146 */
		assert(l);
		{	/* S2: op146(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 50;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S1: op146(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 19;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S8: op146(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 46;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op146(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 46;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op146(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 46;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op146(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 47;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op146(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 49;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op146(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 51;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op146(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 49;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op146(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 147;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 148: /* op147 */
		assert(l);
		{	/* S3: op147(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 40;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op147(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 39;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S8: op147(S8) */
			c = l->cost[burm_S8_NT] + 36;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 35;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op147(S8) */
			c = l->cost[burm_S8_NT] + 20;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 35;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op147(S7) */
			c = l->cost[burm_S7_NT] + 20;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 35;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op147(S6) */
			c = l->cost[burm_S6_NT] + 20;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 36;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op147(S5) */
			c = l->cost[burm_S5_NT] + 20;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 38;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op147(S4) */
			c = l->cost[burm_S4_NT] + 20;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 39;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op147(S3) */
			c = l->cost[burm_S3_NT] + 20;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 38;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op147(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 148;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 149: /* op148 */
		assert(l);
		{	/* S8: op148(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 38;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op148(S0) */
			c = l->cost[burm_S0_NT] + 56;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 38;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op148(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 38;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op148(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 39;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op148(S0) */
			c = l->cost[burm_S0_NT] + 44;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 41;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op148(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 43;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op148(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 41;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op148(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 149;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 150: /* op149 */
		assert(l);
		{	/* S0: op149(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 150;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 151: /* op150 */
		assert(l);
		{	/* S0: op150(S1) */
			c = l->cost[burm_S1_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 374;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op150(S1) */
			c = l->cost[burm_S1_NT] + 8;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 22;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S8: op150(S6) */
			c = l->cost[burm_S6_NT] + 4;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 56;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op150(S5) */
			c = l->cost[burm_S5_NT] + 4;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 56;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op150(S4) */
			c = l->cost[burm_S4_NT] + 4;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 56;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op150(S3) */
			c = l->cost[burm_S3_NT] + 4;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 57;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op150(S2) */
			c = l->cost[burm_S2_NT] + 4;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 60;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op150(S0) */
			c = l->cost[burm_S0_NT] + 4;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 63;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op150(S1) */
			c = l->cost[burm_S1_NT] + 4;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 59;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op150(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 151;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 152: /* op151 */
		assert(l);
		{	/* S4: op151(S2) */
			c = l->cost[burm_S2_NT] + 32;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 23;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S4: op151(S4) */
			c = l->cost[burm_S4_NT] + 24;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 22;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op151(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 24;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op151(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 23;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op151(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 364;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op151(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 10;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S1: op151(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 9;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S8: op151(S8) */
			c = l->cost[burm_S8_NT] + 40;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 20;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op151(S8) */
			c = l->cost[burm_S8_NT] + 44;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 20;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op151(S8) */
			c = l->cost[burm_S8_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 20;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op151(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 21;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op151(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 21;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op151(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 23;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op151(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 22;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op151(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 152;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 153: /* op152 */
		assert(l);
		{	/* S6: op152(S4) */
			c = l->cost[burm_S4_NT] + 32;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 88;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op152(S3) */
			c = l->cost[burm_S3_NT] + 28;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 89;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op152(S2) */
			c = l->cost[burm_S2_NT] + 24;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 93;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op152(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 92;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op152(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 88;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op152(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 381;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op152(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 29;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S8: op152(S8) */
			c = l->cost[burm_S8_NT] + 48;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 87;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op152(S8) */
			c = l->cost[burm_S8_NT] + 44;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 87;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op152(S8) */
			c = l->cost[burm_S8_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 87;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op152(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 88;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op152(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 92;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S0: op152(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 153;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 154: /* op153 */
		assert(l);
		{	/* S4: op153(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 87;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S2: op153(S4) */
			c = l->cost[burm_S4_NT] + 24;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 83;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op153(S3) */
			c = l->cost[burm_S3_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 379;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op153(S3) */
			c = l->cost[burm_S3_NT] + 44;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 27;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S8: op153(S8) */
			c = l->cost[burm_S8_NT] + 28;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 82;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op153(S7) */
			c = l->cost[burm_S7_NT] + 28;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 82;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op153(S6) */
			c = l->cost[burm_S6_NT] + 28;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 82;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op153(S5) */
			c = l->cost[burm_S5_NT] + 28;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 83;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op153(S4) */
			c = l->cost[burm_S4_NT] + 28;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 86;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S0: op153(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 154;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 155: /* op154 */
		assert(l);
		{	/* S0: op154(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 155;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 156: /* op155 */
		assert(l);
		{	/* S0: op155(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 156;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 157: /* op156 */
		assert(l);
		{	/* S0: op156(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 157;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 158: /* op157 */
		assert(l);
		{	/* S8: op157(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 2;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op157(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 2;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op157(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 2;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op157(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 2;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op157(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 2;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op157(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 2;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op157(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 2;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op157(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 158;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 159: /* op158 */
		assert(l);
		{	/* S8: op158(S8) */
			c = l->cost[burm_S8_NT] + 48;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 4;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op158(S8) */
			c = l->cost[burm_S8_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 4;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op158(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 4;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op158(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 4;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op158(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 4;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op158(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 4;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op158(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 4;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op158(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 357;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op158(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 2;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op158(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 159;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 160: /* op159 */
		assert(l);
		{	/* S8: op159(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 19;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op159(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 19;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op159(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 19;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op159(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 20;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op159(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 20;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op159(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 22;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op159(S1) */
			c = l->cost[burm_S1_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 21;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op159(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 160;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 161: /* op160 */
		assert(l);
		{	/* S8: op160(S6) */
			c = l->cost[burm_S6_NT] + 16;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 12;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op160(S5) */
			c = l->cost[burm_S5_NT] + 16;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 12;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op160(S4) */
			c = l->cost[burm_S4_NT] + 16;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 12;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op160(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 12;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op160(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 12;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op160(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 13;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op160(S1) */
			c = l->cost[burm_S1_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 13;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op160(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 161;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 162: /* op161 */
		assert(l);
		{	/* S8: op161(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 6;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op161(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 6;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op161(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 6;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op161(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 6;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op161(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 6;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op161(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 7;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op161(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 7;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op161(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 162;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 163: /* op162 */
		assert(l);
		{	/* S8: op162(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 22;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op162(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 22;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op162(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 22;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op162(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 23;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op162(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 25;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op162(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 26;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op162(S1) */
			c = l->cost[burm_S1_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 25;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op162(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 163;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 164: /* op163 */
		assert(l);
		{	/* S8: op163(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 65;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op163(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 65;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op163(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 65;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op163(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 66;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op163(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 69;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op163(S1) */
			c = l->cost[burm_S1_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 72;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S0: op163(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 164;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 165: /* op164 */
		assert(l);
		{	/* S8: op164(S8) */
			c = l->cost[burm_S8_NT] + 44;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 45;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op164(S8) */
			c = l->cost[burm_S8_NT] + 16;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 45;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op164(S7) */
			c = l->cost[burm_S7_NT] + 16;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 45;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op164(S6) */
			c = l->cost[burm_S6_NT] + 16;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 46;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op164(S5) */
			c = l->cost[burm_S5_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 48;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op164(S4) */
			c = l->cost[burm_S4_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 50;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op164(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 48;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op164(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 371;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S0: op164(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 165;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 166: /* op165 */
		assert(l);
		{	/* S8: op165(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 29;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op165(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 29;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op165(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 29;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op165(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 30;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op165(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 32;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op165(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 33;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op165(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 32;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op165(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 166;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 167: /* op166 */
		assert(l);
		{	/* S8: op166(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 17;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op166(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 17;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op166(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 17;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op166(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 17;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op166(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 17;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op166(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 19;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op166(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 19;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op166(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 167;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 168: /* op167 */
		assert(l);
		{	/* S8: op167(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 37;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op167(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 37;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op167(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 37;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op167(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 38;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op167(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 40;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op167(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 42;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op167(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 40;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op167(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 168;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 169: /* op168 */
		assert(l);
		{	/* S0: op168(S0) */
			c = l->cost[burm_S0_NT] + 4;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 169;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 170: /* op169 */
		assert(l);
		{	/* S8: op169(S8) */
			c = l->cost[burm_S8_NT] + 44;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 68;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op169(S8) */
			c = l->cost[burm_S8_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 68;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op169(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 68;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op169(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 69;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op169(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 72;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op169(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 75;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op169(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 70;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op169(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 376;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S0: op169(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 170;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 171: /* op170 */
		assert(l);
		{	/* S0: op170(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 171;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 172: /* op171 */
		assert(l);
		{	/* S0: op171(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 172;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 173: /* op172 */
		assert(l);
		{	/* S0: op172(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 173;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 174: /* op173 */
		assert(l);
		{	/* S0: op173(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 174;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 175: /* op174 */
		assert(l);
		{	/* S0: op174(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 175;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 176: /* op175 */
		assert(l);
		{	/* S8: op175(S8) */
			c = l->cost[burm_S8_NT] + 12;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 78;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op175(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 78;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op175(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 78;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op175(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 79;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op175(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 82;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op175(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 84;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op175(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 79;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op175(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 176;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 177: /* op176 */
		assert(l);
		{	/* S0: op176(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 177;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 178: /* op177 */
		assert(l);
		{	/* S0: op177(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 178;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 179: /* op178 */
		assert(l);
		{	/* S0: op178(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 179;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 180: /* op179 */
		assert(l);
		{	/* S0: op179(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 180;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 181: /* op180 */
		assert(l);
		{	/* S0: op180(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 181;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 182: /* op181 */
		assert(l);
		{	/* S0: op181(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 182;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 183: /* op182 */
		assert(l);
		{	/* S0: op182(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 183;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 184: /* op183 */
		assert(l);
		{	/* S0: op183(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 184;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 185: /* op184 */
		assert(l);
		{	/* S0: op184(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 185;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 186: /* op185 */
		assert(l);
		{	/* S0: op185(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 186;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 187: /* op186 */
		assert(l);
		{	/* S0: op186(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 187;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 188: /* op187 */
		assert(l);
		{	/* S0: op187(S0) */
			c = l->cost[burm_S0_NT] + 84;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 188;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 189: /* op188 */
		assert(l);
		{	/* S0: op188(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 189;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 190: /* op189 */
		assert(l);
		{	/* S0: op189(S0) */
			c = l->cost[burm_S0_NT] + 84;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 190;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 191: /* op190 */
		assert(l);
		{	/* S0: op190(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 191;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 192: /* op191 */
		assert(l);
		{	/* S0: op191(S0) */
			c = l->cost[burm_S0_NT] + 84;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 192;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 193: /* op192 */
		assert(l);
		{	/* S0: op192(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 193;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 194: /* op193 */
		assert(l);
		{	/* S0: op193(S0) */
			c = l->cost[burm_S0_NT] + 68;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 194;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 195: /* op194 */
		assert(l);
		{	/* S0: op194(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 195;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 196: /* op195 */
		assert(l);
		{	/* S0: op195(S0) */
			c = l->cost[burm_S0_NT] + 80;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 196;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 197: /* op196 */
		assert(l);
		{	/* S0: op196(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 197;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 198: /* op197 */
		assert(l);
		{	/* S0: op197(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 198;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 199: /* op198 */
		assert(l);
		{	/* S0: op198(S0) */
			c = l->cost[burm_S0_NT] + 64;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 199;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 200: /* op199 */
		assert(l);
		{	/* S0: op199(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 200;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 201: /* op200 */
		assert(l);
		{	/* S0: op200(S0) */
			c = l->cost[burm_S0_NT] + 64;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 201;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 202: /* op201 */
		assert(l);
		{	/* S0: op201(S0) */
			c = l->cost[burm_S0_NT] + 64;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 202;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 203: /* op202 */
		assert(l);
		{	/* S0: op202(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 203;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 204: /* op203 */
		assert(l);
		{	/* S0: op203(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 204;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 205: /* op204 */
		assert(l);
		{	/* S0: op204(S0) */
			c = l->cost[burm_S0_NT] + 72;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 205;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 206: /* op205 */
		assert(l);
		{	/* S0: op205(S0) */
			c = l->cost[burm_S0_NT] + 88;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 206;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 207: /* op206 */
		assert(l);
		{	/* S0: op206(S0) */
			c = l->cost[burm_S0_NT] + 68;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 207;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 208: /* op207 */
		assert(l);
		{	/* S0: op207(S0) */
			c = l->cost[burm_S0_NT] + 88;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 208;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 209: /* op208 */
		assert(l);
		{	/* S0: op208(S0) */
			c = l->cost[burm_S0_NT] + 92;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 209;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 210: /* op209 */
		assert(l);
		{	/* S0: op209(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 210;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 211: /* op210 */
		assert(l);
		{	/* S0: op210(S0) */
			c = l->cost[burm_S0_NT] + 84;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 211;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 212: /* op211 */
		assert(l);
		{	/* S0: op211(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 212;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 213: /* op212 */
		assert(l);
		{	/* S0: op212(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 213;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 214: /* op213 */
		assert(l);
		{	/* S0: op213(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 214;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 215: /* op214 */
		assert(l);
		{	/* S0: op214(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 215;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 216: /* op215 */
		assert(l);
		{	/* S0: op215(S0) */
			c = l->cost[burm_S0_NT] + 64;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 216;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 217: /* op216 */
		assert(l);
		{	/* S0: op216(S0) */
			c = l->cost[burm_S0_NT] + 116;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 217;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 218: /* op217 */
		assert(l);
		{	/* S0: op217(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 218;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 219: /* op218 */
		assert(l);
		{	/* S0: op218(S0) */
			c = l->cost[burm_S0_NT] + 72;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 219;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 220: /* op219 */
		assert(l);
		{	/* S0: op219(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 220;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 221: /* op220 */
		assert(l);
		{	/* S0: op220(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 221;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 222: /* op221 */
		assert(l);
		{	/* S0: op221(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 222;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 223: /* op222 */
		assert(l);
		{	/* S0: op222(S0) */
			c = l->cost[burm_S0_NT] + 44;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 223;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 224: /* op223 */
		assert(l);
		{	/* S0: op223(S0) */
			c = l->cost[burm_S0_NT] + 68;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 224;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 225: /* op224 */
		assert(l);
		{	/* S0: op224(S0) */
			c = l->cost[burm_S0_NT] + 44;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 225;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 226: /* op225 */
		assert(l);
		{	/* S0: op225(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 226;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 227: /* op226 */
		assert(l);
		{	/* S0: op226(S0) */
			c = l->cost[burm_S0_NT] + 44;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 227;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 228: /* op227 */
		assert(l);
		{	/* S0: op227(S0) */
			c = l->cost[burm_S0_NT] + 44;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 228;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 229: /* op228 */
		assert(l);
		{	/* S0: op228(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 229;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 230: /* op229 */
		assert(l);
		{	/* S0: op229(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 230;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 231: /* op230 */
		assert(l);
		{	/* S0: op230(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 231;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 232: /* op231 */
		assert(l);
		{	/* S0: op231(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 232;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 233: /* op232 */
		assert(l);
		{	/* S0: op232(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 233;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 234: /* op233 */
		assert(l);
		{	/* S0: op233(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 234;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 235: /* op234 */
		assert(l);
		{	/* S0: op234(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 235;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 236: /* op235 */
		assert(l);
		{	/* S0: op235(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 236;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 237: /* op236 */
		assert(l);
		{	/* S0: op236(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 237;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 238: /* op237 */
		assert(l);
		{	/* S0: op237(S0) */
			c = l->cost[burm_S0_NT] + 64;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 238;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 239: /* op238 */
		assert(l);
		{	/* S0: op238(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 239;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 240: /* op239 */
		assert(l);
		{	/* S0: op239(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 240;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 241: /* op240 */
		assert(l);
		{	/* S0: op240(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 241;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 242: /* op241 */
		assert(l);
		{	/* S0: op241(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 242;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 243: /* op242 */
		assert(l);
		{	/* S0: op242(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 243;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 244: /* op243 */
		assert(l);
		{	/* S0: op243(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 244;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 245: /* op244 */
		assert(l);
		{	/* S0: op244(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 245;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 246: /* op245 */
		assert(l);
		{	/* S0: op245(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 246;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 247: /* op246 */
		assert(l);
		{	/* S0: op246(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 247;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 248: /* op247 */
		assert(l);
		{	/* S0: op247(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 248;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 249: /* op248 */
		assert(l);
		{	/* S0: op248(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 249;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 250: /* op249 */
		assert(l);
		{	/* S0: op249(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 250;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 251: /* op250 */
		assert(l);
		{	/* S0: op250(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 251;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 252: /* op251 */
		assert(l);
		{	/* S0: op251(S0) */
			c = l->cost[burm_S0_NT] + 44;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 252;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 253: /* op252 */
		assert(l);
		{	/* S0: op252(S0) */
			c = l->cost[burm_S0_NT] + 44;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 253;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 254: /* op253 */
		assert(l);
		{	/* S0: op253(S0) */
			c = l->cost[burm_S0_NT] + 72;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 254;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 255: /* op254 */
		assert(l);
		{	/* S0: op254(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 255;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 256: /* op255 */
		assert(l);
		{	/* S0: op255(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 256;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 257: /* op256 */
		assert(l);
		{	/* S0: op256(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 257;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 258: /* op257 */
		assert(l);
		{	/* S0: op257(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 258;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 259: /* op258 */
		assert(l);
		{	/* S0: op258(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 259;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 260: /* op259 */
		assert(l);
		{	/* S0: op259(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 260;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 261: /* op260 */
		assert(l);
		{	/* S0: op260(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 261;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 262: /* op261 */
		assert(l);
		{	/* S0: op261(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 262;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 263: /* op262 */
		assert(l);
		{	/* S0: op262(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 263;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 264: /* op263 */
		assert(l);
		{	/* S8: op263(S8) */
			c = l->cost[burm_S8_NT] + 8;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 93;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op263(S7) */
			c = l->cost[burm_S7_NT] + 8;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 93;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op263(S6) */
			c = l->cost[burm_S6_NT] + 8;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 94;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op263(S5) */
			c = l->cost[burm_S5_NT] + 8;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 95;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op263(S4) */
			c = l->cost[burm_S4_NT] + 8;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 99;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op263(S3) */
			c = l->cost[burm_S3_NT] + 8;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 98;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op263(S2) */
			c = l->cost[burm_S2_NT] + 8;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 93;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op263(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 264;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 265: /* op264 */
		assert(l);
		{	/* S0: op264(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 265;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 266: /* op265 */
		assert(l);
		{	/* S0: op265(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 266;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 267: /* op266 */
		assert(l);
		{	/* S0: op266(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 267;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 268: /* op267 */
		assert(l);
		{	/* S0: op267(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 268;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 269: /* op268 */
		assert(l);
		{	/* S0: op268(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 269;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 270: /* op269 */
		assert(l);
		{	/* S0: op269(S0) */
			c = l->cost[burm_S0_NT] + 280;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 270;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 271: /* op270 */
		assert(l);
		{	/* S0: op270(S0) */
			c = l->cost[burm_S0_NT] + 80;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 271;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 272: /* op271 */
		assert(l);
		{	/* S0: op271(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 272;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 273: /* op272 */
		assert(l);
		{	/* S0: op272(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 273;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 274: /* op273 */
		assert(l);
		{	/* S0: op273(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 274;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 275: /* op274 */
		assert(l);
		{	/* S0: op274(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 275;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 276: /* op275 */
		assert(l);
		{	/* S0: op275(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 276;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 277: /* op276 */
		assert(l);
		{	/* S0: op276(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 277;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 278: /* op277 */
		assert(l);
		{	/* S0: op277(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 278;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 279: /* op278 */
		assert(l);
		{	/* S0: op278(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 279;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 280: /* op279 */
		assert(l);
		{	/* S0: op279(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 280;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 281: /* op280 */
		assert(l);
		{	/* S0: op280(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 281;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 282: /* op281 */
		assert(l);
		{	/* S0: op281(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 282;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 283: /* op282 */
		assert(l);
		{	/* S0: op282(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 283;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 284: /* op283 */
		assert(l);
		{	/* S0: op283(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 284;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 285: /* op284 */
		assert(l);
		{	/* S0: op284(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 285;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 286: /* op285 */
		assert(l);
		{	/* S0: op285(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 286;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 287: /* op286 */
		assert(l);
		{	/* S0: op286(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 287;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 288: /* op287 */
		assert(l);
		{	/* S0: op287(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 288;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 289: /* op288 */
		assert(l);
		{	/* S0: op288(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 289;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 290: /* op289 */
		assert(l);
		{	/* S0: op289(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 290;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 291: /* op290 */
		assert(l);
		{	/* S0: op290(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 291;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 292: /* op291 */
		assert(l);
		{	/* S0: op291(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 292;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 293: /* op292 */
		assert(l);
		{	/* S0: op292(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 293;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 294: /* op293 */
		assert(l);
		{	/* S0: op293(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 294;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 295: /* op294 */
		assert(l);
		{	/* S0: op294(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 295;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 296: /* op295 */
		assert(l);
		{	/* S0: op295(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 296;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 297: /* op296 */
		assert(l);
		{	/* S0: op296(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 297;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 298: /* op297 */
		assert(l);
		{	/* S0: op297(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 298;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 299: /* op298 */
		assert(l);
		{	/* S0: op298(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 299;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 300: /* op299 */
		assert(l);
		{	/* S8: op299(S8) */
			c = l->cost[burm_S8_NT] + 52;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 53;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op299(S8) */
			c = l->cost[burm_S8_NT] + 16;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 53;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op299(S7) */
			c = l->cost[burm_S7_NT] + 16;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 53;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op299(S6) */
			c = l->cost[burm_S6_NT] + 16;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 54;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op299(S5) */
			c = l->cost[burm_S5_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 56;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op299(S4) */
			c = l->cost[burm_S4_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 58;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op299(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 56;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op299(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 372;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op299(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 21;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op299(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 300;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 301: /* op300 */
		assert(l);
		{	/* S8: op300(S8) */
			c = l->cost[burm_S8_NT] + 48;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 39;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op300(S8) */
			c = l->cost[burm_S8_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 39;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op300(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 39;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op300(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 40;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op300(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 42;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op300(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 44;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op300(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 42;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op300(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 368;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op300(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 16;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op300(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 301;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 302: /* op301 */
		assert(l);
		{	/* S8: op301(S8) */
			c = l->cost[burm_S8_NT] + 48;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 71;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op301(S8) */
			c = l->cost[burm_S8_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 71;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op301(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 71;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op301(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 72;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op301(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 75;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op301(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 78;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op301(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 73;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op301(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 377;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op301(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 25;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op301(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 302;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 303: /* op302 */
		assert(l);
		{	/* S8: op302(S8) */
			c = l->cost[burm_S8_NT] + 48;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 58;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op302(S8) */
			c = l->cost[burm_S8_NT] + 12;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 58;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op302(S7) */
			c = l->cost[burm_S7_NT] + 12;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 58;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op302(S6) */
			c = l->cost[burm_S6_NT] + 12;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 59;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op302(S5) */
			c = l->cost[burm_S5_NT] + 12;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 62;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op302(S4) */
			c = l->cost[burm_S4_NT] + 12;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 65;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op302(S3) */
			c = l->cost[burm_S3_NT] + 12;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 61;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op302(S2) */
			c = l->cost[burm_S2_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 375;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op302(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 23;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op302(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 303;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 304: /* op303 */
		assert(l);
		{	/* S0: op303(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 304;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 305: /* op304 */
		assert(l);
		{	/* S0: op304(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 305;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 306: /* op305 */
		assert(l);
		{	/* S0: op305(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 306;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 307: /* op306 */
		assert(l);
		{	/* S0: op306(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 307;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 308: /* op307 */
		assert(l);
		{	/* S8: op307(S8) */
			c = l->cost[burm_S8_NT] + 52;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 83;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op307(S8) */
			c = l->cost[burm_S8_NT] + 16;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 83;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op307(S7) */
			c = l->cost[burm_S7_NT] + 16;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 83;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op307(S6) */
			c = l->cost[burm_S6_NT] + 16;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 84;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op307(S5) */
			c = l->cost[burm_S5_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 88;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op307(S4) */
			c = l->cost[burm_S4_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 88;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op307(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 84;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op307(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 380;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S1: op307(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 28;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op307(S0) */
			c = l->cost[burm_S0_NT] + 28;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 308;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 309: /* op308 */
		assert(l);
		{	/* S8: op308(S8) */
			c = l->cost[burm_S8_NT] + 20;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 30;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op308(S7) */
			c = l->cost[burm_S7_NT] + 20;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 30;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op308(S6) */
			c = l->cost[burm_S6_NT] + 20;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 30;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op308(S5) */
			c = l->cost[burm_S5_NT] + 20;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 31;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op308(S4) */
			c = l->cost[burm_S4_NT] + 20;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 33;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op308(S3) */
			c = l->cost[burm_S3_NT] + 20;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 34;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op308(S2) */
			c = l->cost[burm_S2_NT] + 20;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 33;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S1: op308(S1) */
			c = l->cost[burm_S1_NT] + 20;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 13;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op308(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 309;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 310: /* op309 */
		assert(l);
		{	/* S8: op309(S8) */
			c = l->cost[burm_S8_NT] + 16;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 50;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op309(S7) */
			c = l->cost[burm_S7_NT] + 16;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 50;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op309(S6) */
			c = l->cost[burm_S6_NT] + 16;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 50;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op309(S5) */
			c = l->cost[burm_S5_NT] + 16;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 51;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op309(S4) */
			c = l->cost[burm_S4_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 53;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op309(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 55;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op309(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 53;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S1: op309(S1) */
			c = l->cost[burm_S1_NT] + 16;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 20;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op309(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 310;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 311: /* op310 */
		assert(l);
		{	/* S8: op310(S8) */
			c = l->cost[burm_S8_NT] + 16;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 33;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op310(S7) */
			c = l->cost[burm_S7_NT] + 16;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 33;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op310(S6) */
			c = l->cost[burm_S6_NT] + 16;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 33;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op310(S5) */
			c = l->cost[burm_S5_NT] + 16;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 34;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op310(S4) */
			c = l->cost[burm_S4_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 36;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op310(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 37;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op310(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 36;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S1: op310(S1) */
			c = l->cost[burm_S1_NT] + 16;
			if (c + 0 < p->cost[burm_S1_NT]) {
				p->cost[burm_S1_NT] = c + 0;
				p->rule.burm_S1 = 15;
				burm_closure_S1(p, c + 0);
			}
		}
		{	/* S0: op310(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 311;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 312: /* op311 */
		assert(l);
		{	/* S0: op311(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 312;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 313: /* op312 */
		assert(l);
		{	/* S0: op312(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 313;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 314: /* op313 */
		assert(l);
		{	/* S8: op313(S7) */
			c = l->cost[burm_S7_NT] + 16;
			if (c + 0 < p->cost[burm_S8_NT]) {
				p->cost[burm_S8_NT] = c + 0;
				p->rule.burm_S8 = 95;
				burm_closure_S8(p, c + 0);
			}
		}
		{	/* S7: op313(S6) */
			c = l->cost[burm_S6_NT] + 16;
			if (c + 0 < p->cost[burm_S7_NT]) {
				p->cost[burm_S7_NT] = c + 0;
				p->rule.burm_S7 = 95;
				burm_closure_S7(p, c + 0);
			}
		}
		{	/* S6: op313(S5) */
			c = l->cost[burm_S5_NT] + 16;
			if (c + 0 < p->cost[burm_S6_NT]) {
				p->cost[burm_S6_NT] = c + 0;
				p->rule.burm_S6 = 96;
				burm_closure_S6(p, c + 0);
			}
		}
		{	/* S5: op313(S4) */
			c = l->cost[burm_S4_NT] + 16;
			if (c + 0 < p->cost[burm_S5_NT]) {
				p->cost[burm_S5_NT] = c + 0;
				p->rule.burm_S5 = 97;
				burm_closure_S5(p, c + 0);
			}
		}
		{	/* S4: op313(S3) */
			c = l->cost[burm_S3_NT] + 16;
			if (c + 0 < p->cost[burm_S4_NT]) {
				p->cost[burm_S4_NT] = c + 0;
				p->rule.burm_S4 = 101;
				burm_closure_S4(p, c + 0);
			}
		}
		{	/* S3: op313(S2) */
			c = l->cost[burm_S2_NT] + 16;
			if (c + 0 < p->cost[burm_S3_NT]) {
				p->cost[burm_S3_NT] = c + 0;
				p->rule.burm_S3 = 100;
				burm_closure_S3(p, c + 0);
			}
		}
		{	/* S2: op313(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S2_NT]) {
				p->cost[burm_S2_NT] = c + 0;
				p->rule.burm_S2 = 95;
				burm_closure_S2(p, c + 0);
			}
		}
		{	/* S0: op313(S1) */
			c = l->cost[burm_S1_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 383;
				burm_closure_S0(p, c + 0);
			}
		}
		{	/* S0: op313(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 314;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 315: /* op314 */
		assert(l);
		{	/* S0: op314(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 315;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 316: /* op315 */
		assert(l);
		{	/* S0: op315(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 316;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 317: /* op316 */
		assert(l);
		{	/* S0: op316(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 317;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 318: /* op317 */
		assert(l);
		{	/* S0: op317(S0) */
			c = l->cost[burm_S0_NT] + 44;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 318;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 319: /* op318 */
		assert(l);
		{	/* S0: op318(S0) */
			c = l->cost[burm_S0_NT] + 60;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 319;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 320: /* op319 */
		assert(l);
		{	/* S0: op319(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 320;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 321: /* op320 */
		assert(l);
		{	/* S0: op320(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 321;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 322: /* op321 */
		assert(l);
		{	/* S0: op321(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 322;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 323: /* op322 */
		assert(l);
		{	/* S0: op322(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 323;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 324: /* op323 */
		assert(l);
		{	/* S0: op323(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 324;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 325: /* op324 */
		assert(l);
		{	/* S0: op324(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 325;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 326: /* op325 */
		assert(l);
		{	/* S0: op325(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 326;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 327: /* op326 */
		assert(l);
		{	/* S0: op326(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 327;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 328: /* op327 */
		assert(l);
		{	/* S0: op327(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 328;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 329: /* op328 */
		assert(l);
		{	/* S0: op328(S0) */
			c = l->cost[burm_S0_NT] + 112;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 329;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 330: /* op329 */
		assert(l);
		{	/* S0: op329(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 330;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 331: /* op330 */
		assert(l);
		{	/* S0: op330(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 331;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 332: /* op331 */
		assert(l);
		{	/* S0: op331(S0) */
			c = l->cost[burm_S0_NT] + 44;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 332;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 333: /* op332 */
		assert(l);
		{	/* S0: op332(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 333;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 334: /* op333 */
		assert(l);
		{	/* S0: op333(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 334;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 335: /* op334 */
		assert(l);
		{	/* S0: op334(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 335;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 336: /* op335 */
		assert(l);
		{	/* S0: op335(S0) */
			c = l->cost[burm_S0_NT] + 48;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 336;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 337: /* op336 */
		assert(l);
		{	/* S0: op336(S0) */
			c = l->cost[burm_S0_NT] + 40;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 337;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 338: /* op337 */
		assert(l);
		{	/* S0: op337(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 338;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 339: /* op338 */
		assert(l);
		{	/* S0: op338(S0) */
			c = l->cost[burm_S0_NT] + 52;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 339;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 340: /* op339 */
		assert(l);
		{	/* S0: op339(S0) */
			c = l->cost[burm_S0_NT] + 8;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 340;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 341: /* op340 */
		assert(l);
		{	/* S0: op340(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 341;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 342: /* op341 */
		assert(l);
		{	/* S0: op341(S0) */
			c = l->cost[burm_S0_NT] + 44;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 342;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 343: /* op342 */
		assert(l);
		{	/* S0: op342(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 343;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 344: /* op343 */
		assert(l);
		{	/* S0: op343(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 344;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 345: /* op344 */
		assert(l);
		{	/* S0: op344(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 345;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 346: /* op345 */
		assert(l);
		{	/* S0: op345(S0) */
			c = l->cost[burm_S0_NT] + 24;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 346;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 347: /* op346 */
		assert(l);
		{	/* S0: op346(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 347;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 348: /* op347 */
		assert(l);
		{	/* S0: op347(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 348;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 349: /* op348 */
		assert(l);
		{	/* S0: op348(S0) */
			c = l->cost[burm_S0_NT] + 36;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 349;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 350: /* op349 */
		assert(l);
		{	/* S0: op349(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 350;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 351: /* op350 */
		assert(l);
		{	/* S0: op350(S0) */
			c = l->cost[burm_S0_NT] + 16;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 351;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 352: /* op351 */
		assert(l);
		{	/* S0: op351(S0) */
			c = l->cost[burm_S0_NT] + 4;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 352;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 353: /* op352 */
		assert(l);
		{	/* S0: op352(S0) */
			c = l->cost[burm_S0_NT] + 32;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 353;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 354: /* op353 */
		assert(l);
		{	/* S0: op353(S0) */
			c = l->cost[burm_S0_NT] + 20;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 354;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 355: /* op354 */
		assert(l);
		{	/* S0: op354(S0) */
			c = l->cost[burm_S0_NT] + 12;
			if (c + 0 < p->cost[burm_S0_NT]) {
				p->cost[burm_S0_NT] = c + 0;
				p->rule.burm_S0 = 355;
				burm_closure_S0(p, c + 0);
			}
		}
		break;
	case 356: /* op355 */
		{
			static struct burm_state z = { 356, 0, 0,
				{	0,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
				},{
					0,
					0,
					0,
					0,
					0,
					0,
					0,
					0,
					0,
				}
			};
			return &z;
		}
	case 357: /* op356 */
		{
			static struct burm_state z = { 357, 0, 0,
				{	0,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
				},{
					0,
					0,
					0,
					0,
					0,
					0,
					0,
					0,
					0,
				}
			};
			return &z;
		}
	case 358: /* op357 */
		{
			static struct burm_state z = { 358, 0, 0,
				{	0,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
				},{
					0,
					0,
					0,
					0,
					0,
					0,
					0,
					0,
					0,
				}
			};
			return &z;
		}
	case 359: /* op358 */
		{
			static struct burm_state z = { 359, 0, 0,
				{	0,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
				},{
					0,
					0,
					0,
					0,
					0,
					0,
					0,
					0,
					0,
				}
			};
			return &z;
		}
	case 360: /* op359 */
		{
			static struct burm_state z = { 360, 0, 0,
				{	0,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
					32767,
				},{
					0,
					0,
					0,
					0,
					0,
					0,
					0,
					0,
					0,
				}
			};
			return &z;
		}
	case 400: /* s0 */
		{
			static struct burm_state z = { 400, 0, 0,
				{	0,
					0,	/* S0: s0 */
					4,	/* S1: S0 */
					12,	/* S2: S0 */
					16,	/* S3: S0 */
					20,	/* S4: S0 */
					24,	/* S5: S0 */
					28,	/* S6: S0 */
					32,	/* S7: S0 */
					36,	/* S8: S0 */
				},{
					392,	/* S0: s0 */
					32,	/* S1: S0 */
					99,	/* S2: S0 */
					104,	/* S3: S0 */
					105,	/* S4: S0 */
					101,	/* S5: S0 */
					100,	/* S6: S0 */
					99,	/* S7: S0 */
					99,	/* S8: S0 */
				}
			};
			return &z;
		}
	case 401: /* s1 */
		{
			static struct burm_state z = { 401, 0, 0,
				{	0,
					8,	/* S0: S1 */
					0,	/* S1: s1 */
					12,	/* S2: S1 */
					16,	/* S3: S1 */
					20,	/* S4: S1 */
					24,	/* S5: S1 */
					28,	/* S6: S1 */
					32,	/* S7: S1 */
					36,	/* S8: S1 */
				},{
					384,	/* S0: S1 */
					40,	/* S1: s1 */
					98,	/* S2: S1 */
					103,	/* S3: S1 */
					104,	/* S4: S1 */
					100,	/* S5: S1 */
					99,	/* S6: S1 */
					98,	/* S7: S1 */
					98,	/* S8: S1 */
				}
			};
			return &z;
		}
	case 402: /* s2 */
		{
			static struct burm_state z = { 402, 0, 0,
				{	0,
					8,	/* S0: S2 */
					12,	/* S1: S0 */
					0,	/* S2: s2 */
					16,	/* S3: S2 */
					20,	/* S4: S2 */
					24,	/* S5: S2 */
					28,	/* S6: S2 */
					32,	/* S7: S2 */
					36,	/* S8: S2 */
				},{
					385,	/* S0: S2 */
					32,	/* S1: S0 */
					106,	/* S2: s2 */
					105,	/* S3: S2 */
					106,	/* S4: S2 */
					102,	/* S5: S2 */
					101,	/* S6: S2 */
					100,	/* S7: S2 */
					100,	/* S8: S2 */
				}
			};
			return &z;
		}
	case 403: /* s3 */
		{
			static struct burm_state z = { 403, 0, 0,
				{	0,
					16,	/* S0: S3 */
					16,	/* S1: S3 */
					12,	/* S2: S3 */
					0,	/* S3: s3 */
					20,	/* S4: S3 */
					24,	/* S5: S3 */
					28,	/* S6: S3 */
					32,	/* S7: S3 */
					36,	/* S8: S3 */
				},{
					386,	/* S0: S3 */
					34,	/* S1: S3 */
					100,	/* S2: S3 */
					111,	/* S3: s3 */
					107,	/* S4: S3 */
					103,	/* S5: S3 */
					102,	/* S6: S3 */
					101,	/* S7: S3 */
					101,	/* S8: S3 */
				}
			};
			return &z;
		}
	case 404: /* s4 */
		{
			static struct burm_state z = { 404, 0, 0,
				{	0,
					20,	/* S0: S4 */
					20,	/* S1: S4 */
					20,	/* S2: S4 */
					16,	/* S3: S4 */
					0,	/* S4: s4 */
					24,	/* S5: S4 */
					28,	/* S6: S4 */
					32,	/* S7: S4 */
					36,	/* S8: S4 */
				},{
					387,	/* S0: S4 */
					35,	/* S1: S4 */
					101,	/* S2: S4 */
					106,	/* S3: S4 */
					112,	/* S4: s4 */
					104,	/* S5: S4 */
					103,	/* S6: S4 */
					102,	/* S7: S4 */
					102,	/* S8: S4 */
				}
			};
			return &z;
		}
	case 405: /* s5 */
		{
			static struct burm_state z = { 405, 0, 0,
				{	0,
					24,	/* S0: S5 */
					24,	/* S1: S5 */
					24,	/* S2: S5 */
					24,	/* S3: S5 */
					20,	/* S4: S5 */
					0,	/* S5: s5 */
					28,	/* S6: S5 */
					32,	/* S7: S5 */
					36,	/* S8: S5 */
				},{
					388,	/* S0: S5 */
					36,	/* S1: S5 */
					102,	/* S2: S5 */
					107,	/* S3: S5 */
					108,	/* S4: S5 */
					108,	/* S5: s5 */
					104,	/* S6: S5 */
					103,	/* S7: S5 */
					103,	/* S8: S5 */
				}
			};
			return &z;
		}
	case 406: /* s6 */
		{
			static struct burm_state z = { 406, 0, 0,
				{	0,
					28,	/* S0: S6 */
					28,	/* S1: S6 */
					28,	/* S2: S6 */
					28,	/* S3: S6 */
					28,	/* S4: S6 */
					24,	/* S5: S6 */
					0,	/* S6: s6 */
					32,	/* S7: S6 */
					36,	/* S8: S6 */
				},{
					389,	/* S0: S6 */
					37,	/* S1: S6 */
					103,	/* S2: S6 */
					108,	/* S3: S6 */
					109,	/* S4: S6 */
					105,	/* S5: S6 */
					107,	/* S6: s6 */
					104,	/* S7: S6 */
					104,	/* S8: S6 */
				}
			};
			return &z;
		}
	case 407: /* s7 */
		{
			static struct burm_state z = { 407, 0, 0,
				{	0,
					32,	/* S0: S7 */
					32,	/* S1: S7 */
					32,	/* S2: S7 */
					32,	/* S3: S7 */
					32,	/* S4: S7 */
					32,	/* S5: S7 */
					28,	/* S6: S7 */
					0,	/* S7: s7 */
					36,	/* S8: S7 */
				},{
					390,	/* S0: S7 */
					38,	/* S1: S7 */
					104,	/* S2: S7 */
					109,	/* S3: S7 */
					110,	/* S4: S7 */
					106,	/* S5: S7 */
					105,	/* S6: S7 */
					106,	/* S7: s7 */
					105,	/* S8: S7 */
				}
			};
			return &z;
		}
	case 408: /* s8 */
		{
			static struct burm_state z = { 408, 0, 0,
				{	0,
					36,	/* S0: S8 */
					36,	/* S1: S8 */
					36,	/* S2: S8 */
					36,	/* S3: S8 */
					36,	/* S4: S8 */
					36,	/* S5: S8 */
					36,	/* S6: S8 */
					32,	/* S7: S8 */
					0,	/* S8: s8 */
				},{
					391,	/* S0: S8 */
					39,	/* S1: S8 */
					105,	/* S2: S8 */
					110,	/* S3: S8 */
					111,	/* S4: S8 */
					107,	/* S5: S8 */
					106,	/* S6: S8 */
					105,	/* S7: S8 */
					106,	/* S8: s8 */
				}
			};
			return &z;
		}
	default:
		burm_assert(0, PANIC("Bad operator %d in burm_state\n", op));
	}
	return p;
}

#ifdef STATE_LABEL
static void burm_label1(NODEPTR_TYPE p) {
	burm_assert(p, PANIC("NULL tree in burm_label\n"));
	switch (burm_arity[OP_LABEL(p)]) {
	case 0:
		STATE_LABEL(p) = burm_state(OP_LABEL(p), 0, 0);
		break;
	case 1:
		burm_label1(LEFT_CHILD(p));
		STATE_LABEL(p) = burm_state(OP_LABEL(p),
			STATE_LABEL(LEFT_CHILD(p)), 0);
		break;
	case 2:
		burm_label1(LEFT_CHILD(p));
		burm_label1(RIGHT_CHILD(p));
		STATE_LABEL(p) = burm_state(OP_LABEL(p),
			STATE_LABEL(LEFT_CHILD(p)),
			STATE_LABEL(RIGHT_CHILD(p)));
		break;
	}
}

STATEPTR_TYPE burm_label(NODEPTR_TYPE p) {
	burm_label1(p);
	return STATE_LABEL(p)->rule.burm_S0 ? STATE_LABEL(p) : 0;
}

NODEPTR_TYPE *burm_kids(NODEPTR_TYPE p, int eruleno, NODEPTR_TYPE kids[]) {
	burm_assert(p, PANIC("NULL tree in burm_kids\n"));
	burm_assert(kids, PANIC("NULL kids in burm_kids\n"));
	switch (eruleno) {
	case 1119: /* S8: op70(S8) */
	case 1118: /* S7: op70(S7) */
	case 1117: /* S6: op70(S6) */
	case 1116: /* S5: op70(S5) */
	case 1115: /* S4: op70(S4) */
	case 1114: /* S3: op70(S3) */
	case 1113: /* S2: op70(S2) */
	case 1112: /* S8: op64(S7) */
	case 1111: /* S7: op64(S6) */
	case 1110: /* S6: op64(S5) */
	case 1109: /* S5: op64(S4) */
	case 1108: /* S4: op64(S3) */
	case 1107: /* S3: op64(S2) */
	case 1106: /* S2: op64(S0) */
	case 1105: /* S8: op313(S7) */
	case 1104: /* S7: op313(S6) */
	case 1103: /* S6: op313(S5) */
	case 1102: /* S5: op313(S4) */
	case 1101: /* S4: op313(S3) */
	case 1100: /* S3: op313(S2) */
	case 1099: /* S2: op313(S0) */
	case 1098: /* S0: op313(S1) */
	case 1097: /* S8: op139(S8) */
	case 1096: /* S7: op139(S7) */
	case 1095: /* S6: op139(S6) */
	case 1094: /* S5: op139(S5) */
	case 1093: /* S4: op139(S4) */
	case 1092: /* S3: op139(S3) */
	case 1091: /* S2: op139(S2) */
	case 1090: /* S1: op139(S1) */
	case 1089: /* S8: op263(S8) */
	case 1088: /* S7: op263(S7) */
	case 1087: /* S6: op263(S6) */
	case 1086: /* S5: op263(S5) */
	case 1085: /* S4: op263(S4) */
	case 1084: /* S3: op263(S3) */
	case 1083: /* S2: op263(S2) */
	case 1082: /* S8: op42(S8) */
	case 1081: /* S7: op42(S8) */
	case 1080: /* S6: op42(S7) */
	case 1079: /* S5: op42(S6) */
	case 1078: /* S4: op42(S5) */
	case 1077: /* S3: op42(S4) */
	case 1076: /* S2: op42(S3) */
	case 1075: /* S0: op42(S2) */
	case 1074: /* S1: op42(S0) */
	case 1073: /* S8: op91(S8) */
	case 1072: /* S7: op91(S7) */
	case 1071: /* S6: op91(S6) */
	case 1070: /* S5: op91(S5) */
	case 1069: /* S4: op91(S4) */
	case 1068: /* S3: op91(S3) */
	case 1067: /* S2: op91(S2) */
	case 1066: /* S8: op101(S7) */
	case 1065: /* S7: op101(S6) */
	case 1064: /* S6: op101(S5) */
	case 1063: /* S5: op101(S4) */
	case 1062: /* S4: op101(S3) */
	case 1061: /* S3: op101(S2) */
	case 1060: /* S2: op101(S0) */
	case 1059: /* S8: op79(S8) */
	case 1058: /* S7: op79(S7) */
	case 1057: /* S6: op79(S6) */
	case 1056: /* S5: op79(S5) */
	case 1055: /* S4: op79(S4) */
	case 1054: /* S3: op79(S3) */
	case 1053: /* S2: op79(S2) */
	case 1052: /* S8: op55(S7) */
	case 1051: /* S7: op55(S6) */
	case 1050: /* S6: op55(S5) */
	case 1049: /* S5: op55(S4) */
	case 1048: /* S4: op55(S3) */
	case 1047: /* S3: op55(S2) */
	case 1046: /* S6: op152(S4) */
	case 1045: /* S5: op152(S3) */
	case 1044: /* S4: op152(S2) */
	case 1043: /* S3: op152(S5) */
	case 1042: /* S2: op152(S4) */
	case 1041: /* S0: op152(S3) */
	case 1040: /* S1: op152(S2) */
	case 1039: /* S8: op152(S8) */
	case 1038: /* S7: op152(S8) */
	case 1037: /* S6: op152(S8) */
	case 1036: /* S5: op152(S7) */
	case 1035: /* S4: op152(S6) */
	case 1034: /* S8: op38(S0) */
	case 1033: /* S7: op38(S0) */
	case 1032: /* S6: op38(S0) */
	case 1031: /* S5: op38(S0) */
	case 1030: /* S4: op38(S0) */
	case 1029: /* S3: op38(S0) */
	case 1028: /* S2: op38(S0) */
	case 1027: /* S8: op85(S8) */
	case 1026: /* S7: op85(S7) */
	case 1025: /* S6: op85(S6) */
	case 1024: /* S5: op85(S5) */
	case 1023: /* S4: op85(S4) */
	case 1022: /* S3: op85(S3) */
	case 1021: /* S2: op85(S2) */
	case 1020: /* S8: op98(S7) */
	case 1019: /* S7: op98(S6) */
	case 1018: /* S6: op98(S5) */
	case 1017: /* S5: op98(S4) */
	case 1016: /* S4: op98(S3) */
	case 1015: /* S3: op98(S2) */
	case 1014: /* S2: op98(S0) */
	case 1013: /* S8: op307(S8) */
	case 1012: /* S7: op307(S8) */
	case 1011: /* S6: op307(S7) */
	case 1010: /* S5: op307(S6) */
	case 1009: /* S4: op307(S5) */
	case 1008: /* S3: op307(S4) */
	case 1007: /* S2: op307(S3) */
	case 1006: /* S0: op307(S2) */
	case 1005: /* S1: op307(S0) */
	case 1004: /* S4: op153(S2) */
	case 1003: /* S2: op153(S4) */
	case 1002: /* S0: op153(S3) */
	case 1001: /* S1: op153(S3) */
	case 1000: /* S8: op153(S8) */
	case 999: /* S7: op153(S7) */
	case 998: /* S6: op153(S6) */
	case 997: /* S5: op153(S5) */
	case 996: /* S4: op153(S4) */
	case 995: /* S8: op97(S7) */
	case 994: /* S7: op97(S6) */
	case 993: /* S6: op97(S5) */
	case 992: /* S5: op97(S4) */
	case 991: /* S4: op97(S3) */
	case 990: /* S3: op97(S2) */
	case 989: /* S2: op97(S0) */
	case 988: /* S8: op41(S8) */
	case 987: /* S7: op41(S8) */
	case 986: /* S6: op41(S7) */
	case 985: /* S5: op41(S6) */
	case 984: /* S4: op41(S5) */
	case 983: /* S3: op41(S4) */
	case 982: /* S2: op41(S3) */
	case 981: /* S0: op41(S2) */
	case 980: /* S1: op41(S0) */
	case 979: /* S8: op104(S7) */
	case 978: /* S7: op104(S6) */
	case 977: /* S6: op104(S5) */
	case 976: /* S5: op104(S4) */
	case 975: /* S4: op104(S3) */
	case 974: /* S3: op104(S2) */
	case 973: /* S2: op104(S0) */
	case 972: /* S8: op175(S8) */
	case 971: /* S7: op175(S7) */
	case 970: /* S6: op175(S6) */
	case 969: /* S5: op175(S5) */
	case 968: /* S4: op175(S4) */
	case 967: /* S3: op175(S3) */
	case 966: /* S2: op175(S2) */
	case 965: /* S8: op89(S8) */
	case 964: /* S7: op89(S7) */
	case 963: /* S6: op89(S6) */
	case 962: /* S5: op89(S5) */
	case 961: /* S4: op89(S4) */
	case 960: /* S3: op89(S3) */
	case 959: /* S2: op89(S2) */
	case 958: /* S8: op63(S7) */
	case 957: /* S7: op63(S6) */
	case 956: /* S6: op63(S5) */
	case 955: /* S5: op63(S4) */
	case 954: /* S4: op63(S3) */
	case 953: /* S3: op63(S2) */
	case 952: /* S2: op63(S0) */
	case 951: /* S8: op77(S6) */
	case 950: /* S7: op77(S5) */
	case 949: /* S6: op77(S4) */
	case 948: /* S5: op77(S3) */
	case 947: /* S4: op77(S2) */
	case 946: /* S8: op74(S8) */
	case 945: /* S7: op74(S7) */
	case 944: /* S6: op74(S6) */
	case 943: /* S5: op74(S5) */
	case 942: /* S4: op74(S4) */
	case 941: /* S3: op74(S3) */
	case 940: /* S2: op74(S2) */
	case 939: /* S8: op36(S0) */
	case 938: /* S7: op36(S0) */
	case 937: /* S6: op36(S0) */
	case 936: /* S5: op36(S0) */
	case 935: /* S4: op36(S0) */
	case 934: /* S3: op36(S0) */
	case 933: /* S2: op36(S0) */
	case 932: /* S8: op105(S7) */
	case 931: /* S7: op105(S6) */
	case 930: /* S6: op105(S5) */
	case 929: /* S5: op105(S4) */
	case 928: /* S4: op105(S3) */
	case 927: /* S3: op105(S2) */
	case 926: /* S2: op105(S0) */
	case 925: /* S8: op301(S8) */
	case 924: /* S7: op301(S8) */
	case 923: /* S6: op301(S7) */
	case 922: /* S5: op301(S6) */
	case 921: /* S4: op301(S5) */
	case 920: /* S3: op301(S4) */
	case 919: /* S2: op301(S3) */
	case 918: /* S0: op301(S2) */
	case 917: /* S1: op301(S0) */
	case 916: /* S8: op96(S7) */
	case 915: /* S7: op96(S6) */
	case 914: /* S6: op96(S5) */
	case 913: /* S5: op96(S4) */
	case 912: /* S4: op96(S3) */
	case 911: /* S3: op96(S2) */
	case 910: /* S2: op96(S0) */
	case 909: /* S8: op90(S8) */
	case 908: /* S7: op90(S7) */
	case 907: /* S6: op90(S6) */
	case 906: /* S5: op90(S5) */
	case 905: /* S4: op90(S4) */
	case 904: /* S3: op90(S3) */
	case 903: /* S2: op90(S2) */
	case 902: /* S8: op169(S8) */
	case 901: /* S7: op169(S8) */
	case 900: /* S6: op169(S7) */
	case 899: /* S5: op169(S6) */
	case 898: /* S4: op169(S5) */
	case 897: /* S3: op169(S4) */
	case 896: /* S2: op169(S3) */
	case 895: /* S0: op169(S2) */
	case 894: /* S8: op102(S7) */
	case 893: /* S7: op102(S6) */
	case 892: /* S6: op102(S5) */
	case 891: /* S5: op102(S4) */
	case 890: /* S4: op102(S3) */
	case 889: /* S3: op102(S2) */
	case 888: /* S2: op102(S0) */
	case 887: /* S8: op34(S0) */
	case 886: /* S7: op34(S0) */
	case 885: /* S6: op34(S0) */
	case 884: /* S5: op34(S0) */
	case 883: /* S4: op34(S0) */
	case 882: /* S3: op34(S0) */
	case 881: /* S2: op34(S0) */
	case 880: /* S8: op163(S5) */
	case 879: /* S7: op163(S4) */
	case 878: /* S6: op163(S3) */
	case 877: /* S5: op163(S2) */
	case 876: /* S4: op163(S0) */
	case 875: /* S3: op163(S1) */
	case 874: /* S8: op69(S8) */
	case 873: /* S7: op69(S7) */
	case 872: /* S6: op69(S6) */
	case 871: /* S5: op69(S5) */
	case 870: /* S4: op69(S4) */
	case 869: /* S3: op69(S3) */
	case 868: /* S2: op69(S2) */
	case 867: /* S8: op60(S7) */
	case 866: /* S7: op60(S6) */
	case 865: /* S6: op60(S5) */
	case 864: /* S5: op60(S4) */
	case 863: /* S4: op60(S3) */
	case 862: /* S3: op60(S2) */
	case 861: /* S2: op60(S0) */
	case 860: /* S8: op35(S0) */
	case 859: /* S7: op35(S0) */
	case 858: /* S6: op35(S0) */
	case 857: /* S5: op35(S0) */
	case 856: /* S4: op35(S0) */
	case 855: /* S3: op35(S0) */
	case 854: /* S2: op35(S0) */
	case 853: /* S8: op135(S8) */
	case 852: /* S7: op135(S7) */
	case 851: /* S6: op135(S6) */
	case 850: /* S5: op135(S5) */
	case 849: /* S4: op135(S4) */
	case 848: /* S3: op135(S3) */
	case 847: /* S2: op135(S2) */
	case 846: /* S1: op135(S1) */
	case 845: /* S8: op58(S8) */
	case 844: /* S7: op58(S7) */
	case 843: /* S6: op58(S6) */
	case 842: /* S5: op58(S5) */
	case 841: /* S4: op58(S4) */
	case 840: /* S3: op58(S3) */
	case 839: /* S2: op58(S2) */
	case 838: /* S8: op27(S0) */
	case 837: /* S7: op27(S0) */
	case 836: /* S6: op27(S0) */
	case 835: /* S5: op27(S0) */
	case 834: /* S4: op27(S0) */
	case 833: /* S3: op27(S0) */
	case 832: /* S2: op27(S0) */
	case 831: /* S8: op302(S8) */
	case 830: /* S7: op302(S8) */
	case 829: /* S6: op302(S7) */
	case 828: /* S5: op302(S6) */
	case 827: /* S4: op302(S5) */
	case 826: /* S3: op302(S4) */
	case 825: /* S2: op302(S3) */
	case 824: /* S0: op302(S2) */
	case 823: /* S1: op302(S0) */
	case 822: /* S8: op83(S7) */
	case 821: /* S7: op83(S6) */
	case 820: /* S6: op83(S5) */
	case 819: /* S5: op83(S4) */
	case 818: /* S4: op83(S3) */
	case 817: /* S3: op83(S2) */
	case 816: /* S2: op83(S0) */
	case 815: /* S0: op150(S1) */
	case 814: /* S1: op150(S1) */
	case 813: /* S8: op150(S6) */
	case 812: /* S7: op150(S5) */
	case 811: /* S6: op150(S4) */
	case 810: /* S5: op150(S3) */
	case 809: /* S4: op150(S2) */
	case 808: /* S3: op150(S0) */
	case 807: /* S2: op150(S1) */
	case 806: /* S3: op145(S5) */
	case 805: /* S2: op145(S4) */
	case 804: /* S4: op145(S3) */
	case 803: /* S0: op145(S3) */
	case 802: /* S3: op145(S2) */
	case 801: /* S8: op145(S8) */
	case 800: /* S7: op145(S7) */
	case 799: /* S6: op145(S6) */
	case 798: /* S5: op145(S5) */
	case 797: /* S4: op145(S4) */
	case 796: /* S3: op145(S3) */
	case 795: /* S8: op103(S7) */
	case 794: /* S7: op103(S6) */
	case 793: /* S6: op103(S5) */
	case 792: /* S5: op103(S4) */
	case 791: /* S4: op103(S3) */
	case 790: /* S3: op103(S2) */
	case 789: /* S2: op103(S0) */
	case 788: /* S8: op299(S8) */
	case 787: /* S7: op299(S8) */
	case 786: /* S6: op299(S7) */
	case 785: /* S5: op299(S6) */
	case 784: /* S4: op299(S5) */
	case 783: /* S3: op299(S4) */
	case 782: /* S2: op299(S3) */
	case 781: /* S0: op299(S2) */
	case 780: /* S1: op299(S0) */
	case 779: /* S8: op84(S7) */
	case 778: /* S7: op84(S6) */
	case 777: /* S6: op84(S5) */
	case 776: /* S5: op84(S4) */
	case 775: /* S4: op84(S3) */
	case 774: /* S3: op84(S2) */
	case 773: /* S2: op84(S0) */
	case 772: /* S8: op12(S0) */
	case 771: /* S7: op12(S0) */
	case 770: /* S6: op12(S0) */
	case 769: /* S5: op12(S0) */
	case 768: /* S4: op12(S0) */
	case 767: /* S3: op12(S0) */
	case 766: /* S2: op12(S0) */
	case 765: /* S8: op309(S8) */
	case 764: /* S7: op309(S7) */
	case 763: /* S6: op309(S6) */
	case 762: /* S5: op309(S5) */
	case 761: /* S4: op309(S4) */
	case 760: /* S3: op309(S3) */
	case 759: /* S2: op309(S2) */
	case 758: /* S1: op309(S1) */
	case 757: /* S8: op11(S0) */
	case 756: /* S7: op11(S0) */
	case 755: /* S6: op11(S0) */
	case 754: /* S5: op11(S0) */
	case 753: /* S4: op11(S0) */
	case 752: /* S3: op11(S0) */
	case 751: /* S2: op11(S0) */
	case 750: /* S8: op59(S8) */
	case 749: /* S7: op59(S7) */
	case 748: /* S6: op59(S6) */
	case 747: /* S5: op59(S5) */
	case 746: /* S4: op59(S4) */
	case 745: /* S3: op59(S3) */
	case 744: /* S2: op59(S2) */
	case 743: /* S8: op124(S6) */
	case 742: /* S7: op124(S5) */
	case 741: /* S6: op124(S4) */
	case 740: /* S5: op124(S3) */
	case 739: /* S4: op124(S2) */
	case 738: /* S3: op124(S0) */
	case 737: /* S2: op146(S2) */
	case 736: /* S1: op146(S0) */
	case 735: /* S8: op146(S7) */
	case 734: /* S7: op146(S6) */
	case 733: /* S6: op146(S5) */
	case 732: /* S5: op146(S4) */
	case 731: /* S4: op146(S3) */
	case 730: /* S3: op146(S2) */
	case 729: /* S2: op146(S0) */
	case 728: /* S8: op164(S8) */
	case 727: /* S7: op164(S8) */
	case 726: /* S6: op164(S7) */
	case 725: /* S5: op164(S6) */
	case 724: /* S4: op164(S5) */
	case 723: /* S3: op164(S4) */
	case 722: /* S2: op164(S3) */
	case 721: /* S0: op164(S2) */
	case 720: /* S8: op138(S8) */
	case 719: /* S7: op138(S8) */
	case 718: /* S6: op138(S8) */
	case 717: /* S5: op138(S7) */
	case 716: /* S4: op138(S6) */
	case 715: /* S3: op138(S5) */
	case 714: /* S2: op138(S4) */
	case 713: /* S0: op138(S3) */
	case 712: /* S1: op138(S2) */
	case 711: /* S8: op137(S8) */
	case 710: /* S7: op137(S8) */
	case 709: /* S6: op137(S8) */
	case 708: /* S5: op137(S7) */
	case 707: /* S4: op137(S6) */
	case 706: /* S3: op137(S5) */
	case 705: /* S2: op137(S4) */
	case 704: /* S0: op137(S3) */
	case 703: /* S1: op137(S2) */
	case 702: /* S8: op136(S6) */
	case 701: /* S7: op136(S5) */
	case 700: /* S6: op136(S4) */
	case 699: /* S5: op136(S3) */
	case 698: /* S4: op136(S2) */
	case 697: /* S3: op136(S0) */
	case 696: /* S2: op136(S1) */
	case 695: /* S8: op37(S0) */
	case 694: /* S7: op37(S0) */
	case 693: /* S6: op37(S0) */
	case 692: /* S5: op37(S0) */
	case 691: /* S4: op37(S0) */
	case 690: /* S3: op37(S0) */
	case 689: /* S2: op37(S0) */
	case 688: /* S8: op61(S7) */
	case 687: /* S7: op61(S6) */
	case 686: /* S6: op61(S5) */
	case 685: /* S5: op61(S4) */
	case 684: /* S4: op61(S3) */
	case 683: /* S3: op61(S2) */
	case 682: /* S2: op61(S0) */
	case 681: /* S8: op300(S8) */
	case 680: /* S7: op300(S8) */
	case 679: /* S6: op300(S7) */
	case 678: /* S5: op300(S6) */
	case 677: /* S4: op300(S5) */
	case 676: /* S3: op300(S4) */
	case 675: /* S2: op300(S3) */
	case 674: /* S0: op300(S2) */
	case 673: /* S1: op300(S0) */
	case 672: /* S8: op148(S0) */
	case 671: /* S7: op148(S0) */
	case 670: /* S6: op148(S0) */
	case 669: /* S5: op148(S0) */
	case 668: /* S4: op148(S0) */
	case 667: /* S3: op148(S0) */
	case 666: /* S2: op148(S0) */
	case 665: /* S8: op167(S8) */
	case 664: /* S7: op167(S7) */
	case 663: /* S6: op167(S6) */
	case 662: /* S5: op167(S5) */
	case 661: /* S4: op167(S4) */
	case 660: /* S3: op167(S3) */
	case 659: /* S2: op167(S2) */
	case 658: /* S8: op51(S7) */
	case 657: /* S7: op51(S6) */
	case 656: /* S6: op51(S5) */
	case 655: /* S5: op51(S4) */
	case 654: /* S4: op51(S3) */
	case 653: /* S3: op51(S2) */
	case 652: /* S3: op147(S3) */
	case 651: /* S2: op147(S2) */
	case 650: /* S8: op147(S8) */
	case 649: /* S7: op147(S8) */
	case 648: /* S6: op147(S7) */
	case 647: /* S5: op147(S6) */
	case 646: /* S4: op147(S5) */
	case 645: /* S3: op147(S4) */
	case 644: /* S2: op147(S3) */
	case 643: /* S8: op99(S7) */
	case 642: /* S7: op99(S6) */
	case 641: /* S6: op99(S5) */
	case 640: /* S5: op99(S4) */
	case 639: /* S4: op99(S3) */
	case 638: /* S3: op99(S2) */
	case 637: /* S2: op99(S0) */
	case 636: /* S8: op310(S8) */
	case 635: /* S7: op310(S7) */
	case 634: /* S6: op310(S6) */
	case 633: /* S5: op310(S5) */
	case 632: /* S4: op310(S4) */
	case 631: /* S3: op310(S3) */
	case 630: /* S2: op310(S2) */
	case 629: /* S1: op310(S1) */
	case 628: /* S8: op14(S8) */
	case 627: /* S7: op14(S7) */
	case 626: /* S6: op14(S6) */
	case 625: /* S5: op14(S5) */
	case 624: /* S4: op14(S4) */
	case 623: /* S3: op14(S3) */
	case 622: /* S2: op14(S2) */
	case 621: /* S1: op14(S1) */
	case 620: /* S8: op56(S7) */
	case 619: /* S7: op56(S6) */
	case 618: /* S6: op56(S5) */
	case 617: /* S5: op56(S4) */
	case 616: /* S4: op56(S3) */
	case 615: /* S3: op56(S2) */
	case 614: /* S2: op56(S0) */
	case 613: /* S8: op308(S8) */
	case 612: /* S7: op308(S7) */
	case 611: /* S6: op308(S6) */
	case 610: /* S5: op308(S5) */
	case 609: /* S4: op308(S4) */
	case 608: /* S3: op308(S3) */
	case 607: /* S2: op308(S2) */
	case 606: /* S1: op308(S1) */
	case 605: /* S8: op165(S8) */
	case 604: /* S7: op165(S7) */
	case 603: /* S6: op165(S6) */
	case 602: /* S5: op165(S5) */
	case 601: /* S4: op165(S4) */
	case 600: /* S3: op165(S3) */
	case 599: /* S2: op165(S2) */
	case 598: /* S8: op134(S8) */
	case 597: /* S7: op134(S8) */
	case 596: /* S6: op134(S7) */
	case 595: /* S5: op134(S6) */
	case 594: /* S4: op134(S5) */
	case 593: /* S3: op134(S4) */
	case 592: /* S2: op134(S3) */
	case 591: /* S0: op134(S2) */
	case 590: /* S1: op134(S0) */
	case 589: /* S8: op133(S7) */
	case 588: /* S7: op133(S6) */
	case 587: /* S6: op133(S5) */
	case 586: /* S5: op133(S4) */
	case 585: /* S4: op133(S3) */
	case 584: /* S3: op133(S2) */
	case 583: /* S2: op133(S0) */
	case 582: /* S0: op133(S1) */
	case 581: /* S8: op66(S8) */
	case 580: /* S7: op66(S7) */
	case 579: /* S6: op66(S6) */
	case 578: /* S5: op66(S5) */
	case 577: /* S4: op66(S4) */
	case 576: /* S3: op66(S3) */
	case 575: /* S2: op66(S2) */
	case 574: /* S8: op87(S7) */
	case 573: /* S7: op87(S6) */
	case 572: /* S6: op87(S5) */
	case 571: /* S5: op87(S4) */
	case 570: /* S4: op87(S3) */
	case 569: /* S3: op87(S2) */
	case 568: /* S2: op87(S0) */
	case 567: /* S1: op141(S1) */
	case 566: /* S8: op141(S7) */
	case 565: /* S7: op141(S6) */
	case 564: /* S6: op141(S5) */
	case 563: /* S5: op141(S4) */
	case 562: /* S4: op141(S3) */
	case 561: /* S3: op141(S2) */
	case 560: /* S2: op141(S0) */
	case 559: /* S0: op141(S1) */
	case 558: /* S8: op54(S8) */
	case 557: /* S7: op54(S7) */
	case 556: /* S6: op54(S6) */
	case 555: /* S5: op54(S5) */
	case 554: /* S4: op54(S4) */
	case 553: /* S3: op54(S3) */
	case 552: /* S2: op54(S2) */
	case 551: /* S8: op162(S6) */
	case 550: /* S7: op162(S5) */
	case 549: /* S6: op162(S4) */
	case 548: /* S5: op162(S3) */
	case 547: /* S4: op162(S2) */
	case 546: /* S3: op162(S0) */
	case 545: /* S2: op162(S1) */
	case 544: /* S8: op95(S7) */
	case 543: /* S7: op95(S6) */
	case 542: /* S6: op95(S5) */
	case 541: /* S5: op95(S4) */
	case 540: /* S4: op95(S3) */
	case 539: /* S3: op95(S2) */
	case 538: /* S2: op95(S0) */
	case 537: /* S4: op151(S2) */
	case 536: /* S4: op151(S4) */
	case 535: /* S3: op151(S0) */
	case 534: /* S2: op151(S2) */
	case 533: /* S0: op151(S3) */
	case 532: /* S1: op151(S2) */
	case 531: /* S1: op151(S0) */
	case 530: /* S8: op151(S8) */
	case 529: /* S7: op151(S8) */
	case 528: /* S6: op151(S8) */
	case 527: /* S5: op151(S7) */
	case 526: /* S4: op151(S6) */
	case 525: /* S3: op151(S5) */
	case 524: /* S2: op151(S4) */
	case 523: /* S8: op159(S6) */
	case 522: /* S7: op159(S5) */
	case 521: /* S6: op159(S4) */
	case 520: /* S5: op159(S3) */
	case 519: /* S4: op159(S2) */
	case 518: /* S3: op159(S0) */
	case 517: /* S2: op159(S1) */
	case 516: /* S5: op144(S3) */
	case 515: /* S4: op144(S2) */
	case 514: /* S1: op144(S3) */
	case 513: /* S0: op144(S3) */
	case 512: /* S2: op144(S3) */
	case 511: /* S3: op144(S0) */
	case 510: /* S8: op144(S8) */
	case 509: /* S7: op144(S7) */
	case 508: /* S6: op144(S6) */
	case 507: /* S5: op144(S5) */
	case 506: /* S4: op144(S4) */
	case 505: /* S3: op144(S3) */
	case 504: /* S8: op166(S8) */
	case 503: /* S7: op166(S7) */
	case 502: /* S6: op166(S6) */
	case 501: /* S5: op166(S5) */
	case 500: /* S4: op166(S4) */
	case 499: /* S3: op166(S3) */
	case 498: /* S2: op166(S2) */
	case 497: /* S8: op57(S8) */
	case 496: /* S7: op57(S7) */
	case 495: /* S6: op57(S6) */
	case 494: /* S5: op57(S5) */
	case 493: /* S4: op57(S4) */
	case 492: /* S3: op57(S3) */
	case 491: /* S2: op57(S2) */
	case 490: /* S3: op140(S2) */
	case 489: /* S2: op140(S0) */
	case 488: /* S0: op140(S2) */
	case 487: /* S1: op140(S0) */
	case 486: /* S8: op140(S8) */
	case 485: /* S7: op140(S8) */
	case 484: /* S6: op140(S7) */
	case 483: /* S5: op140(S6) */
	case 482: /* S4: op140(S5) */
	case 481: /* S3: op140(S4) */
	case 480: /* S2: op140(S3) */
	case 479: /* S8: op125(S8) */
	case 478: /* S7: op125(S8) */
	case 477: /* S6: op125(S7) */
	case 476: /* S5: op125(S6) */
	case 475: /* S4: op125(S5) */
	case 474: /* S3: op125(S4) */
	case 473: /* S2: op125(S3) */
	case 472: /* S0: op125(S2) */
	case 471: /* S1: op125(S0) */
	case 470: /* S8: op82(S7) */
	case 469: /* S7: op82(S6) */
	case 468: /* S6: op82(S5) */
	case 467: /* S5: op82(S4) */
	case 466: /* S4: op82(S3) */
	case 465: /* S3: op82(S2) */
	case 464: /* S2: op82(S0) */
	case 463: /* S8: op160(S6) */
	case 462: /* S7: op160(S5) */
	case 461: /* S6: op160(S4) */
	case 460: /* S5: op160(S3) */
	case 459: /* S4: op160(S2) */
	case 458: /* S3: op160(S0) */
	case 457: /* S2: op160(S1) */
	case 456: /* S8: op40(S8) */
	case 455: /* S7: op40(S8) */
	case 454: /* S6: op40(S7) */
	case 453: /* S5: op40(S6) */
	case 452: /* S4: op40(S5) */
	case 451: /* S3: op40(S4) */
	case 450: /* S2: op40(S3) */
	case 449: /* S0: op40(S2) */
	case 448: /* S1: op40(S0) */
	case 447: /* S8: op53(S7) */
	case 446: /* S7: op53(S6) */
	case 445: /* S6: op53(S5) */
	case 444: /* S5: op53(S4) */
	case 443: /* S4: op53(S3) */
	case 442: /* S3: op53(S2) */
	case 441: /* S2: op53(S0) */
	case 440: /* S1: op143(S0) */
	case 439: /* S8: op143(S8) */
	case 438: /* S7: op143(S8) */
	case 437: /* S6: op143(S7) */
	case 436: /* S5: op143(S6) */
	case 435: /* S4: op143(S5) */
	case 434: /* S3: op143(S4) */
	case 433: /* S2: op143(S3) */
	case 432: /* S0: op143(S2) */
	case 431: /* S8: op88(S8) */
	case 430: /* S7: op88(S7) */
	case 429: /* S6: op88(S6) */
	case 428: /* S5: op88(S5) */
	case 427: /* S4: op88(S4) */
	case 426: /* S3: op88(S3) */
	case 425: /* S2: op88(S2) */
	case 424: /* S8: op94(S7) */
	case 423: /* S7: op94(S6) */
	case 422: /* S6: op94(S5) */
	case 421: /* S5: op94(S4) */
	case 420: /* S4: op94(S3) */
	case 419: /* S3: op94(S2) */
	case 418: /* S2: op94(S0) */
	case 417: /* S8: op161(S8) */
	case 416: /* S7: op161(S7) */
	case 415: /* S6: op161(S6) */
	case 414: /* S5: op161(S5) */
	case 413: /* S4: op161(S4) */
	case 412: /* S3: op161(S3) */
	case 411: /* S2: op161(S2) */
	case 410: /* S3: op142(S2) */
	case 409: /* S2: op142(S3) */
	case 408: /* S0: op142(S2) */
	case 407: /* S1: op142(S2) */
	case 406: /* S8: op142(S8) */
	case 405: /* S7: op142(S7) */
	case 404: /* S6: op142(S6) */
	case 403: /* S5: op142(S5) */
	case 402: /* S4: op142(S4) */
	case 401: /* S3: op142(S3) */
	case 400: /* S2: op142(S2) */
	case 399: /* S8: op158(S8) */
	case 398: /* S7: op158(S8) */
	case 397: /* S6: op158(S7) */
	case 396: /* S5: op158(S6) */
	case 395: /* S4: op158(S5) */
	case 394: /* S3: op158(S4) */
	case 393: /* S2: op158(S3) */
	case 392: /* S0: op158(S2) */
	case 391: /* S1: op158(S0) */
	case 390: /* S8: op19(S0) */
	case 389: /* S7: op19(S0) */
	case 388: /* S6: op19(S0) */
	case 387: /* S5: op19(S0) */
	case 386: /* S4: op19(S0) */
	case 385: /* S3: op19(S0) */
	case 384: /* S2: op19(S0) */
	case 383: /* S8: op157(S8) */
	case 382: /* S7: op157(S7) */
	case 381: /* S6: op157(S6) */
	case 380: /* S5: op157(S5) */
	case 379: /* S4: op157(S4) */
	case 378: /* S3: op157(S3) */
	case 377: /* S2: op157(S2) */
	case 376: /* S8: op52(S8) */
	case 375: /* S7: op52(S8) */
	case 374: /* S6: op52(S7) */
	case 373: /* S5: op52(S6) */
	case 372: /* S4: op52(S5) */
	case 371: /* S3: op52(S4) */
	case 370: /* S2: op52(S3) */
	case 369: /* S0: op52(S2) */
	case 368: /* S1: op52(S0) */
	case 355: /* S0: op354(S0) */
	case 354: /* S0: op353(S0) */
	case 353: /* S0: op352(S0) */
	case 352: /* S0: op351(S0) */
	case 351: /* S0: op350(S0) */
	case 350: /* S0: op349(S0) */
	case 349: /* S0: op348(S0) */
	case 348: /* S0: op347(S0) */
	case 347: /* S0: op346(S0) */
	case 346: /* S0: op345(S0) */
	case 345: /* S0: op344(S0) */
	case 344: /* S0: op343(S0) */
	case 343: /* S0: op342(S0) */
	case 342: /* S0: op341(S0) */
	case 341: /* S0: op340(S0) */
	case 340: /* S0: op339(S0) */
	case 339: /* S0: op338(S0) */
	case 338: /* S0: op337(S0) */
	case 337: /* S0: op336(S0) */
	case 336: /* S0: op335(S0) */
	case 335: /* S0: op334(S0) */
	case 334: /* S0: op333(S0) */
	case 333: /* S0: op332(S0) */
	case 332: /* S0: op331(S0) */
	case 331: /* S0: op330(S0) */
	case 330: /* S0: op329(S0) */
	case 329: /* S0: op328(S0) */
	case 328: /* S0: op327(S0) */
	case 327: /* S0: op326(S0) */
	case 326: /* S0: op325(S0) */
	case 325: /* S0: op324(S0) */
	case 324: /* S0: op323(S0) */
	case 323: /* S0: op322(S0) */
	case 322: /* S0: op321(S0) */
	case 321: /* S0: op320(S0) */
	case 320: /* S0: op319(S0) */
	case 319: /* S0: op318(S0) */
	case 318: /* S0: op317(S0) */
	case 317: /* S0: op316(S0) */
	case 316: /* S0: op315(S0) */
	case 315: /* S0: op314(S0) */
	case 314: /* S0: op313(S0) */
	case 313: /* S0: op312(S0) */
	case 312: /* S0: op311(S0) */
	case 311: /* S0: op310(S0) */
	case 310: /* S0: op309(S0) */
	case 309: /* S0: op308(S0) */
	case 308: /* S0: op307(S0) */
	case 307: /* S0: op306(S0) */
	case 306: /* S0: op305(S0) */
	case 305: /* S0: op304(S0) */
	case 304: /* S0: op303(S0) */
	case 303: /* S0: op302(S0) */
	case 302: /* S0: op301(S0) */
	case 301: /* S0: op300(S0) */
	case 300: /* S0: op299(S0) */
	case 299: /* S0: op298(S0) */
	case 298: /* S0: op297(S0) */
	case 297: /* S0: op296(S0) */
	case 296: /* S0: op295(S0) */
	case 295: /* S0: op294(S0) */
	case 294: /* S0: op293(S0) */
	case 293: /* S0: op292(S0) */
	case 292: /* S0: op291(S0) */
	case 291: /* S0: op290(S0) */
	case 290: /* S0: op289(S0) */
	case 289: /* S0: op288(S0) */
	case 288: /* S0: op287(S0) */
	case 287: /* S0: op286(S0) */
	case 286: /* S0: op285(S0) */
	case 285: /* S0: op284(S0) */
	case 284: /* S0: op283(S0) */
	case 283: /* S0: op282(S0) */
	case 282: /* S0: op281(S0) */
	case 281: /* S0: op280(S0) */
	case 280: /* S0: op279(S0) */
	case 279: /* S0: op278(S0) */
	case 278: /* S0: op277(S0) */
	case 277: /* S0: op276(S0) */
	case 276: /* S0: op275(S0) */
	case 275: /* S0: op274(S0) */
	case 274: /* S0: op273(S0) */
	case 273: /* S0: op272(S0) */
	case 272: /* S0: op271(S0) */
	case 271: /* S0: op270(S0) */
	case 270: /* S0: op269(S0) */
	case 269: /* S0: op268(S0) */
	case 268: /* S0: op267(S0) */
	case 267: /* S0: op266(S0) */
	case 266: /* S0: op265(S0) */
	case 265: /* S0: op264(S0) */
	case 264: /* S0: op263(S0) */
	case 263: /* S0: op262(S0) */
	case 262: /* S0: op261(S0) */
	case 261: /* S0: op260(S0) */
	case 260: /* S0: op259(S0) */
	case 259: /* S0: op258(S0) */
	case 258: /* S0: op257(S0) */
	case 257: /* S0: op256(S0) */
	case 256: /* S0: op255(S0) */
	case 255: /* S0: op254(S0) */
	case 254: /* S0: op253(S0) */
	case 253: /* S0: op252(S0) */
	case 252: /* S0: op251(S0) */
	case 251: /* S0: op250(S0) */
	case 250: /* S0: op249(S0) */
	case 249: /* S0: op248(S0) */
	case 248: /* S0: op247(S0) */
	case 247: /* S0: op246(S0) */
	case 246: /* S0: op245(S0) */
	case 245: /* S0: op244(S0) */
	case 244: /* S0: op243(S0) */
	case 243: /* S0: op242(S0) */
	case 242: /* S0: op241(S0) */
	case 241: /* S0: op240(S0) */
	case 240: /* S0: op239(S0) */
	case 239: /* S0: op238(S0) */
	case 238: /* S0: op237(S0) */
	case 237: /* S0: op236(S0) */
	case 236: /* S0: op235(S0) */
	case 235: /* S0: op234(S0) */
	case 234: /* S0: op233(S0) */
	case 233: /* S0: op232(S0) */
	case 232: /* S0: op231(S0) */
	case 231: /* S0: op230(S0) */
	case 230: /* S0: op229(S0) */
	case 229: /* S0: op228(S0) */
	case 228: /* S0: op227(S0) */
	case 227: /* S0: op226(S0) */
	case 226: /* S0: op225(S0) */
	case 225: /* S0: op224(S0) */
	case 224: /* S0: op223(S0) */
	case 223: /* S0: op222(S0) */
	case 222: /* S0: op221(S0) */
	case 221: /* S0: op220(S0) */
	case 220: /* S0: op219(S0) */
	case 219: /* S0: op218(S0) */
	case 218: /* S0: op217(S0) */
	case 217: /* S0: op216(S0) */
	case 216: /* S0: op215(S0) */
	case 215: /* S0: op214(S0) */
	case 214: /* S0: op213(S0) */
	case 213: /* S0: op212(S0) */
	case 212: /* S0: op211(S0) */
	case 211: /* S0: op210(S0) */
	case 210: /* S0: op209(S0) */
	case 209: /* S0: op208(S0) */
	case 208: /* S0: op207(S0) */
	case 207: /* S0: op206(S0) */
	case 206: /* S0: op205(S0) */
	case 205: /* S0: op204(S0) */
	case 204: /* S0: op203(S0) */
	case 203: /* S0: op202(S0) */
	case 202: /* S0: op201(S0) */
	case 201: /* S0: op200(S0) */
	case 200: /* S0: op199(S0) */
	case 199: /* S0: op198(S0) */
	case 198: /* S0: op197(S0) */
	case 197: /* S0: op196(S0) */
	case 196: /* S0: op195(S0) */
	case 195: /* S0: op194(S0) */
	case 194: /* S0: op193(S0) */
	case 193: /* S0: op192(S0) */
	case 192: /* S0: op191(S0) */
	case 191: /* S0: op190(S0) */
	case 190: /* S0: op189(S0) */
	case 189: /* S0: op188(S0) */
	case 188: /* S0: op187(S0) */
	case 187: /* S0: op186(S0) */
	case 186: /* S0: op185(S0) */
	case 185: /* S0: op184(S0) */
	case 184: /* S0: op183(S0) */
	case 183: /* S0: op182(S0) */
	case 182: /* S0: op181(S0) */
	case 181: /* S0: op180(S0) */
	case 180: /* S0: op179(S0) */
	case 179: /* S0: op178(S0) */
	case 178: /* S0: op177(S0) */
	case 177: /* S0: op176(S0) */
	case 176: /* S0: op175(S0) */
	case 175: /* S0: op174(S0) */
	case 174: /* S0: op173(S0) */
	case 173: /* S0: op172(S0) */
	case 172: /* S0: op171(S0) */
	case 171: /* S0: op170(S0) */
	case 170: /* S0: op169(S0) */
	case 169: /* S0: op168(S0) */
	case 168: /* S0: op167(S0) */
	case 167: /* S0: op166(S0) */
	case 166: /* S0: op165(S0) */
	case 165: /* S0: op164(S0) */
	case 164: /* S0: op163(S0) */
	case 163: /* S0: op162(S0) */
	case 162: /* S0: op161(S0) */
	case 161: /* S0: op160(S0) */
	case 160: /* S0: op159(S0) */
	case 159: /* S0: op158(S0) */
	case 158: /* S0: op157(S0) */
	case 157: /* S0: op156(S0) */
	case 156: /* S0: op155(S0) */
	case 155: /* S0: op154(S0) */
	case 154: /* S0: op153(S0) */
	case 153: /* S0: op152(S0) */
	case 152: /* S0: op151(S0) */
	case 151: /* S0: op150(S0) */
	case 150: /* S0: op149(S0) */
	case 149: /* S0: op148(S0) */
	case 148: /* S0: op147(S0) */
	case 147: /* S0: op146(S0) */
	case 146: /* S0: op145(S0) */
	case 145: /* S0: op144(S0) */
	case 144: /* S0: op143(S0) */
	case 143: /* S0: op142(S0) */
	case 142: /* S0: op141(S0) */
	case 141: /* S0: op140(S0) */
	case 140: /* S0: op139(S0) */
	case 139: /* S0: op138(S0) */
	case 138: /* S0: op137(S0) */
	case 137: /* S0: op136(S0) */
	case 136: /* S0: op135(S0) */
	case 135: /* S0: op134(S0) */
	case 134: /* S0: op133(S0) */
	case 133: /* S0: op132(S0) */
	case 132: /* S0: op131(S0) */
	case 131: /* S0: op130(S0) */
	case 130: /* S0: op129(S0) */
	case 129: /* S0: op128(S0) */
	case 128: /* S0: op127(S0) */
	case 127: /* S0: op126(S0) */
	case 126: /* S0: op125(S0) */
	case 125: /* S0: op124(S0) */
	case 124: /* S0: op123(S0) */
	case 123: /* S0: op122(S0) */
	case 122: /* S0: op121(S0) */
	case 121: /* S0: op120(S0) */
	case 120: /* S0: op119(S0) */
	case 119: /* S0: op118(S0) */
	case 118: /* S0: op117(S0) */
	case 117: /* S0: op116(S0) */
	case 116: /* S0: op115(S0) */
	case 115: /* S0: op114(S0) */
	case 114: /* S0: op113(S0) */
	case 113: /* S0: op112(S0) */
	case 112: /* S0: op111(S0) */
	case 111: /* S0: op110(S0) */
	case 110: /* S0: op109(S0) */
	case 109: /* S0: op108(S0) */
	case 108: /* S0: op107(S0) */
	case 107: /* S0: op106(S0) */
	case 106: /* S0: op105(S0) */
	case 105: /* S0: op104(S0) */
	case 104: /* S0: op103(S0) */
	case 103: /* S0: op102(S0) */
	case 102: /* S0: op101(S0) */
	case 101: /* S0: op100(S0) */
	case 100: /* S0: op99(S0) */
	case 99: /* S0: op98(S0) */
	case 98: /* S0: op97(S0) */
	case 97: /* S0: op96(S0) */
	case 96: /* S0: op95(S0) */
	case 95: /* S0: op94(S0) */
	case 94: /* S0: op93(S0) */
	case 93: /* S0: op92(S0) */
	case 92: /* S0: op91(S0) */
	case 91: /* S0: op90(S0) */
	case 90: /* S0: op89(S0) */
	case 89: /* S0: op88(S0) */
	case 88: /* S0: op87(S0) */
	case 87: /* S0: op86(S0) */
	case 86: /* S0: op85(S0) */
	case 85: /* S0: op84(S0) */
	case 84: /* S0: op83(S0) */
	case 83: /* S0: op82(S0) */
	case 82: /* S0: op81(S0) */
	case 81: /* S0: op80(S0) */
	case 80: /* S0: op79(S0) */
	case 79: /* S0: op78(S0) */
	case 78: /* S0: op77(S0) */
	case 77: /* S0: op76(S0) */
	case 76: /* S0: op75(S0) */
	case 75: /* S0: op74(S0) */
	case 74: /* S0: op73(S0) */
	case 73: /* S0: op72(S0) */
	case 72: /* S0: op71(S0) */
	case 71: /* S0: op70(S0) */
	case 70: /* S0: op69(S0) */
	case 69: /* S0: op68(S0) */
	case 68: /* S0: op67(S0) */
	case 67: /* S0: op66(S0) */
	case 66: /* S0: op65(S0) */
	case 65: /* S0: op64(S0) */
	case 64: /* S0: op63(S0) */
	case 63: /* S0: op62(S0) */
	case 62: /* S0: op61(S0) */
	case 61: /* S0: op60(S0) */
	case 60: /* S0: op59(S0) */
	case 59: /* S0: op58(S0) */
	case 58: /* S0: op57(S0) */
	case 57: /* S0: op56(S0) */
	case 56: /* S0: op55(S0) */
	case 55: /* S0: op54(S0) */
	case 54: /* S0: op53(S0) */
	case 53: /* S0: op52(S0) */
	case 52: /* S0: op51(S0) */
	case 51: /* S0: op50(S0) */
	case 50: /* S0: op49(S0) */
	case 49: /* S0: op48(S0) */
	case 48: /* S0: op47(S0) */
	case 47: /* S0: op46(S0) */
	case 46: /* S0: op45(S0) */
	case 45: /* S0: op44(S0) */
	case 44: /* S0: op43(S0) */
	case 43: /* S0: op42(S0) */
	case 42: /* S0: op41(S0) */
	case 41: /* S0: op40(S0) */
	case 40: /* S0: op39(S0) */
	case 39: /* S0: op38(S0) */
	case 38: /* S0: op37(S0) */
	case 37: /* S0: op36(S0) */
	case 36: /* S0: op35(S0) */
	case 35: /* S0: op34(S0) */
	case 34: /* S0: op33(S0) */
	case 33: /* S0: op32(S0) */
	case 32: /* S0: op31(S0) */
	case 31: /* S0: op30(S0) */
	case 30: /* S0: op29(S0) */
	case 29: /* S0: op28(S0) */
	case 28: /* S0: op27(S0) */
	case 27: /* S0: op26(S0) */
	case 26: /* S0: op25(S0) */
	case 25: /* S0: op24(S0) */
	case 24: /* S0: op23(S0) */
	case 23: /* S0: op22(S0) */
	case 22: /* S0: op21(S0) */
	case 21: /* S0: op20(S0) */
	case 20: /* S0: op19(S0) */
	case 19: /* S0: op18(S0) */
	case 18: /* S0: op17(S0) */
	case 17: /* S0: op16(S0) */
	case 16: /* S0: op15(S0) */
	case 15: /* S0: op14(S0) */
	case 14: /* S0: op13(S0) */
	case 13: /* S0: op12(S0) */
	case 12: /* S0: op11(S0) */
	case 11: /* S0: op10(S0) */
	case 10: /* S0: op9(S0) */
	case 9: /* S0: op8(S0) */
	case 8: /* S0: op7(S0) */
	case 7: /* S0: op6(S0) */
	case 6: /* S0: op5(S0) */
	case 5: /* S0: op4(S0) */
	case 4: /* S0: op3(S0) */
	case 3: /* S0: op2(S0) */
	case 2: /* S0: op1(S0) */
	case 1: /* S0: op0(S0) */
		kids[0] = LEFT_CHILD(p);
		break;
	case 1191: /* S7: S8 */
	case 1190: /* S6: S8 */
	case 1189: /* S5: S8 */
	case 1188: /* S4: S8 */
	case 1187: /* S3: S8 */
	case 1186: /* S2: S8 */
	case 1185: /* S0: S8 */
	case 1184: /* S1: S8 */
	case 1183: /* S8: S7 */
	case 1182: /* S6: S7 */
	case 1181: /* S5: S7 */
	case 1180: /* S4: S7 */
	case 1179: /* S3: S7 */
	case 1178: /* S2: S7 */
	case 1177: /* S0: S7 */
	case 1176: /* S1: S7 */
	case 1175: /* S8: S6 */
	case 1174: /* S7: S6 */
	case 1173: /* S5: S6 */
	case 1172: /* S4: S6 */
	case 1171: /* S3: S6 */
	case 1170: /* S2: S6 */
	case 1169: /* S0: S6 */
	case 1168: /* S1: S6 */
	case 1167: /* S8: S5 */
	case 1166: /* S7: S5 */
	case 1165: /* S6: S5 */
	case 1164: /* S4: S5 */
	case 1163: /* S3: S5 */
	case 1162: /* S2: S5 */
	case 1161: /* S0: S5 */
	case 1160: /* S1: S5 */
	case 1159: /* S8: S4 */
	case 1158: /* S7: S4 */
	case 1157: /* S6: S4 */
	case 1156: /* S5: S4 */
	case 1155: /* S3: S4 */
	case 1154: /* S2: S4 */
	case 1153: /* S0: S4 */
	case 1152: /* S1: S4 */
	case 1151: /* S8: S3 */
	case 1150: /* S7: S3 */
	case 1149: /* S6: S3 */
	case 1148: /* S5: S3 */
	case 1147: /* S4: S3 */
	case 1146: /* S2: S3 */
	case 1145: /* S0: S3 */
	case 1144: /* S1: S3 */
	case 1143: /* S8: S2 */
	case 1142: /* S7: S2 */
	case 1141: /* S6: S2 */
	case 1140: /* S5: S2 */
	case 1139: /* S4: S2 */
	case 1138: /* S3: S2 */
	case 1137: /* S0: S2 */
	case 1136: /* S1: S2 */
	case 1135: /* S8: S0 */
	case 1134: /* S7: S0 */
	case 1133: /* S6: S0 */
	case 1132: /* S5: S0 */
	case 1131: /* S4: S0 */
	case 1130: /* S3: S0 */
	case 1129: /* S2: S0 */
	case 1128: /* S1: S0 */
	case 1127: /* S8: S1 */
	case 1126: /* S7: S1 */
	case 1125: /* S6: S1 */
	case 1124: /* S5: S1 */
	case 1123: /* S4: S1 */
	case 1122: /* S3: S1 */
	case 1121: /* S2: S1 */
	case 1120: /* S0: S1 */
		kids[0] = p;
		break;
	case 1208: /* S8: s8 */
	case 1207: /* S7: s7 */
	case 1206: /* S6: s6 */
	case 1205: /* S5: s5 */
	case 1204: /* S4: s4 */
	case 1203: /* S3: s3 */
	case 1202: /* S2: s2 */
	case 1201: /* S1: s1 */
	case 1200: /* S0: s0 */
		break;
	default:
		burm_assert(0, PANIC("Bad external rule number %d in burm_kids\n", eruleno));
	}
	return kids;
}

int burm_op_label(NODEPTR_TYPE p) {
	burm_assert(p, PANIC("NULL tree in burm_op_label\n"));
	return OP_LABEL(p);
}

STATEPTR_TYPE burm_state_label(NODEPTR_TYPE p) {
	burm_assert(p, PANIC("NULL tree in burm_state_label\n"));
	return STATE_LABEL(p);
}

NODEPTR_TYPE burm_child(NODEPTR_TYPE p, int index) {
	burm_assert(p, PANIC("NULL tree in burm_child\n"));
	switch (index) {
	case 0:	return LEFT_CHILD(p);
	case 1:	return RIGHT_CHILD(p);
	}
	burm_assert(0, PANIC("Bad index %d in burm_child\n", index));
	return 0;
}

#endif
